import { createSSRApp, h as h$1 } from "vue";
import { renderToString } from "@vue/server-renderer";
import { createInertiaApp } from "@inertiajs/vue3";
import createServer from "@inertiajs/vue3/server";
import { i18nVue } from "laravel-vue-i18n";
const Dashboard$e = "ড্যাশবোর্ড";
const Logout$e = "প্রস্থান";
const Tickets$e = "টিকিট";
const Chat$e = "চ্যাট";
const FAQs$e = "FAQs";
const Blog$e = "ব্লগ";
const More$e = "আরও";
const Notes$e = "মন্তব্য";
const Contacts$e = "পরিচিতি";
const Organizations$e = "সংস্থাগুলি";
const Users$e = "ব্যবহারকারীদের";
const Customers$e = "গ্রাহকদের";
const Settings$e = "সেটিংস";
const Global$e = "গ্লোবাল";
const Categories$e = "ক্যাটাগরি";
const Status$e = "স্ট্যাটাস";
const Priorities$e = "অগ্রাধিকার";
const Departments$e = "বিভাগসমূহ";
const Types$e = "প্রকারভেদ";
const Pusher$e = "পুশার";
const Contact$e = "যোগাযোগ";
const Services$e = "সেবা";
const Filter$e = "ছাঁকনি";
const Trashed$e = "ট্র্যাশ";
const Reset$e = "রিসেট";
const Name$e = "নাম";
const Email$e = "ইমেইল";
const Phone$e = "ফোন";
const Country$e = "দেশ";
const City$e = "শহর";
const Address$e = "ঠিকানা";
const Password$e = "পাসওয়ার্ড";
const Role$e = "ভূমিকা";
const Photo$e = "ছবি";
const Technical$e = "প্রযুক্তিগত";
const Hardware$e = "হার্ডওয়্যার";
const Development$e = "উন্নয়ন";
const Management$e = "ব্যবস্থাপনা";
const Admin$e = "অ্যাডমিন";
const Software$e = "সফটওয়্যার";
const Service$e = "সেবা";
const Event$e = "ঘটনা";
const Average$e = "গড়";
const Seconds$e = "সেকেন্ড";
const Month$e = "মাস";
const Months$e = "মাস";
const Day$e = "দিন";
const Days$e = "দিন";
const Hours$e = "ঘন্টার";
const Hour$e = "ঘন্টা";
const Minutes$e = "মিনিট";
const Minute$e = "মিনিট";
const Key$e = "চাবি";
const Subject$e = "বিষয়";
const Priority$e = "অগ্রাধিকার";
const Updated$e = "আপডেট করা হয়েছে";
const Customer$e = "ক্রেতা";
const Department$e = "বিভাগ";
const Category$e = "শ্রেণী";
const Created$e = "তৈরি হয়েছে";
const Save$e = "সংরক্ষণ";
const Ticket$e = "টিকিট";
const FAQ$e = "FAQ";
const Title$e = "শিরোনাম";
const Type$e = "টাইপ";
const Details$e = "বিস্তারিত";
const Note$e = "বিঃদ্রঃ";
const Submit$e = "জমা দিন";
const Cancel$e = "বাতিল করুন";
const Organization$e = "সংগঠন";
const Province$e = "প্রদেশ";
const State$e = "অবস্থা";
const Delete$e = "মুছে ফেলা";
const Update$e = "হালনাগাদ";
const Create$e = "সৃষ্টি";
const Statuses$e = "স্ট্যাটাস";
const Slug$e = "স্লাগ";
const Location$e = "অবস্থান";
const Icon$e = "আইকন";
const Tag$e = "ট্যাগ";
const Privacy$e = "গোপনীয়তা";
const Bottom$e = "নীচে";
const Company$e = "প্রতিষ্ঠান";
const Subscribe$e = "সাবস্ক্রাইব";
const Login$e = "প্রবেশ করুন";
const Faqs$e = "প্রশ্নাবলী";
const Active$e = "সক্রিয়";
const Inactive$e = "নিষ্ক্রিয়";
const Browse$e = "ব্রাউজ করুন";
const Knowledge$e = "জ্ঞান";
const Languages$e = "ভাষা";
const User$e = "ব্যবহারকারী";
const Home$e = "বাড়ি";
const Register$e = "নিবন্ধন";
const Newsletter$e = "নিউজলেটার";
const bd = {
  "Edit Profile": "জীবন বৃত্তান্ত সম্পাদনা",
  Dashboard: Dashboard$e,
  Logout: Logout$e,
  Tickets: Tickets$e,
  Chat: Chat$e,
  FAQs: FAQs$e,
  Blog: Blog$e,
  "Knowledge Base": "জ্ঞানভিত্তিক",
  More: More$e,
  Notes: Notes$e,
  Contacts: Contacts$e,
  Organizations: Organizations$e,
  Users: Users$e,
  Customers: Customers$e,
  Settings: Settings$e,
  Global: Global$e,
  Categories: Categories$e,
  Status: Status$e,
  Priorities: Priorities$e,
  Departments: Departments$e,
  Types: Types$e,
  "Email Templates": "ইমেল টেমপ্লেট",
  "SMTP Mail": "SMTP মেল",
  Pusher: Pusher$e,
  "Pusher Chat": "পুশার চ্যাট",
  "Front Pages": "ফ্রন্ট পেজ",
  Contact: Contact$e,
  Services: Services$e,
  "Privacy Policy": "গোপনীয়তা নীতি",
  "Terms of Services": "পরিষেবার শর্তাবলী",
  Filter: Filter$e,
  Trashed: Trashed$e,
  "Trashed With": "এর সাথে ট্র্যাশ করা হয়েছে",
  "Only Trashed": "শুধুমাত্র আবর্জনা",
  "Search...": "অনুসন্ধান করুন...",
  Reset: Reset$e,
  Name: Name$e,
  Email: Email$e,
  Phone: Phone$e,
  Country: Country$e,
  "Create User": "ব্যবহারকারী তৈরি করুন",
  "First Name": "নামের প্রথম অংশ",
  "First name": "নামের প্রথম অংশ",
  "Last Name": "নামের শেষাংশ",
  "Last name": "নামের শেষাংশ",
  City: City$e,
  Address: Address$e,
  Password: Password$e,
  Role: Role$e,
  Photo: Photo$e,
  "New Tickets": "নতুন টিকিট",
  "Open Tickets": "টিকিট খুলুন",
  "Closed Tickets": "বন্ধ টিকিট",
  "Unassigned Tickets": "আনঅ্যাসাইন করা টিকিট",
  "Ticket by department": "বিভাগ দ্বারা টিকিট",
  "Ticket by type": "প্রকার অনুযায়ী টিকিট",
  "Top ticket creator": "শীর্ষ টিকিট নির্মাতা",
  "Ticket history": "টিকিটের ইতিহাস",
  "First Response Time": "প্রথম প্রতিক্রিয়া সময়",
  "Last Response Time": "শেষ প্রতিক্রিয়া সময়",
  Technical: Technical$e,
  Hardware: Hardware$e,
  Development: Development$e,
  Management: Management$e,
  Admin: Admin$e,
  Software: Software$e,
  Service: Service$e,
  Event: Event$e,
  Average: Average$e,
  Seconds: Seconds$e,
  "this month": "এই মাস",
  "last month": "গত মাসে",
  Month: Month$e,
  Months: Months$e,
  Day: Day$e,
  Days: Days$e,
  Hours: Hours$e,
  Hour: Hour$e,
  Minutes: Minutes$e,
  Minute: Minute$e,
  Key: Key$e,
  Subject: Subject$e,
  "Attach files": "সংযুক্ত নথি",
  Priority: Priority$e,
  "Date": "তারিখ",
  Updated: Updated$e,
  Customer: Customer$e,
  Department: Department$e,
  "Assigned to": "নির্ধারিত",
  "Ticket type": "টিকিটের ধরন",
  Category: Category$e,
  Created: Created$e,
  "Request Details": "বিস্তারিত অনুরোধ",
  "Attach File": "ফাইল সংযুক্ত",
  "Delete Ticket": "টিকিট মুছুন",
  Save: Save$e,
  "Ticket discussion": "টিকিট নিয়ে আলোচনা",
  "Comment histories for this ticket will be available here.": "এই টিকিটের মন্তব্যের ইতিহাস এখানে পাওয়া যাবে।",
  Ticket: Ticket$e,
  "Comment histories": "মন্তব্য ইতিহাস",
  "Comment history": "মন্তব্য ইতিহাস",
  "Write a comment and press enter to send...": "একটি মন্তব্য লিখুন এবং পাঠাতে এন্টার টিপুন...",
  "Click on a conversation from left to see the histories.": "ইতিহাস দেখতে বাম থেকে একটি কথোপকথনে ক্লিক করুন.",
  "Type a message...": "একটি বার্তা টাইপ করুন...",
  FAQ: FAQ$e,
  "Create Ticket": "টিকেট তৈরি",
  "New Ticket": "নতুন টিকিট",
  "Create FAQ": "FAQ তৈরি করুন",
  "Filter by priority": "অগ্রাধিকার অনুসারে ফিল্টার করুন",
  "Filter by status": "স্থিতি দ্বারা ফিল্টার করুন",
  "Filter by role": "ভূমিকা দ্বারা ফিল্টার",
  "Delete FAQ": "প্রায়শই জিজ্ঞাসিত প্রশ্নগুলি মুছুন৷",
  "Update FAQ": "FAQ আপডেট করুন",
  "Create Knowledge Base": "জ্ঞানের ভিত্তি তৈরি করুন",
  Title: Title$e,
  Type: Type$e,
  Details: Details$e,
  "Delete knowledge base": "জ্ঞানের ভিত্তি মুছুন",
  "Update knowledge base": "জ্ঞানের ভিত্তি আপডেট করুন",
  Note: Note$e,
  "No ticket found.": "কোনো টিকিট পাওয়া যায়নি।",
  "note details here...": "এখানে বিস্তারিত নোট করুন...",
  Submit: Submit$e,
  Cancel: Cancel$e,
  "Delete note": "নোট মুছুন",
  "Create Contact": "যোগাযোগ তৈরি করুন",
  Organization: Organization$e,
  "Delete Contact": "পরিচিতি মুছুন",
  "Update Contact": "যোগাযোগ আপডেট করুন",
  "Create Organization": "সংগঠন তৈরি করুন",
  Province: Province$e,
  State: State$e,
  "Postal code": "পোস্ট অফিসের নাম্বার",
  "Delete Organization": "সংস্থা মুছুন",
  "Update Organization": "আপডেট সংস্থা",
  Delete: Delete$e,
  Update: Update$e,
  Create: Create$e,
  "Create Customer": "গ্রাহক তৈরি করুন",
  "Manage Users": "ব্যবহারকারীদের ম্যানেজ করুন",
  "Delete User": "ব্যবহারকারী মুছুন",
  "Update User": "ব্যবহারকারী আপডেট করুন",
  "Are you sure you want to delete this user?": "আপনি কি এই ব্যবহারকারীকে মুছতে চান?",
  "App Name": "অ্যাপ্লিকেশন নাম",
  "Default Language": "নির্ধারিত ভাষা",
  "Email Notifications": "ইমেল বিজ্ঞপ্তি",
  "Create ticket by new customer": "নতুন গ্রাহক দ্বারা টিকিট তৈরি করুন",
  "Create ticket from dashboard": "ড্যাশবোর্ড থেকে টিকিট তৈরি করুন",
  "Notification for the first comment": "প্রথম মন্তব্যের জন্য বিজ্ঞপ্তি",
  "User got assigned for a task": "ব্যবহারকারী একটি কাজের জন্য বরাদ্দ করা হয়েছে",
  "Status or priority changes": "স্থিতি বা অগ্রাধিকার পরিবর্তন",
  "Create a new user": "একটি নতুন ব্যবহারকারী তৈরি করুন",
  "Cron Job Instruction": "ক্রন কাজের নির্দেশনা",
  "If you would like to send mail without delaying you need to set a cron job for that with once per minute.": "আপনি যদি দেরি না করে মেইল পাঠাতে চান তাহলে আপনাকে প্রতি মিনিটে একবার এর জন্য একটি ক্রোন কাজ সেট করতে হবে।",
  "Create Category": "বিভাগ তৈরি করুন",
  "Create New": "নতুন তৈরী করা",
  Statuses: Statuses$e,
  "Create Status": "স্ট্যাটাস তৈরি করুন",
  Slug: Slug$e,
  "Create Priority": "অগ্রাধিকার তৈরি করুন",
  "Create Department": "বিভাগ তৈরি করুন",
  "Create Type": "টাইপ তৈরি করুন",
  "Email Template": "ইমেইল টেমপ্লেট",
  "Email Html": "এইচটিএমএল ইমেল করুন",
  "Update Template": "টেমপ্লেট আপডেট করুন",
  "SMTP Host": "SMTP হোস্ট",
  "SMTP Port": "SMTP পোর্ট",
  "SMTP Username": "SMTP ব্যবহারকারীর নাম",
  "SMTP Password": "SMTP পাসওয়ার্ড",
  "Mail Encryption": "মেল এনক্রিপশন",
  "From Address": "ঠিকানা থেকে",
  "From Name": "নাম থেকে",
  "Pusher App ID": "পুশার অ্যাপ আইডি",
  "Pusher App Key": "পুশার অ্যাপ কী",
  "Pusher App Secret": "পুশার অ্যাপ সিক্রেট",
  "Pusher App Cluster": "পুশার অ্যাপ ক্লাস্টার",
  Location: Location$e,
  "Phone number": "ফোন নম্বর",
  "Email address": "ইমেইল ঠিকানা",
  "Email Address": "ইমেইল ঠিকানা",
  "Location address": "অবস্থান ঠিকানা",
  "Email details": "ইমেল বিবরণ",
  "Location details": "অবস্থানের বিশদ বিবরণ",
  "Location map": "অবস্থান মানচিত্র",
  "Add New": "নতুন যোগ করুন",
  Icon: Icon$e,
  Tag: Tag$e,
  Privacy: Privacy$e,
  "List information": "তথ্য তালিকা",
  Bottom: Bottom$e,
  "List items": "পন্যের তালিকা",
  "Page Content": "পৃষ্ঠা বিষয়বস্তু",
  "Frequently Asked Questions": "সচরাচর জিজ্ঞাস্য",
  "Contact us": "যোগাযোগ করুন",
  "Useful Link": "দরকারী লিঙ্ক",
  Company: Company$e,
  Subscribe: Subscribe$e,
  Login: Login$e,
  "Submit ticket": "টিকিট জমা দিন",
  "Login HelpDesk": "লগইন হেল্পডেস্ক",
  Faqs: Faqs$e,
  "Filter Ticket By": "দ্বারা টিকিট ফিল্টার",
  "Assign To": "ধার্য",
  "No conversation found.": "কোনো কথোপকথন পাওয়া যায়নি।",
  "No faqs found.": "কোন প্রশ্ন পাওয়া যায়নি.",
  "Faq Description": "FAQ বর্ণনা",
  Active: Active$e,
  Inactive: Inactive$e,
  Browse: Browse$e,
  Knowledge: Knowledge$e,
  Languages: Languages$e,
  User: User$e,
  "No languages found.": "কোনো ভাষা পাওয়া যায়নি।",
  "User roles": "ব্যবহারকারীর ভূমিকা",
  "No organizations found.": "কোন সংস্থা খুঁজে পাওয়া যায়নি.",
  Home: Home$e,
  "Create a ticket": "একটি টিকিট তৈরি করুন",
  "Open a ticket": "একটি টিকিট খুলুন",
  "Select a category": "একটি বিভাগ নির্বাচন করুন",
  "Select a type": "একটি প্রকার নির্বাচন করুন",
  "Select a department": "একটি বিভাগ নির্বাচন করুন",
  "Start Chat": "চ্যাট শুরু করুন",
  "Confirm Password": "পাসওয়ার্ড নিশ্চিত করুন",
  "No customers found.": "কোন গ্রাহক পাওয়া যায়নি.",
  "No knowledge base found.": "কোন জ্ঞানের ভিত্তি পাওয়া যায়নি।",
  "Create Post": "পোস্ট তৈরি করুন",
  "Feature image": "ফিচার ইমেজ",
  "Select type": "প্রকার নির্বাচন করুন",
  "Create a new post": "একটি নতুন পোস্ট তৈরি করুন",
  "No post base found.": "কোন পোস্ট বেস পাওয়া যায়নি.",
  "Is Active": "সক্রিয়",
  "All Posts": "সমস্ত পোস্ট",
  "Search your query in the FAQ items...": "প্রায়শই জিজ্ঞাসিত প্রশ্ন আইটেমগুলিতে আপনার প্রশ্ন অনুসন্ধান করুন...",
  Register: Register$e,
  "Useful Links": "উপকারী সংজুক",
  Newsletter: Newsletter$e,
  "Your email address": "আপনার ইমেইল ঠিকানা",
  "Join our newsletter service.": "আমাদের নিউজলেটার সেবা যোগদান."
};
const __vite_glob_1_0 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Active: Active$e,
  Address: Address$e,
  Admin: Admin$e,
  Average: Average$e,
  Blog: Blog$e,
  Bottom: Bottom$e,
  Browse: Browse$e,
  Cancel: Cancel$e,
  Categories: Categories$e,
  Category: Category$e,
  Chat: Chat$e,
  City: City$e,
  Company: Company$e,
  Contact: Contact$e,
  Contacts: Contacts$e,
  Country: Country$e,
  Create: Create$e,
  Created: Created$e,
  Customer: Customer$e,
  Customers: Customers$e,
  Dashboard: Dashboard$e,
  Day: Day$e,
  Days: Days$e,
  Delete: Delete$e,
  Department: Department$e,
  Departments: Departments$e,
  Details: Details$e,
  Development: Development$e,
  Email: Email$e,
  Event: Event$e,
  FAQ: FAQ$e,
  FAQs: FAQs$e,
  Faqs: Faqs$e,
  Filter: Filter$e,
  Global: Global$e,
  Hardware: Hardware$e,
  Home: Home$e,
  Hour: Hour$e,
  Hours: Hours$e,
  Icon: Icon$e,
  Inactive: Inactive$e,
  Key: Key$e,
  Knowledge: Knowledge$e,
  Languages: Languages$e,
  Location: Location$e,
  Login: Login$e,
  Logout: Logout$e,
  Management: Management$e,
  Minute: Minute$e,
  Minutes: Minutes$e,
  Month: Month$e,
  Months: Months$e,
  More: More$e,
  Name: Name$e,
  Newsletter: Newsletter$e,
  Note: Note$e,
  Notes: Notes$e,
  Organization: Organization$e,
  Organizations: Organizations$e,
  Password: Password$e,
  Phone: Phone$e,
  Photo: Photo$e,
  Priorities: Priorities$e,
  Priority: Priority$e,
  Privacy: Privacy$e,
  Province: Province$e,
  Pusher: Pusher$e,
  Register: Register$e,
  Reset: Reset$e,
  Role: Role$e,
  Save: Save$e,
  Seconds: Seconds$e,
  Service: Service$e,
  Services: Services$e,
  Settings: Settings$e,
  Slug: Slug$e,
  Software: Software$e,
  State: State$e,
  Status: Status$e,
  Statuses: Statuses$e,
  Subject: Subject$e,
  Submit: Submit$e,
  Subscribe: Subscribe$e,
  Tag: Tag$e,
  Technical: Technical$e,
  Ticket: Ticket$e,
  Tickets: Tickets$e,
  Title: Title$e,
  Trashed: Trashed$e,
  Type: Type$e,
  Types: Types$e,
  Update: Update$e,
  Updated: Updated$e,
  User: User$e,
  Users: Users$e,
  default: bd
}, Symbol.toStringTag, { value: "Module" }));
const Dashboard$d = "儀表板";
const Logout$d = "登出";
const Tickets$d = "門票";
const Chat$d = "聊天";
const FAQs$d = "常見問題解答";
const Blog$d = "部落格";
const More$d = "更多的";
const Notes$d = "筆記";
const Contacts$d = "聯絡方式";
const Organizations$d = "組織機構";
const Users$d = "使用者";
const Customers$d = "顧客";
const Settings$d = "設定";
const Global$d = "全球的";
const Categories$d = "類別";
const Status$d = "地位";
const Priorities$d = "優先事項";
const Departments$d = "部門";
const Types$d = "類型";
const Pusher$d = "推手";
const Contact$d = "接觸";
const Services$d = "服務";
const Filter$d = "篩選";
const Trashed$d = "被丟掉";
const Reset$d = "重置";
const Name$d = "姓名";
const Email$d = "電子郵件";
const Phone$d = "電話";
const Country$d = "國家";
const City$d = "城市";
const Address$d = "地址";
const Password$d = "密碼";
const Role$d = "角色";
const Photo$d = "照片";
const Technical$d = "技術的";
const Hardware$d = "硬體";
const Development$d = "發展";
const Management$d = "管理";
const Admin$d = "行政";
const Software$d = "軟體";
const Service$d = "服務";
const Event$d = "事件";
const Average$d = "平均的";
const Seconds$d = "秒數";
const Month$d = "月";
const Months$d = "幾個月";
const Day$d = "天";
const Days$d = "天";
const Hours$d = "小時";
const Hour$d = "小時";
const Minutes$d = "分分鐘";
const Minute$d = "分分鐘";
const Key$d = "鑰匙";
const Subject$d = "主題";
const Priority$d = "優先事項";
const Updated$d = "更新";
const Customer$d = "顧客";
const Department$d = "部門";
const Category$d = "類別";
const Created$d = "已創建";
const Save$d = "節省";
const Ticket$d = "票";
const FAQ$d = "常問問題";
const Title$d = "標題";
const Type$d = "類型";
const Details$d = "細節";
const Note$d = "筆記";
const Submit$d = "提交";
const Cancel$d = "取消";
const Organization$d = "組織";
const Province$d = "省";
const State$d = "狀態";
const Delete$d = "刪除";
const Update$d = "更新";
const Create$d = "創造";
const Statuses$d = "狀態";
const Slug$d = "蛞蝓";
const Location$d = "地點";
const Icon$d = "圖示";
const Tag$d = "標籤";
const Privacy$d = "隱私";
const Bottom$d = "底部";
const Company$d = "公司";
const Subscribe$d = "訂閱";
const Login$d = "登入";
const Faqs$d = "常見問題解答";
const Active$d = "積極的";
const Inactive$d = "不活躍";
const Browse$d = "瀏覽";
const Knowledge$d = "知識";
const Languages$d = "語言";
const User$d = "使用者";
const Home$d = "家";
const Register$d = "登記";
const Newsletter$d = "通訊";
const cn = {
  "Edit Profile": "編輯個人資料",
  Dashboard: Dashboard$d,
  Logout: Logout$d,
  Tickets: Tickets$d,
  Chat: Chat$d,
  FAQs: FAQs$d,
  Blog: Blog$d,
  "Knowledge Base": "知識庫",
  More: More$d,
  Notes: Notes$d,
  Contacts: Contacts$d,
  Organizations: Organizations$d,
  Users: Users$d,
  Customers: Customers$d,
  Settings: Settings$d,
  Global: Global$d,
  Categories: Categories$d,
  Status: Status$d,
  Priorities: Priorities$d,
  Departments: Departments$d,
  Types: Types$d,
  "Email Templates": "電子郵件模板",
  "SMTP Mail": "SMTP郵件",
  Pusher: Pusher$d,
  "Pusher Chat": "推播聊天",
  "Front Pages": "首頁",
  Contact: Contact$d,
  Services: Services$d,
  "Privacy Policy": "隱私權政策",
  "Terms of Services": "服務條款",
  Filter: Filter$d,
  Trashed: Trashed$d,
  "Trashed With": "被丟掉了",
  "Only Trashed": "僅被丟棄",
  "Search...": "搜尋...",
  Reset: Reset$d,
  Name: Name$d,
  Email: Email$d,
  Phone: Phone$d,
  Country: Country$d,
  "Create User": "創建用戶",
  "First Name": "名",
  "First name": "名",
  "Last Name": "姓",
  "Last name": "姓",
  City: City$d,
  Address: Address$d,
  Password: Password$d,
  Role: Role$d,
  Photo: Photo$d,
  "New Tickets": "新門票",
  "Open Tickets": "公開門票",
  "Closed Tickets": "封閉門票",
  "Unassigned Tickets": "未分配的票證",
  "Ticket by department": "按部門售票",
  "Ticket by type": "門票按類型",
  "Top ticket creator": "頂級門票創造者",
  "Ticket history": "門票歷史記錄",
  "First Response Time": "首次回應時間",
  "Last Response Time": "最後反應時間",
  Technical: Technical$d,
  Hardware: Hardware$d,
  Development: Development$d,
  Management: Management$d,
  Admin: Admin$d,
  Software: Software$d,
  Service: Service$d,
  Event: Event$d,
  Average: Average$d,
  Seconds: Seconds$d,
  "this month": "這個月",
  "last month": "上個月",
  Month: Month$d,
  Months: Months$d,
  Day: Day$d,
  Days: Days$d,
  Hours: Hours$d,
  Hour: Hour$d,
  Minutes: Minutes$d,
  Minute: Minute$d,
  Key: Key$d,
  Subject: Subject$d,
  "Attach files": "附加文件",
  Priority: Priority$d,
  "Date": "日期",
  Updated: Updated$d,
  Customer: Customer$d,
  Department: Department$d,
  "Assigned to": "分配給",
  "Ticket type": "門票類型",
  Category: Category$d,
  Created: Created$d,
  "Request Details": "請求詳情",
  "Attach File": "附加文件",
  "Delete Ticket": "刪除工單",
  Save: Save$d,
  "Ticket discussion": "票務討論",
  "Comment histories for this ticket will be available here.": "此票證的評論歷史記錄將在此處提供。",
  Ticket: Ticket$d,
  "Comment histories": "評論歷史",
  "Comment history": "評論歷史",
  "Write a comment and press enter to send...": "寫評論並按 Enter 發送...",
  "Click on a conversation from left to see the histories.": "點選左側的對話可查看歷史記錄。",
  "Type a message...": "輸入訊息...",
  FAQ: FAQ$d,
  "Create Ticket": "創建票證",
  "New Ticket": "新票",
  "Create FAQ": "建立常見問題解答",
  "Filter by priority": "按優先權過濾",
  "Filter by status": "按狀態過濾",
  "Filter by role": "按角色過濾",
  "Delete FAQ": "刪除常見問題解答",
  "Update FAQ": "更新常見問題",
  "Create Knowledge Base": "創建知識庫",
  Title: Title$d,
  Type: Type$d,
  Details: Details$d,
  "Delete knowledge base": "刪除知識庫",
  "Update knowledge base": "更新知識庫",
  Note: Note$d,
  "No ticket found.": "沒有找到票。",
  "note details here...": "請注意此處的詳細資訊...",
  Submit: Submit$d,
  Cancel: Cancel$d,
  "Delete note": "刪除註釋",
  "Create Contact": "創建聯絡人",
  Organization: Organization$d,
  "Delete Contact": "刪除聯絡人",
  "Update Contact": "更新聯絡方式",
  "Create Organization": "創建組織",
  Province: Province$d,
  State: State$d,
  "Postal code": "郵遞區號",
  "Delete Organization": "刪除組織",
  "Update Organization": "更新組織",
  Delete: Delete$d,
  Update: Update$d,
  Create: Create$d,
  "Create Customer": "創建客戶",
  "Manage Users": "管理用戶",
  "Delete User": "刪除用戶",
  "Update User": "更新用戶",
  "Are you sure you want to delete this user?": "您確定要刪除該使用者嗎？",
  "App Name": "應用程式名稱",
  "Default Language": "預設語言",
  "Email Notifications": "電子郵件通知",
  "Create ticket by new customer": "由新客戶建立票證",
  "Create ticket from dashboard": "從儀表板建立票證",
  "Notification for the first comment": "第一則評論通知",
  "User got assigned for a task": "使用者被指派任務",
  "Status or priority changes": "狀態或優先權更改",
  "Create a new user": "建立一個新用戶",
  "Cron Job Instruction": "Cron作業指令",
  "If you would like to send mail without delaying you need to set a cron job for that with once per minute.": "如果您想不延遲地發送郵件，您需要為此設定每分鐘一次的 cron 作業。",
  "Create Category": "建立類別",
  "Create New": "創建新的",
  Statuses: Statuses$d,
  "Create Status": "建立狀態",
  Slug: Slug$d,
  "Create Priority": "創建優先級",
  "Create Department": "創建部門",
  "Create Type": "建立類型",
  "Email Template": "電子郵件模板",
  "Email Html": "電子郵件HTML",
  "Update Template": "更新模板",
  "SMTP Host": "SMTP 主機",
  "SMTP Port": "SMTP 連接埠",
  "SMTP Username": "SMTP 使用者名稱",
  "SMTP Password": "郵件發送密碼",
  "Mail Encryption": "郵件加密",
  "From Address": "寄件者地址",
  "From Name": "來自名字",
  "Pusher App ID": "推送應用程式 ID",
  "Pusher App Key": "推送器應用程式金鑰",
  "Pusher App Secret": "推送應用程式的秘密",
  "Pusher App Cluster": "推送應用程式集群",
  Location: Location$d,
  "Phone number": "電話號碼",
  "Email address": "電子郵件地址",
  "Email Address": "電子郵件地址",
  "Location address": "地點地址",
  "Email details": "電子郵件詳細信息",
  "Location details": "地點詳情",
  "Location map": "位置圖",
  "Add New": "添新",
  Icon: Icon$d,
  Tag: Tag$d,
  Privacy: Privacy$d,
  "List information": "清單資訊",
  Bottom: Bottom$d,
  "List items": "列出項目",
  "Page Content": "頁面內容",
  "Frequently Asked Questions": "經常問的問題",
  "Contact us": "聯絡我們",
  "Useful Link": "有用的連結",
  Company: Company$d,
  Subscribe: Subscribe$d,
  Login: Login$d,
  "Submit ticket": "提交票證",
  "Login HelpDesk": "登入服務台",
  Faqs: Faqs$d,
  "Filter Ticket By": "篩選票據依據",
  "Assign To": "分配給",
  "No conversation found.": "沒有找到對話。",
  "No faqs found.": "未找到常見問題。",
  "Faq Description": "常見問題說明",
  Active: Active$d,
  Inactive: Inactive$d,
  Browse: Browse$d,
  Knowledge: Knowledge$d,
  Languages: Languages$d,
  User: User$d,
  "No languages found.": "未找到語言。",
  "User roles": "使用者角色",
  "No organizations found.": "沒有找到組織。",
  Home: Home$d,
  "Create a ticket": "創建票證",
  "Open a ticket": "開票",
  "Select a category": "選擇一個類別",
  "Select a type": "選擇類型",
  "Select a department": "選擇部門",
  "Start Chat": "開始聊天",
  "Confirm Password": "確認密碼",
  "No customers found.": "沒有找到客戶。",
  "No knowledge base found.": "未找到知識庫。",
  "Create Post": "建立貼文",
  "Feature image": "特色圖片",
  "Select type": "選擇類型",
  "Create a new post": "建立一個新帖子",
  "No post base found.": "未找到貼文基地。",
  "Is Active": "活躍",
  "All Posts": "所有貼文",
  "Search your query in the FAQ items...": "在常見問題項目中搜尋您的查詢...",
  Register: Register$d,
  "Useful Links": "有用的連結",
  Newsletter: Newsletter$d,
  "Your email address": "您的電子郵件地址",
  "Join our newsletter service.": "加入我們的時事通訊服務。"
};
const __vite_glob_1_1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Active: Active$d,
  Address: Address$d,
  Admin: Admin$d,
  Average: Average$d,
  Blog: Blog$d,
  Bottom: Bottom$d,
  Browse: Browse$d,
  Cancel: Cancel$d,
  Categories: Categories$d,
  Category: Category$d,
  Chat: Chat$d,
  City: City$d,
  Company: Company$d,
  Contact: Contact$d,
  Contacts: Contacts$d,
  Country: Country$d,
  Create: Create$d,
  Created: Created$d,
  Customer: Customer$d,
  Customers: Customers$d,
  Dashboard: Dashboard$d,
  Day: Day$d,
  Days: Days$d,
  Delete: Delete$d,
  Department: Department$d,
  Departments: Departments$d,
  Details: Details$d,
  Development: Development$d,
  Email: Email$d,
  Event: Event$d,
  FAQ: FAQ$d,
  FAQs: FAQs$d,
  Faqs: Faqs$d,
  Filter: Filter$d,
  Global: Global$d,
  Hardware: Hardware$d,
  Home: Home$d,
  Hour: Hour$d,
  Hours: Hours$d,
  Icon: Icon$d,
  Inactive: Inactive$d,
  Key: Key$d,
  Knowledge: Knowledge$d,
  Languages: Languages$d,
  Location: Location$d,
  Login: Login$d,
  Logout: Logout$d,
  Management: Management$d,
  Minute: Minute$d,
  Minutes: Minutes$d,
  Month: Month$d,
  Months: Months$d,
  More: More$d,
  Name: Name$d,
  Newsletter: Newsletter$d,
  Note: Note$d,
  Notes: Notes$d,
  Organization: Organization$d,
  Organizations: Organizations$d,
  Password: Password$d,
  Phone: Phone$d,
  Photo: Photo$d,
  Priorities: Priorities$d,
  Priority: Priority$d,
  Privacy: Privacy$d,
  Province: Province$d,
  Pusher: Pusher$d,
  Register: Register$d,
  Reset: Reset$d,
  Role: Role$d,
  Save: Save$d,
  Seconds: Seconds$d,
  Service: Service$d,
  Services: Services$d,
  Settings: Settings$d,
  Slug: Slug$d,
  Software: Software$d,
  State: State$d,
  Status: Status$d,
  Statuses: Statuses$d,
  Subject: Subject$d,
  Submit: Submit$d,
  Subscribe: Subscribe$d,
  Tag: Tag$d,
  Technical: Technical$d,
  Ticket: Ticket$d,
  Tickets: Tickets$d,
  Title: Title$d,
  Trashed: Trashed$d,
  Type: Type$d,
  Types: Types$d,
  Update: Update$d,
  Updated: Updated$d,
  User: User$d,
  Users: Users$d,
  default: cn
}, Symbol.toStringTag, { value: "Module" }));
const Dashboard$c = "Armaturenbrett";
const Logout$c = "Ausloggen";
const Tickets$c = "Tickets";
const Chat$c = "Plaudern";
const FAQs$c = "FAQs";
const Blog$c = "Blog";
const More$c = "Mehr";
const Notes$c = "Anmerkungen";
const Contacts$c = "Kontakte";
const Organizations$c = "Organisationen";
const Users$c = "Benutzer";
const Customers$c = "Kunden";
const Settings$c = "Einstellungen";
const Global$c = "Global";
const Categories$c = "Kategorien";
const Status$c = "Status";
const Priorities$c = "Prioritäten";
const Departments$c = "Abteilungen";
const Types$c = "Typen";
const Pusher$c = "Pusher";
const Contact$c = "Kontakt";
const Services$c = "Dienstleistungen";
const Filter$c = "Filter";
const Trashed$c = "Verwüstet";
const Reset$c = "Zurücksetzen";
const Name$c = "Name";
const Email$c = "Email";
const Phone$c = "Telefon";
const Country$c = "Land";
const City$c = "Stadt";
const Address$c = "Adresse";
const Password$c = "Passwort";
const Role$c = "Rolle";
const Photo$c = "Foto";
const Technical$c = "Technisch";
const Hardware$c = "Hardware";
const Development$c = "Entwicklung";
const Management$c = "Management";
const Admin$c = "Administrator";
const Software$c = "Software";
const Service$c = "Service";
const Event$c = "Ereignis";
const Average$c = "Durchschnitt";
const Seconds$c = "Sekunden";
const Month$c = "Monat";
const Months$c = "Monate";
const Day$c = "Tag";
const Days$c = "Tage";
const Hours$c = "Std";
const Hour$c = "Stunde";
const Minutes$c = "Protokoll";
const Minute$c = "Minute";
const Key$c = "Schlüssel";
const Subject$c = "Thema";
const Priority$c = "Priorität";
const Updated$c = "Aktualisiert";
const Customer$c = "Kunde";
const Department$c = "Abteilung";
const Category$c = "Kategorie";
const Created$c = "Erstellt";
const Save$c = "Speichern";
const Ticket$c = "Fahrkarte";
const FAQ$c = "FAQ";
const Title$c = "Titel";
const Type$c = "Typ";
const Details$c = "Einzelheiten";
const Note$c = "Notiz";
const Submit$c = "Einreichen";
const Cancel$c = "Stornieren";
const Organization$c = "Organisation";
const Province$c = "Provinz";
const State$c = "Zustand";
const Delete$c = "Löschen";
const Update$c = "Aktualisieren";
const Create$c = "Erstellen";
const Statuses$c = "Status";
const Slug$c = "Schnecke";
const Location$c = "Standort";
const Icon$c = "Symbol";
const Tag$c = "Etikett";
const Privacy$c = "Privatsphäre";
const Bottom$c = "Unten";
const Company$c = "Unternehmen";
const Subscribe$c = "Abonnieren";
const Login$c = "Anmeldung";
const Faqs$c = "FAQs";
const Active$c = "Aktiv";
const Inactive$c = "Inaktiv";
const Browse$c = "Durchsuche";
const Knowledge$c = "Wissen";
const Languages$c = "Sprachen";
const User$c = "Benutzer";
const Home$c = "Heim";
const Register$c = "Registrieren";
const Newsletter$c = "Newsletter";
const de = {
  "Edit Profile": "Profil bearbeiten",
  Dashboard: Dashboard$c,
  Logout: Logout$c,
  Tickets: Tickets$c,
  Chat: Chat$c,
  FAQs: FAQs$c,
  Blog: Blog$c,
  "Knowledge Base": "Wissensbasis",
  More: More$c,
  Notes: Notes$c,
  Contacts: Contacts$c,
  Organizations: Organizations$c,
  Users: Users$c,
  Customers: Customers$c,
  Settings: Settings$c,
  Global: Global$c,
  Categories: Categories$c,
  Status: Status$c,
  Priorities: Priorities$c,
  Departments: Departments$c,
  Types: Types$c,
  "Email Templates": "E-Mail-Vorlagen",
  "SMTP Mail": "SMTP-Mail",
  Pusher: Pusher$c,
  "Pusher Chat": "Pusher-Chat",
  "Front Pages": "Vorderseiten",
  Contact: Contact$c,
  Services: Services$c,
  "Privacy Policy": "Datenschutzrichtlinie",
  "Terms of Services": "Nutzungsbedingungen",
  Filter: Filter$c,
  Trashed: Trashed$c,
  "Trashed With": "Verwüstet mit",
  "Only Trashed": "Nur im Müll",
  "Search...": "Suchen...",
  Reset: Reset$c,
  Name: Name$c,
  Email: Email$c,
  Phone: Phone$c,
  Country: Country$c,
  "Create User": "Benutzer erstellen",
  "First Name": "Vorname",
  "First name": "Vorname",
  "Last Name": "Familienname, Nachname",
  "Last name": "Familienname, Nachname",
  City: City$c,
  Address: Address$c,
  Password: Password$c,
  Role: Role$c,
  Photo: Photo$c,
  "New Tickets": "Neue Tickets",
  "Open Tickets": "Offene Tickets",
  "Closed Tickets": "Geschlossene Tickets",
  "Unassigned Tickets": "Nicht zugewiesene Tickets",
  "Ticket by department": "Ticket nach Abteilung",
  "Ticket by type": "Ticket nach Typ",
  "Top ticket creator": "Top-Ticketersteller",
  "Ticket history": "Ticketverlauf",
  "First Response Time": "Erste Reaktionszeit",
  "Last Response Time": "Letzte Antwortzeit",
  Technical: Technical$c,
  Hardware: Hardware$c,
  Development: Development$c,
  Management: Management$c,
  Admin: Admin$c,
  Software: Software$c,
  Service: Service$c,
  Event: Event$c,
  Average: Average$c,
  Seconds: Seconds$c,
  "this month": "diesen Monat",
  "last month": "Im vergangenen Monat",
  Month: Month$c,
  Months: Months$c,
  Day: Day$c,
  Days: Days$c,
  Hours: Hours$c,
  Hour: Hour$c,
  Minutes: Minutes$c,
  Minute: Minute$c,
  Key: Key$c,
  Subject: Subject$c,
  "Attach files": "Dateien anhängen",
  Priority: Priority$c,
  "Date": "Datum",
  Updated: Updated$c,
  Customer: Customer$c,
  Department: Department$c,
  "Assigned to": "Zugewiesen an",
  "Ticket type": "Art des Tickets",
  Category: Category$c,
  Created: Created$c,
  "Request Details": "Anfragedetails",
  "Attach File": "Datei anhängen",
  "Delete Ticket": "Ticket löschen",
  Save: Save$c,
  "Ticket discussion": "Ticketdiskussion",
  "Comment histories for this ticket will be available here.": "Kommentarverläufe für dieses Ticket finden Sie hier.",
  Ticket: Ticket$c,
  "Comment histories": "Kommentarhistorien",
  "Comment history": "Kommentarverlauf",
  "Write a comment and press enter to send...": "Schreiben Sie einen Kommentar und drücken Sie die Eingabetaste, um ihn zu senden ...",
  "Click on a conversation from left to see the histories.": "Klicken Sie links auf eine Konversation, um die Verläufe anzuzeigen.",
  "Type a message...": "Geben Sie eine Nachricht ein...",
  FAQ: FAQ$c,
  "Create Ticket": "Ticket erstellen",
  "New Ticket": "Neues Ticket",
  "Create FAQ": "FAQ erstellen",
  "Filter by priority": "Nach Priorität filtern",
  "Filter by status": "Nach Status filtern",
  "Filter by role": "Nach Rolle filtern",
  "Delete FAQ": "FAQ löschen",
  "Update FAQ": "Update-FAQ",
  "Create Knowledge Base": "Erstellen Sie eine Wissensdatenbank",
  Title: Title$c,
  Type: Type$c,
  Details: Details$c,
  "Delete knowledge base": "Wissensdatenbank löschen",
  "Update knowledge base": "Wissensdatenbank aktualisieren",
  Note: Note$c,
  "No ticket found.": "Kein Ticket gefunden.",
  "note details here...": "Details hier beachten...",
  Submit: Submit$c,
  Cancel: Cancel$c,
  "Delete note": "Notiz löschen",
  "Create Contact": "Kontakt erstellen",
  Organization: Organization$c,
  "Delete Contact": "Kontakt löschen",
  "Update Contact": "Kontakt aktualisieren",
  "Create Organization": "Organisation erstellen",
  Province: Province$c,
  State: State$c,
  "Postal code": "Postleitzahl",
  "Delete Organization": "Organisation löschen",
  "Update Organization": "Organisation aktualisieren",
  Delete: Delete$c,
  Update: Update$c,
  Create: Create$c,
  "Create Customer": "Kunde anlegen",
  "Manage Users": "Benutzer verwalten",
  "Delete User": "Benutzer löschen",
  "Update User": "Benutzer aktualisieren",
  "Are you sure you want to delete this user?": "Sind Sie sicher, dass Sie diesen Benutzer löschen möchten?",
  "App Name": "App Name",
  "Default Language": "Standardsprache",
  "Email Notifications": "E-Mail Benachrichtigungen",
  "Create ticket by new customer": "Ticket für neuen Kunden erstellen",
  "Create ticket from dashboard": "Erstellen Sie ein Ticket über das Dashboard",
  "Notification for the first comment": "Benachrichtigung für den ersten Kommentar",
  "User got assigned for a task": "Dem Benutzer wurde eine Aufgabe zugewiesen",
  "Status or priority changes": "Status- oder Prioritätsänderungen",
  "Create a new user": "Erstellen Sie einen neuen Benutzer",
  "Cron Job Instruction": "Cron-Job-Anleitung",
  "If you would like to send mail without delaying you need to set a cron job for that with once per minute.": "Wenn Sie E-Mails ohne Verzögerung versenden möchten, müssen Sie dafür einmal pro Minute einen Cronjob einrichten.",
  "Create Category": "Kategorie erstellen",
  "Create New": "Erstelle neu",
  Statuses: Statuses$c,
  "Create Status": "Status erstellen",
  Slug: Slug$c,
  "Create Priority": "Priorität erstellen",
  "Create Department": "Abteilung erstellen",
  "Create Type": "Typ erstellen",
  "Email Template": "E-Mail-Vorlage",
  "Email Html": "E-Mail-HTML",
  "Update Template": "Vorlage aktualisieren",
  "SMTP Host": "SMTP-Host",
  "SMTP Port": "SMTP-Port",
  "SMTP Username": "SMTP-Benutzername",
  "SMTP Password": "SMTP-Passwort",
  "Mail Encryption": "E-Mail-Verschlüsselung",
  "From Address": "Von der Adresse",
  "From Name": "Von Namen",
  "Pusher App ID": "Pusher-App-ID",
  "Pusher App Key": "Pusher-App-Schlüssel",
  "Pusher App Secret": "Geheimnis der Pusher-App",
  "Pusher App Cluster": "Pusher-App-Cluster",
  Location: Location$c,
  "Phone number": "Telefonnummer",
  "Email address": "E-Mail-Adresse",
  "Email Address": "E-Mail-Adresse",
  "Location address": "Standort-Adresse",
  "Email details": "E-Mail-Details",
  "Location details": "Standortdetails",
  "Location map": "Landkarte",
  "Add New": "Neue hinzufügen",
  Icon: Icon$c,
  Tag: Tag$c,
  Privacy: Privacy$c,
  "List information": "Informationen auflisten",
  Bottom: Bottom$c,
  "List items": "Artikel auflisten",
  "Page Content": "Seiteninhalt",
  "Frequently Asked Questions": "Häufig gestellte Fragen",
  "Contact us": "Kontaktiere uns",
  "Useful Link": "Nützlicher Link",
  Company: Company$c,
  Subscribe: Subscribe$c,
  Login: Login$c,
  "Submit ticket": "Ticket übermitteln",
  "Login HelpDesk": "Melden Sie sich beim HelpDesk an",
  Faqs: Faqs$c,
  "Filter Ticket By": "Ticket filtern nach",
  "Assign To": "Zuweisen",
  "No conversation found.": "Keine Konversation gefunden.",
  "No faqs found.": "Keine FAQs gefunden.",
  "Faq Description": "FAQ-Beschreibung",
  Active: Active$c,
  Inactive: Inactive$c,
  Browse: Browse$c,
  Knowledge: Knowledge$c,
  Languages: Languages$c,
  User: User$c,
  "No languages found.": "Keine Sprachen gefunden.",
  "User roles": "Benutzerregeln",
  "No organizations found.": "Keine Organisationen gefunden.",
  Home: Home$c,
  "Create a ticket": "Erstellen Sie ein Ticket",
  "Open a ticket": "Öffnen Sie ein Ticket",
  "Select a category": "Wählen Sie eine Kategorie",
  "Select a type": "Wählen Sie einen Typ aus",
  "Select a department": "Wählen Sie eine Abteilung aus",
  "Start Chat": "Chat beginnen",
  "Confirm Password": "Bestätige das Passwort",
  "No customers found.": "Keine Kunden gefunden.",
  "No knowledge base found.": "Keine Wissensdatenbank gefunden.",
  "Create Post": "Beitrag erstellen",
  "Feature image": "Feature-Bild",
  "Select type": "Art auswählen",
  "Create a new post": "Erstellen Sie einen neuen Beitrag",
  "No post base found.": "Keine Beitragsbasis gefunden.",
  "Is Active": "Ist aktiv",
  "All Posts": "Alle Artikel",
  "Search your query in the FAQ items...": "Suchen Sie in den FAQ-Artikeln nach Ihrer Anfrage...",
  Register: Register$c,
  "Useful Links": "Nützliche Links",
  Newsletter: Newsletter$c,
  "Your email address": "Ihre E-Mail-Adresse",
  "Join our newsletter service.": "Abonnieren Sie unseren Newsletter-Service."
};
const __vite_glob_1_2 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Active: Active$c,
  Address: Address$c,
  Admin: Admin$c,
  Average: Average$c,
  Blog: Blog$c,
  Bottom: Bottom$c,
  Browse: Browse$c,
  Cancel: Cancel$c,
  Categories: Categories$c,
  Category: Category$c,
  Chat: Chat$c,
  City: City$c,
  Company: Company$c,
  Contact: Contact$c,
  Contacts: Contacts$c,
  Country: Country$c,
  Create: Create$c,
  Created: Created$c,
  Customer: Customer$c,
  Customers: Customers$c,
  Dashboard: Dashboard$c,
  Day: Day$c,
  Days: Days$c,
  Delete: Delete$c,
  Department: Department$c,
  Departments: Departments$c,
  Details: Details$c,
  Development: Development$c,
  Email: Email$c,
  Event: Event$c,
  FAQ: FAQ$c,
  FAQs: FAQs$c,
  Faqs: Faqs$c,
  Filter: Filter$c,
  Global: Global$c,
  Hardware: Hardware$c,
  Home: Home$c,
  Hour: Hour$c,
  Hours: Hours$c,
  Icon: Icon$c,
  Inactive: Inactive$c,
  Key: Key$c,
  Knowledge: Knowledge$c,
  Languages: Languages$c,
  Location: Location$c,
  Login: Login$c,
  Logout: Logout$c,
  Management: Management$c,
  Minute: Minute$c,
  Minutes: Minutes$c,
  Month: Month$c,
  Months: Months$c,
  More: More$c,
  Name: Name$c,
  Newsletter: Newsletter$c,
  Note: Note$c,
  Notes: Notes$c,
  Organization: Organization$c,
  Organizations: Organizations$c,
  Password: Password$c,
  Phone: Phone$c,
  Photo: Photo$c,
  Priorities: Priorities$c,
  Priority: Priority$c,
  Privacy: Privacy$c,
  Province: Province$c,
  Pusher: Pusher$c,
  Register: Register$c,
  Reset: Reset$c,
  Role: Role$c,
  Save: Save$c,
  Seconds: Seconds$c,
  Service: Service$c,
  Services: Services$c,
  Settings: Settings$c,
  Slug: Slug$c,
  Software: Software$c,
  State: State$c,
  Status: Status$c,
  Statuses: Statuses$c,
  Subject: Subject$c,
  Submit: Submit$c,
  Subscribe: Subscribe$c,
  Tag: Tag$c,
  Technical: Technical$c,
  Ticket: Ticket$c,
  Tickets: Tickets$c,
  Title: Title$c,
  Trashed: Trashed$c,
  Type: Type$c,
  Types: Types$c,
  Update: Update$c,
  Updated: Updated$c,
  User: User$c,
  Users: Users$c,
  default: de
}, Symbol.toStringTag, { value: "Module" }));
const Dashboard$b = "Dashboard";
const Logout$b = "Logout";
const Tickets$b = "Tickets";
const Chat$b = "Chat";
const FAQs$b = "FAQs";
const Blog$b = "Blog";
const More$b = "More";
const Notes$b = "Notes";
const Contacts$b = "Contacts";
const Organizations$b = "Organizations";
const Users$b = "Users";
const Customers$b = "Customers";
const Settings$b = "Settings";
const Global$b = "Global";
const Categories$b = "Categories";
const Status$b = "Status";
const Priorities$b = "Priorities";
const Departments$b = "Departments";
const Types$b = "Types";
const Pusher$b = "Pusher";
const Contact$b = "Contact";
const Services$b = "Services";
const Filter$b = "Filter";
const Trashed$b = "Trashed";
const Reset$b = "Reset";
const Name$b = "Name";
const Email$b = "Email";
const Phone$b = "Phone";
const Country$b = "Country";
const City$b = "City";
const Address$b = "Address";
const Password$b = "Password";
const Role$b = "Role";
const Photo$b = "Photo";
const Technical$b = "Technical";
const Hardware$b = "Hardware";
const Development$b = "Development";
const Management$b = "Management";
const Admin$b = "Admin";
const Software$b = "Software";
const Service$b = "Service";
const Event$b = "Event";
const Average$b = "Average";
const Seconds$b = "Seconds";
const Month$b = "Month";
const Months$b = "Months";
const Day$b = "Day";
const Days$b = "Days";
const Hours$b = "Hours";
const Hour$b = "Hour";
const Minutes$b = "Minutes";
const Minute$b = "Minute";
const Key$b = "Key";
const Subject$b = "Subject";
const Priority$b = "Priority";
const Updated$b = "Updated";
const Customer$b = "Customer";
const Department$b = "Department";
const Category$b = "Category";
const Created$b = "Created";
const Save$b = "Save";
const Ticket$b = "Ticket";
const FAQ$b = "FAQ";
const Title$b = "Title";
const Type$b = "Type";
const Details$b = "Details";
const Note$b = "Note";
const Submit$b = "Submit";
const Cancel$b = "Cancel";
const Organization$b = "Organization";
const Province$b = "Province";
const State$b = "State";
const Delete$b = "Delete";
const Update$b = "Update";
const Create$b = "Create";
const Statuses$b = "Statuses";
const Slug$b = "Slug";
const Location$b = "Location";
const Icon$b = "Icon";
const Tag$b = "Tag";
const Privacy$b = "Privacy";
const Bottom$b = "Bottom";
const Company$b = "Company";
const Subscribe$b = "Subscribe";
const Login$b = "Login";
const Faqs$b = "Faqs";
const Active$b = "Active";
const Inactive$b = "Inactive";
const Browse$b = "Browse";
const Knowledge$b = "Knowledge";
const Languages$b = "Languages";
const User$b = "User";
const Home$b = "Home";
const Register$b = "Register";
const Newsletter$b = "Newsletter";
const en = {
  "Edit Profile": "Edit Profile",
  Dashboard: Dashboard$b,
  "Good Afternoon": "Good Afternoon",
  Logout: Logout$b,
  Tickets: Tickets$b,
  Chat: Chat$b,
  FAQs: FAQs$b,
  Blog: Blog$b,
  "Knowledge Base": "Knowledge Base",
  More: More$b,
  Notes: Notes$b,
  Contacts: Contacts$b,
  Organizations: Organizations$b,
  Users: Users$b,
  Customers: Customers$b,
  Settings: Settings$b,
  Global: Global$b,
  Categories: Categories$b,
  Status: Status$b,
  Priorities: Priorities$b,
  Departments: Departments$b,
  Types: Types$b,
  "Email Templates": "Email Templates",
  "SMTP Mail": "SMTP Mail",
  Pusher: Pusher$b,
  "Pusher Chat": "Pusher Chat",
  "Front Pages": "Front Pages",
  Contact: Contact$b,
  Services: Services$b,
  "Privacy Policy": "Privacy Policy",
  "Terms of Services": "Terms of Services",
  Filter: Filter$b,
  Trashed: Trashed$b,
  "Trashed With": "Trashed With",
  "Only Trashed": "Only Trashed",
  "Search...": "Search...",
  Reset: Reset$b,
  Name: Name$b,
  Email: Email$b,
  Phone: Phone$b,
  Country: Country$b,
  "Create User": "Create User",
  "First Name": "First Name",
  "First name": "First name",
  "Last Name": "Last Name",
  "Last name": "Last name",
  City: City$b,
  Address: Address$b,
  Password: Password$b,
  Role: Role$b,
  Photo: Photo$b,
  "New Tickets": "New Tickets",
  "Open Tickets": "Open Tickets",
  "Closed Tickets": "Closed Tickets",
  "Unassigned Tickets": "Unassigned Tickets",
  "Ticket by department": "Ticket by department",
  "Ticket by type": "Ticket by type",
  "Top ticket creator": "Top ticket creator",
  "Ticket history": "Ticket history",
  "First Response Time": "First Response Time",
  "Last Response Time": "Last Response Time",
  Technical: Technical$b,
  Hardware: Hardware$b,
  Development: Development$b,
  Management: Management$b,
  Admin: Admin$b,
  Software: Software$b,
  Service: Service$b,
  Event: Event$b,
  Average: Average$b,
  Seconds: Seconds$b,
  "this month": "this month",
  "last month": "last month",
  Month: Month$b,
  Months: Months$b,
  Day: Day$b,
  Days: Days$b,
  Hours: Hours$b,
  Hour: Hour$b,
  Minutes: Minutes$b,
  Minute: Minute$b,
  Key: Key$b,
  Subject: Subject$b,
  "Attach files": "Attach files",
  Priority: Priority$b,
  "Date": "Date",
  Updated: Updated$b,
  Customer: Customer$b,
  Department: Department$b,
  "Assigned to": "Assigned to",
  "Ticket type": "Ticket type",
  Category: Category$b,
  Created: Created$b,
  "Request Details": "Request Details",
  "Attach File": "Attach File",
  "Delete Ticket": "Delete Ticket",
  Save: Save$b,
  "Ticket discussion": "Ticket discussion",
  "Comment histories for this ticket will be available here.": "Comment histories for this ticket will be available here.",
  Ticket: Ticket$b,
  "Comment histories": "Comment histories",
  "Comment history": "Comment history",
  "Write a comment and press enter to send...": "Write a comment and press enter to send...",
  "Click on a conversation from left to see the histories.": "Click on a conversation from left to see the histories.",
  "Type a message...": "Type a message...",
  FAQ: FAQ$b,
  "Create Ticket": "Create Ticket",
  "New Ticket": "New Ticket",
  "Create FAQ": "Create FAQ",
  "Filter by priority": "Filter by priority",
  "Filter by status": "Filter by status",
  "Filter by role": "Filter by role",
  "Delete FAQ": "Delete FAQ",
  "Update FAQ": "Update FAQ",
  "Create Knowledge Base": "Create Knowledge Base",
  Title: Title$b,
  Type: Type$b,
  Details: Details$b,
  "Delete knowledge base": "Delete knowledge base",
  "Update knowledge base": "Update knowledge base",
  Note: Note$b,
  "No ticket found.": "No ticket found.",
  "note details here...": "note details here...",
  Submit: Submit$b,
  Cancel: Cancel$b,
  "Delete note": "Delete note",
  "Create Contact": "Create Contact",
  Organization: Organization$b,
  "Delete Contact": "Delete Contact",
  "Update Contact": "Update Contact",
  "Create Organization": "Create Organization",
  Province: Province$b,
  State: State$b,
  "Postal code": "Postal code",
  "Delete Organization": "Delete Organization",
  "Update Organization": "Update Organization",
  Delete: Delete$b,
  Update: Update$b,
  Create: Create$b,
  "Create Customer": "Create Customer",
  "Manage Users": "Manage Users",
  "Delete User": "Delete User",
  "Update User": "Update User",
  "Are you sure you want to delete this user?": "Are you sure you want to delete this user?",
  "App Name": "App Name",
  "Default Language": "Default Language",
  "Email Notifications": "Email Notifications",
  "Create ticket by new customer": "Create ticket by new customer",
  "Create ticket from dashboard": "Create ticket from dashboard",
  "Notification for the first comment": "Notification for the first comment",
  "User got assigned for a task": "User got assigned for a task",
  "Status or priority changes": "Status or priority changes",
  "Create a new user": "Create a new user",
  "Cron Job Instruction": "Cron Job Instruction",
  "If you would like to send mail without delaying you need to set a cron job for that with once per minute.": "If you would like to send mail without delaying you need to set a cron job for that with once per minute.",
  "Create Category": "Create Category",
  "Create New": "Create New",
  Statuses: Statuses$b,
  "Create Status": "Create Status",
  Slug: Slug$b,
  "Create Priority": "Create Priority",
  "Create Department": "Create Department",
  "Create Type": "Create Type",
  "Email Template": "Email Template",
  "Email Html": "Email Html",
  "Update Template": "Update Template",
  "SMTP Host": "SMTP Host",
  "SMTP Port": "SMTP Port",
  "SMTP Username": "SMTP Username",
  "SMTP Password": "SMTP Password",
  "Mail Encryption": "Mail Encryption",
  "From Address": "From Address",
  "From Name": "From Name",
  "Pusher App ID": "Pusher App ID",
  "Pusher App Key": "Pusher App Key",
  "Pusher App Secret": "Pusher App Secret",
  "Pusher App Cluster": "Pusher App Cluster",
  Location: Location$b,
  "Phone number": "Phone number",
  "Email address": "Email address",
  "Email Address": "Email Address",
  "Location address": "Location address",
  "Email details": "Email details",
  "Location details": "Location details",
  "Location map": "Location map",
  "Add New": "Add New",
  Icon: Icon$b,
  Tag: Tag$b,
  Privacy: Privacy$b,
  "List information": "List information",
  Bottom: Bottom$b,
  "List items": "List items",
  "Page Content": "Page Content",
  "Frequently Asked Questions": "Frequently Asked Questions",
  "Contact us": "Contact us",
  "Useful Link": "Useful Link",
  Company: Company$b,
  Subscribe: Subscribe$b,
  Login: Login$b,
  "Submit ticket": "Submit ticket",
  "Login HelpDesk": "Login HelpDesk",
  Faqs: Faqs$b,
  "Filter Ticket By": "Filter Ticket By",
  "Assign To": "Assign To",
  "No conversation found.": "No conversation found.",
  "No faqs found.": "No faqs found.",
  "Faq Description": "Faq Description",
  Active: Active$b,
  Inactive: Inactive$b,
  Browse: Browse$b,
  Knowledge: Knowledge$b,
  Languages: Languages$b,
  User: User$b,
  "No languages found.": "No languages found.",
  "User roles": "User roles",
  "No organizations found.": "No organizations found.",
  Home: Home$b,
  "Create a ticket": "Create a ticket",
  "Open a ticket": "Open a ticket",
  "Select a category": "Select a category",
  "Select a type": "Select a type",
  "Select a department": "Select a department",
  "Start Chat": "Start Chat",
  "Confirm Password": "Confirm Password",
  "No customers found.": "No customers found.",
  "No knowledge base found.": "No knowledge base found.",
  "Create Post": "Create Post",
  "Feature image": "Feature image",
  "Select type": "Select type",
  "Create a new post": "Create a new post",
  "No post base found.": "No post base found.",
  "Is Active": "Is Active",
  "All Posts": "All Posts",
  "Search your query in the FAQ items...": "Search your query in the FAQ items...",
  Register: Register$b,
  "Useful Links": "Useful Links",
  Newsletter: Newsletter$b,
  "Your email address": "Your email address",
  "Join our newsletter service.": "Join our newsletter service."
};
const __vite_glob_1_3 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Active: Active$b,
  Address: Address$b,
  Admin: Admin$b,
  Average: Average$b,
  Blog: Blog$b,
  Bottom: Bottom$b,
  Browse: Browse$b,
  Cancel: Cancel$b,
  Categories: Categories$b,
  Category: Category$b,
  Chat: Chat$b,
  City: City$b,
  Company: Company$b,
  Contact: Contact$b,
  Contacts: Contacts$b,
  Country: Country$b,
  Create: Create$b,
  Created: Created$b,
  Customer: Customer$b,
  Customers: Customers$b,
  Dashboard: Dashboard$b,
  Day: Day$b,
  Days: Days$b,
  Delete: Delete$b,
  Department: Department$b,
  Departments: Departments$b,
  Details: Details$b,
  Development: Development$b,
  Email: Email$b,
  Event: Event$b,
  FAQ: FAQ$b,
  FAQs: FAQs$b,
  Faqs: Faqs$b,
  Filter: Filter$b,
  Global: Global$b,
  Hardware: Hardware$b,
  Home: Home$b,
  Hour: Hour$b,
  Hours: Hours$b,
  Icon: Icon$b,
  Inactive: Inactive$b,
  Key: Key$b,
  Knowledge: Knowledge$b,
  Languages: Languages$b,
  Location: Location$b,
  Login: Login$b,
  Logout: Logout$b,
  Management: Management$b,
  Minute: Minute$b,
  Minutes: Minutes$b,
  Month: Month$b,
  Months: Months$b,
  More: More$b,
  Name: Name$b,
  Newsletter: Newsletter$b,
  Note: Note$b,
  Notes: Notes$b,
  Organization: Organization$b,
  Organizations: Organizations$b,
  Password: Password$b,
  Phone: Phone$b,
  Photo: Photo$b,
  Priorities: Priorities$b,
  Priority: Priority$b,
  Privacy: Privacy$b,
  Province: Province$b,
  Pusher: Pusher$b,
  Register: Register$b,
  Reset: Reset$b,
  Role: Role$b,
  Save: Save$b,
  Seconds: Seconds$b,
  Service: Service$b,
  Services: Services$b,
  Settings: Settings$b,
  Slug: Slug$b,
  Software: Software$b,
  State: State$b,
  Status: Status$b,
  Statuses: Statuses$b,
  Subject: Subject$b,
  Submit: Submit$b,
  Subscribe: Subscribe$b,
  Tag: Tag$b,
  Technical: Technical$b,
  Ticket: Ticket$b,
  Tickets: Tickets$b,
  Title: Title$b,
  Trashed: Trashed$b,
  Type: Type$b,
  Types: Types$b,
  Update: Update$b,
  Updated: Updated$b,
  User: User$b,
  Users: Users$b,
  default: en
}, Symbol.toStringTag, { value: "Module" }));
const Dashboard$a = "Panel";
const Logout$a = "Cerrar sesión";
const Tickets$a = "Entradas";
const Chat$a = "Charlar";
const FAQs$a = "Preguntas frecuentes";
const Blog$a = "Blog";
const More$a = "Más";
const Notes$a = "Notas";
const Contacts$a = "Contactos";
const Organizations$a = "Organizaciones";
const Users$a = "Usuarios";
const Customers$a = "Clientes";
const Settings$a = "Ajustes";
const Global$a = "Global";
const Categories$a = "Categorías";
const Status$a = "Estado";
const Priorities$a = "Prioridades";
const Departments$a = "Departamentos";
const Types$a = "Tipos";
const Pusher$a = "Arribista";
const Contact$a = "Contacto";
const Services$a = "Servicios";
const Filter$a = "Filtrar";
const Trashed$a = "Destrozado";
const Reset$a = "Reiniciar";
const Name$a = "Nombre";
const Email$a = "Correo electrónico";
const Phone$a = "Teléfono";
const Country$a = "País";
const City$a = "Ciudad";
const Address$a = "DIRECCIÓN";
const Password$a = "Contraseña";
const Role$a = "Role";
const Photo$a = "Foto";
const Technical$a = "Técnico";
const Hardware$a = "Hardware";
const Development$a = "Desarrollo";
const Management$a = "Gestión";
const Admin$a = "Administración";
const Software$a = "Software";
const Service$a = "Servicio";
const Event$a = "Evento";
const Average$a = "Promedio";
const Seconds$a = "Segundos";
const Month$a = "Mes";
const Months$a = "Meses";
const Day$a = "Día";
const Days$a = "Días";
const Hours$a = "Horas";
const Hour$a = "Hora";
const Minutes$a = "Minutos";
const Minute$a = "Minuto";
const Key$a = "Llave";
const Subject$a = "Sujeto";
const Priority$a = "Prioridad";
const Updated$a = "Actualizado";
const Customer$a = "Cliente";
const Department$a = "Departamento";
const Category$a = "Categoría";
const Created$a = "Creado";
const Save$a = "Ahorrar";
const Ticket$a = "Boleto";
const FAQ$a = "Preguntas más frecuentes";
const Title$a = "Título";
const Type$a = "Tipo";
const Details$a = "Detalles";
const Note$a = "Nota";
const Submit$a = "Entregar";
const Cancel$a = "Cancelar";
const Organization$a = "Organización";
const Province$a = "Provincia";
const State$a = "Estado";
const Delete$a = "Borrar";
const Update$a = "Actualizar";
const Create$a = "Crear";
const Statuses$a = "Estados";
const Slug$a = "Babosa";
const Location$a = "Ubicación";
const Icon$a = "Icono";
const Tag$a = "Etiqueta";
const Privacy$a = "Privacidad";
const Bottom$a = "Abajo";
const Company$a = "Compañía";
const Subscribe$a = "Suscribir";
const Login$a = "Acceso";
const Faqs$a = "Preguntas frecuentes";
const Active$a = "Activo";
const Inactive$a = "Inactivo";
const Browse$a = "Navegar";
const Knowledge$a = "Conocimiento";
const Languages$a = "Idiomas";
const User$a = "Usuario";
const Home$a = "Hogar";
const Register$a = "Registro";
const Newsletter$a = "Boletin informativo";
const es = {
  "Edit Profile": "Editar perfil",
  Dashboard: Dashboard$a,
  Logout: Logout$a,
  Tickets: Tickets$a,
  Chat: Chat$a,
  FAQs: FAQs$a,
  Blog: Blog$a,
  "Knowledge Base": "Base de conocimientos",
  More: More$a,
  Notes: Notes$a,
  Contacts: Contacts$a,
  Organizations: Organizations$a,
  Users: Users$a,
  Customers: Customers$a,
  Settings: Settings$a,
  Global: Global$a,
  Categories: Categories$a,
  Status: Status$a,
  Priorities: Priorities$a,
  Departments: Departments$a,
  Types: Types$a,
  "Email Templates": "Plantillas de correo electrónico",
  "SMTP Mail": "Correo SMTP",
  Pusher: Pusher$a,
  "Pusher Chat": "Chat de empujador",
  "Front Pages": "Paginas frontales",
  Contact: Contact$a,
  Services: Services$a,
  "Privacy Policy": "política de privacidad",
  "Terms of Services": "Términos de servicios",
  Filter: Filter$a,
  Trashed: Trashed$a,
  "Trashed With": "Destrozado con",
  "Only Trashed": "Solo tirado a la basura",
  "Search...": "Buscar...",
  Reset: Reset$a,
  Name: Name$a,
  Email: Email$a,
  Phone: Phone$a,
  Country: Country$a,
  "Create User": "Crear usuario",
  "First Name": "Nombre de pila",
  "First name": "Nombre de pila",
  "Last Name": "Apellido",
  "Last name": "Apellido",
  City: City$a,
  Address: Address$a,
  Password: Password$a,
  Role: Role$a,
  Photo: Photo$a,
  "New Tickets": "Entradas nuevas",
  "Open Tickets": "Entradas abiertas",
  "Closed Tickets": "Entradas cerradas",
  "Unassigned Tickets": "Entradas no asignadas",
  "Ticket by department": "Boleto por departamento",
  "Ticket by type": "Billete por tipo",
  "Top ticket creator": "Principal creador de entradas",
  "Ticket history": "Historial de entradas",
  "First Response Time": "Tiempo de primera respuesta",
  "Last Response Time": "Tiempo de última respuesta",
  Technical: Technical$a,
  Hardware: Hardware$a,
  Development: Development$a,
  Management: Management$a,
  Admin: Admin$a,
  Software: Software$a,
  Service: Service$a,
  Event: Event$a,
  Average: Average$a,
  Seconds: Seconds$a,
  "this month": "este mes",
  "last month": "el mes pasado",
  Month: Month$a,
  Months: Months$a,
  Day: Day$a,
  Days: Days$a,
  Hours: Hours$a,
  Hour: Hour$a,
  Minutes: Minutes$a,
  Minute: Minute$a,
  Key: Key$a,
  Subject: Subject$a,
  "Attach files": "Adjuntar archivos",
  Priority: Priority$a,
  "Date": "Fecha",
  Updated: Updated$a,
  Customer: Customer$a,
  Department: Department$a,
  "Assigned to": "Asignado a",
  "Ticket type": "Tipo de billete",
  Category: Category$a,
  Created: Created$a,
  "Request Details": "Pedir detalles",
  "Attach File": "Adjuntar archivo",
  "Delete Ticket": "Eliminar billete",
  Save: Save$a,
  "Ticket discussion": "Discusión de entradas",
  "Comment histories for this ticket will be available here.": "Los historiales de comentarios para este ticket estarán disponibles aquí.",
  Ticket: Ticket$a,
  "Comment histories": "Historiales de comentarios",
  "Comment history": "Historial de comentarios",
  "Write a comment and press enter to send...": "Escribe un comentario y presiona enter para enviar...",
  "Click on a conversation from left to see the histories.": "Haga clic en una conversación desde la izquierda para ver las historias.",
  "Type a message...": "Escribe un mensaje...",
  FAQ: FAQ$a,
  "Create Ticket": "Crear Ticket",
  "New Ticket": "Nuevo billete",
  "Create FAQ": "Crear preguntas frecuentes",
  "Filter by priority": "Filtrar por prioridad",
  "Filter by status": "Filtrar por estado",
  "Filter by role": "Filtrar por rol",
  "Delete FAQ": "Eliminar preguntas frecuentes",
  "Update FAQ": "Preguntas frecuentes sobre actualizaciones",
  "Create Knowledge Base": "Crear base de conocimientos",
  Title: Title$a,
  Type: Type$a,
  Details: Details$a,
  "Delete knowledge base": "Eliminar base de conocimientos",
  "Update knowledge base": "Actualizar la base de conocimientos",
  Note: Note$a,
  "No ticket found.": "No se encontró ningún billete.",
  "note details here...": "anote los detalles aquí...",
  Submit: Submit$a,
  Cancel: Cancel$a,
  "Delete note": "Borrar nota",
  "Create Contact": "Crear contacto",
  Organization: Organization$a,
  "Delete Contact": "Borrar contacto",
  "Update Contact": "Actualizar contacto",
  "Create Organization": "Crear organización",
  Province: Province$a,
  State: State$a,
  "Postal code": "Código Postal",
  "Delete Organization": "Eliminar organización",
  "Update Organization": "Actualizar organización",
  Delete: Delete$a,
  Update: Update$a,
  Create: Create$a,
  "Create Customer": "Crear cliente",
  "Manage Users": "Administrar usuarios",
  "Delete User": "Borrar usuario",
  "Update User": "Actualizar usuario",
  "Are you sure you want to delete this user?": "¿Estás seguro de que deseas eliminar este usuario?",
  "App Name": "Nombre de la aplicación",
  "Default Language": "Idioma predeterminado",
  "Email Notifications": "Notificaciónes de Correo Electrónico",
  "Create ticket by new customer": "Crear ticket por nuevo cliente",
  "Create ticket from dashboard": "Crear ticket desde el panel",
  "Notification for the first comment": "Notificación del primer comentario.",
  "User got assigned for a task": "El usuario fue asignado para una tarea",
  "Status or priority changes": "Cambios de estado o prioridad",
  "Create a new user": "Crear un nuevo usuario",
  "Cron Job Instruction": "Instrucción de trabajo cron",
  "If you would like to send mail without delaying you need to set a cron job for that with once per minute.": "Si desea enviar correo sin demoras, debe configurar un trabajo cron para ello una vez por minuto.",
  "Create Category": "Crear categoría",
  "Create New": "Crear nuevo",
  Statuses: Statuses$a,
  "Create Status": "Crear estado",
  Slug: Slug$a,
  "Create Priority": "Crear prioridad",
  "Create Department": "Crear Departamento",
  "Create Type": "Crear tipo",
  "Email Template": "Plantilla de correo electrónico",
  "Email Html": "Correo electrónico HTML",
  "Update Template": "Plantilla de actualización",
  "SMTP Host": "Anfitrión SMTP",
  "SMTP Port": "Puerto SMTP",
  "SMTP Username": "Nombre de usuario SMTP",
  "SMTP Password": "Contraseña SMTP",
  "Mail Encryption": "Cifrado de correo",
  "From Address": "De la Dirección",
  "From Name": "Del nombre",
  "Pusher App ID": "ID de la aplicación de empuje",
  "Pusher App Key": "Clave de la aplicación Pusher",
  "Pusher App Secret": "Secreto de la aplicación Pusher",
  "Pusher App Cluster": "Clúster de aplicaciones Pusher",
  Location: Location$a,
  "Phone number": "Número de teléfono",
  "Email address": "Dirección de correo electrónico",
  "Email Address": "Dirección de correo electrónico",
  "Location address": "Dirección del sitio",
  "Email details": "Detalles de correo electrónico",
  "Location details": "Detalles de ubicación",
  "Location map": "Mapa de localización",
  "Add New": "Agregar nuevo",
  Icon: Icon$a,
  Tag: Tag$a,
  Privacy: Privacy$a,
  "List information": "Información de la lista",
  Bottom: Bottom$a,
  "List items": "Listar elementos",
  "Page Content": "Contenido de página",
  "Frequently Asked Questions": "Preguntas frecuentes",
  "Contact us": "Contáctenos",
  "Useful Link": "Enlace útil",
  Company: Company$a,
  Subscribe: Subscribe$a,
  Login: Login$a,
  "Submit ticket": "Enviar ticket",
  "Login HelpDesk": "Iniciar sesión en el servicio de asistencia técnica",
  Faqs: Faqs$a,
  "Filter Ticket By": "Filtrar billete por",
  "Assign To": "Asignar a",
  "No conversation found.": "No se encontró ninguna conversación.",
  "No faqs found.": "No se encontraron preguntas frecuentes.",
  "Faq Description": "Preguntas frecuentes Descripción",
  Active: Active$a,
  Inactive: Inactive$a,
  Browse: Browse$a,
  Knowledge: Knowledge$a,
  Languages: Languages$a,
  User: User$a,
  "No languages found.": "No se encontraron idiomas.",
  "User roles": "Roles del usuario",
  "No organizations found.": "No se encontraron organizaciones.",
  Home: Home$a,
  "Create a ticket": "Crear un billete",
  "Open a ticket": "abrir un billete",
  "Select a category": "Seleccione una categoría",
  "Select a type": "Seleccione un tipo",
  "Select a department": "Seleccione un departamento",
  "Start Chat": "Comenzar chat",
  "Confirm Password": "confirmar Contraseña",
  "No customers found.": "No se encontraron clientes.",
  "No knowledge base found.": "No se encontró ninguna base de conocimientos.",
  "Create Post": "Crear publicación",
  "Feature image": "Imagen destacada",
  "Select type": "Seleccione tipo",
  "Create a new post": "Crear una nueva publicación",
  "No post base found.": "No se encontró ninguna base de publicaciones.",
  "Is Active": "Está activo",
  "All Posts": "Todos los mensajes",
  "Search your query in the FAQ items...": "Busque su consulta en los artículos de preguntas frecuentes...",
  Register: Register$a,
  "Useful Links": "Enlaces útiles",
  Newsletter: Newsletter$a,
  "Your email address": "Su dirección de correo electrónico",
  "Join our newsletter service.": "Únase a nuestro servicio de newsletter."
};
const __vite_glob_1_4 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Active: Active$a,
  Address: Address$a,
  Admin: Admin$a,
  Average: Average$a,
  Blog: Blog$a,
  Bottom: Bottom$a,
  Browse: Browse$a,
  Cancel: Cancel$a,
  Categories: Categories$a,
  Category: Category$a,
  Chat: Chat$a,
  City: City$a,
  Company: Company$a,
  Contact: Contact$a,
  Contacts: Contacts$a,
  Country: Country$a,
  Create: Create$a,
  Created: Created$a,
  Customer: Customer$a,
  Customers: Customers$a,
  Dashboard: Dashboard$a,
  Day: Day$a,
  Days: Days$a,
  Delete: Delete$a,
  Department: Department$a,
  Departments: Departments$a,
  Details: Details$a,
  Development: Development$a,
  Email: Email$a,
  Event: Event$a,
  FAQ: FAQ$a,
  FAQs: FAQs$a,
  Faqs: Faqs$a,
  Filter: Filter$a,
  Global: Global$a,
  Hardware: Hardware$a,
  Home: Home$a,
  Hour: Hour$a,
  Hours: Hours$a,
  Icon: Icon$a,
  Inactive: Inactive$a,
  Key: Key$a,
  Knowledge: Knowledge$a,
  Languages: Languages$a,
  Location: Location$a,
  Login: Login$a,
  Logout: Logout$a,
  Management: Management$a,
  Minute: Minute$a,
  Minutes: Minutes$a,
  Month: Month$a,
  Months: Months$a,
  More: More$a,
  Name: Name$a,
  Newsletter: Newsletter$a,
  Note: Note$a,
  Notes: Notes$a,
  Organization: Organization$a,
  Organizations: Organizations$a,
  Password: Password$a,
  Phone: Phone$a,
  Photo: Photo$a,
  Priorities: Priorities$a,
  Priority: Priority$a,
  Privacy: Privacy$a,
  Province: Province$a,
  Pusher: Pusher$a,
  Register: Register$a,
  Reset: Reset$a,
  Role: Role$a,
  Save: Save$a,
  Seconds: Seconds$a,
  Service: Service$a,
  Services: Services$a,
  Settings: Settings$a,
  Slug: Slug$a,
  Software: Software$a,
  State: State$a,
  Status: Status$a,
  Statuses: Statuses$a,
  Subject: Subject$a,
  Submit: Submit$a,
  Subscribe: Subscribe$a,
  Tag: Tag$a,
  Technical: Technical$a,
  Ticket: Ticket$a,
  Tickets: Tickets$a,
  Title: Title$a,
  Trashed: Trashed$a,
  Type: Type$a,
  Types: Types$a,
  Update: Update$a,
  Updated: Updated$a,
  User: User$a,
  Users: Users$a,
  default: es
}, Symbol.toStringTag, { value: "Module" }));
const Dashboard$9 = "Tableau de bord";
const Logout$9 = "Se déconnecter";
const Tickets$9 = "Des billets";
const Chat$9 = "Chat";
const FAQs$9 = "FAQ";
const Blog$9 = "Blog";
const More$9 = "Plus";
const Notes$9 = "Remarques";
const Contacts$9 = "Contacts";
const Organizations$9 = "Organisations";
const Users$9 = "Utilisateurs";
const Customers$9 = "Clients";
const Settings$9 = "Paramètres";
const Global$9 = "Mondial";
const Categories$9 = "Catégories";
const Status$9 = "Statut";
const Priorities$9 = "Priorités";
const Departments$9 = "Départements";
const Types$9 = "Les types";
const Pusher$9 = "Poussoir";
const Contact$9 = "Contact";
const Services$9 = "Prestations de service";
const Filter$9 = "Filtre";
const Trashed$9 = "Mis à la poubelle";
const Reset$9 = "Réinitialiser";
const Name$9 = "Nom";
const Email$9 = "E-mail";
const Phone$9 = "Téléphone";
const Country$9 = "Pays";
const City$9 = "Ville";
const Address$9 = "Adresse";
const Password$9 = "Mot de passe";
const Role$9 = "Rôle";
const Photo$9 = "Photo";
const Technical$9 = "Technique";
const Hardware$9 = "Matériel";
const Development$9 = "Développement";
const Management$9 = "Gestion";
const Admin$9 = "Administrateur";
const Software$9 = "Logiciel";
const Service$9 = "Service";
const Event$9 = "Événement";
const Average$9 = "Moyenne";
const Seconds$9 = "Secondes";
const Month$9 = "Mois";
const Months$9 = "Mois";
const Day$9 = "Jour";
const Days$9 = "Jours";
const Hours$9 = "Heures";
const Hour$9 = "Heure";
const Minutes$9 = "Minutes";
const Minute$9 = "Minute";
const Key$9 = "Clé";
const Subject$9 = "Sujet";
const Priority$9 = "Priorité";
const Updated$9 = "Mis à jour";
const Customer$9 = "Client";
const Department$9 = "Département";
const Category$9 = "Catégorie";
const Created$9 = "Créé";
const Save$9 = "Sauvegarder";
const Ticket$9 = "Billet";
const FAQ$9 = "FAQ";
const Title$9 = "Titre";
const Type$9 = "Taper";
const Details$9 = "Détails";
const Note$9 = "Note";
const Submit$9 = "Soumettre";
const Cancel$9 = "Annuler";
const Organization$9 = "Organisation";
const Province$9 = "Province";
const State$9 = "État";
const Delete$9 = "Supprimer";
const Update$9 = "Mise à jour";
const Create$9 = "Créer";
const Statuses$9 = "Statuts";
const Slug$9 = "Limace";
const Location$9 = "Emplacement";
const Icon$9 = "Icône";
const Tag$9 = "Étiqueter";
const Privacy$9 = "Confidentialité";
const Bottom$9 = "Bas";
const Company$9 = "Entreprise";
const Subscribe$9 = "S'abonner";
const Login$9 = "Se connecter";
const Faqs$9 = "FAQ";
const Active$9 = "Actif";
const Inactive$9 = "Inactif";
const Browse$9 = "Parcourir";
const Knowledge$9 = "Connaissance";
const Languages$9 = "Langues";
const User$9 = "Utilisateur";
const Home$9 = "Maison";
const Register$9 = "Registre";
const Newsletter$9 = "Bulletin";
const fr = {
  "Edit Profile": "Editer le profil",
  Dashboard: Dashboard$9,
  Logout: Logout$9,
  Tickets: Tickets$9,
  Chat: Chat$9,
  FAQs: FAQs$9,
  Blog: Blog$9,
  "Knowledge Base": "Base de connaissances",
  More: More$9,
  Notes: Notes$9,
  Contacts: Contacts$9,
  Organizations: Organizations$9,
  Users: Users$9,
  Customers: Customers$9,
  Settings: Settings$9,
  Global: Global$9,
  Categories: Categories$9,
  Status: Status$9,
  Priorities: Priorities$9,
  Departments: Departments$9,
  Types: Types$9,
  "Email Templates": "Modèles d'e-mails",
  "SMTP Mail": "Courrier SMTP",
  Pusher: Pusher$9,
  "Pusher Chat": "Chat pousseur",
  "Front Pages": "Premières pages",
  Contact: Contact$9,
  Services: Services$9,
  "Privacy Policy": "politique de confidentialité",
  "Terms of Services": "Conditions de services",
  Filter: Filter$9,
  Trashed: Trashed$9,
  "Trashed With": "Saccagé avec",
  "Only Trashed": "Seulement mis à la poubelle",
  "Search...": "Recherche...",
  Reset: Reset$9,
  Name: Name$9,
  Email: Email$9,
  Phone: Phone$9,
  Country: Country$9,
  "Create User": "Créer un utilisateur",
  "First Name": "Prénom",
  "First name": "Prénom",
  "Last Name": "Nom de famille",
  "Last name": "Nom de famille",
  City: City$9,
  Address: Address$9,
  Password: Password$9,
  Role: Role$9,
  Photo: Photo$9,
  "New Tickets": "Nouveaux billets",
  "Open Tickets": "Billets ouverts",
  "Closed Tickets": "Billets fermés",
  "Unassigned Tickets": "Billets non attribués",
  "Ticket by department": "Billet par département",
  "Ticket by type": "Billet par type",
  "Top ticket creator": "Meilleur créateur de billets",
  "Ticket history": "Historique des billets",
  "First Response Time": "Temps de première réponse",
  "Last Response Time": "Dernier temps de réponse",
  Technical: Technical$9,
  Hardware: Hardware$9,
  Development: Development$9,
  Management: Management$9,
  Admin: Admin$9,
  Software: Software$9,
  Service: Service$9,
  Event: Event$9,
  Average: Average$9,
  Seconds: Seconds$9,
  "this month": "ce mois-ci",
  "last month": "le mois dernier",
  Month: Month$9,
  Months: Months$9,
  Day: Day$9,
  Days: Days$9,
  Hours: Hours$9,
  Hour: Hour$9,
  Minutes: Minutes$9,
  Minute: Minute$9,
  Key: Key$9,
  Subject: Subject$9,
  "Attach files": "Joindre des fichiers",
  Priority: Priority$9,
  "Date": "Date",
  Updated: Updated$9,
  Customer: Customer$9,
  Department: Department$9,
  "Assigned to": "Assigné à",
  "Ticket type": "Type de billet",
  Category: Category$9,
  Created: Created$9,
  "Request Details": "Détails de la demande",
  "Attach File": "Pièce jointe",
  "Delete Ticket": "Supprimer le billet",
  Save: Save$9,
  "Ticket discussion": "Discussion sur les billets",
  "Comment histories for this ticket will be available here.": "L’historique des commentaires pour ce ticket sera disponible ici.",
  Ticket: Ticket$9,
  "Comment histories": "Historiques des commentaires",
  "Comment history": "Historique des commentaires",
  "Write a comment and press enter to send...": "Écrivez un commentaire et appuyez sur Entrée pour envoyer...",
  "Click on a conversation from left to see the histories.": "Cliquez sur une conversation à gauche pour voir les historiques.",
  "Type a message...": "Tapez un message...",
  FAQ: FAQ$9,
  "Create Ticket": "Créer un ticket",
  "New Ticket": "Nouveau billet",
  "Create FAQ": "Créer une FAQ",
  "Filter by priority": "Filtrer par priorité",
  "Filter by status": "Filtrer par statut",
  "Filter by role": "Filtrer par rôle",
  "Delete FAQ": "Supprimer la FAQ",
  "Update FAQ": "FAQ de mise à jour",
  "Create Knowledge Base": "Créer une base de connaissances",
  Title: Title$9,
  Type: Type$9,
  Details: Details$9,
  "Delete knowledge base": "Supprimer la base de connaissances",
  "Update knowledge base": "Mettre à jour la base de connaissances",
  Note: Note$9,
  "No ticket found.": "Aucun billet trouvé.",
  "note details here...": "notez les détails ici...",
  Submit: Submit$9,
  Cancel: Cancel$9,
  "Delete note": "Supprimer la note",
  "Create Contact": "Créer un contact",
  Organization: Organization$9,
  "Delete Contact": "Effacer le contact",
  "Update Contact": "Contact de mise à jour",
  "Create Organization": "Créer une organisation",
  Province: Province$9,
  State: State$9,
  "Postal code": "Code Postal",
  "Delete Organization": "Supprimer l'organisation",
  "Update Organization": "Mettre à jour l'organisation",
  Delete: Delete$9,
  Update: Update$9,
  Create: Create$9,
  "Create Customer": "Créer un client",
  "Manage Users": "gérer les utilisateurs",
  "Delete User": "Supprimer l'utilisateur",
  "Update User": "Mettre à jour l'utilisateur",
  "Are you sure you want to delete this user?": "Êtes-vous sûr de vouloir supprimer cet utilisateur ?",
  "App Name": "Nom de l'application",
  "Default Language": "Langage par défaut",
  "Email Notifications": "Notifications par email",
  "Create ticket by new customer": "Créer un ticket par un nouveau client",
  "Create ticket from dashboard": "Créer un ticket à partir du tableau de bord",
  "Notification for the first comment": "Notification pour le premier commentaire",
  "User got assigned for a task": "L'utilisateur a été affecté à une tâche",
  "Status or priority changes": "Changements de statut ou de priorité",
  "Create a new user": "Créer un nouvel utilisateur",
  "Cron Job Instruction": "Instruction de travail Cron",
  "If you would like to send mail without delaying you need to set a cron job for that with once per minute.": "Si vous souhaitez envoyer du courrier sans délai, vous devez définir une tâche cron pour cela une fois par minute.",
  "Create Category": "Créer une catégorie",
  "Create New": "Créer un nouveau",
  Statuses: Statuses$9,
  "Create Status": "Créer un statut",
  Slug: Slug$9,
  "Create Priority": "Créer une priorité",
  "Create Department": "Créer un département",
  "Create Type": "Créer un type",
  "Email Template": "Modèle d'e-mail",
  "Email Html": "Envoyer un e-mail HTML",
  "Update Template": "Modèle de mise à jour",
  "SMTP Host": "Hôte SMTP",
  "SMTP Port": "Port SMTP",
  "SMTP Username": "Nom d'utilisateur SMTP",
  "SMTP Password": "Mot de passe SMTP",
  "Mail Encryption": "Cryptage du courrier",
  "From Address": "De l'adresse",
  "From Name": "Du nom",
  "Pusher App ID": "ID de l'application Pusher",
  "Pusher App Key": "Clé d'application du poussoir",
  "Pusher App Secret": "Secret de l'application Pusher",
  "Pusher App Cluster": "Cluster d'applications pusher",
  Location: Location$9,
  "Phone number": "Numéro de téléphone",
  "Email address": "Adresse e-mail",
  "Email Address": "Adresse e-mail",
  "Location address": "Adresse de l'emplacement",
  "Email details": "Détails de l'e-mail",
  "Location details": "Détails de l'emplacement",
  "Location map": "Une carte",
  "Add New": "Ajouter un nouveau",
  Icon: Icon$9,
  Tag: Tag$9,
  Privacy: Privacy$9,
  "List information": "Informations sur la liste",
  Bottom: Bottom$9,
  "List items": "Liste des éléments",
  "Page Content": "Contenu de la page",
  "Frequently Asked Questions": "Questions fréquemment posées",
  "Contact us": "Contactez-nous",
  "Useful Link": "Lien utile",
  Company: Company$9,
  Subscribe: Subscribe$9,
  Login: Login$9,
  "Submit ticket": "Envoyer le ticket",
  "Login HelpDesk": "Connexion au service d'assistance",
  Faqs: Faqs$9,
  "Filter Ticket By": "Filtrer le billet par",
  "Assign To": "Affecter à",
  "No conversation found.": "Aucune conversation trouvée.",
  "No faqs found.": "Aucune FAQ trouvée.",
  "Faq Description": "FAQ Description",
  Active: Active$9,
  Inactive: Inactive$9,
  Browse: Browse$9,
  Knowledge: Knowledge$9,
  Languages: Languages$9,
  User: User$9,
  "No languages found.": "Aucune langue trouvée.",
  "User roles": "Rôles des utilisateurs",
  "No organizations found.": "Aucune organisation trouvée.",
  Home: Home$9,
  "Create a ticket": "Créer un billet",
  "Open a ticket": "Ouvrir un ticket",
  "Select a category": "Choisir une catégorie",
  "Select a type": "Sélectionnez un type",
  "Select a department": "Sélectionnez un département",
  "Start Chat": "Démarrer la discussion",
  "Confirm Password": "Confirmez le mot de passe",
  "No customers found.": "Aucun client trouvé.",
  "No knowledge base found.": "Aucune base de connaissances trouvée.",
  "Create Post": "Créer un message",
  "Feature image": "Image vedette",
  "Select type": "Sélectionner le genre",
  "Create a new post": "Créer un nouveau message",
  "No post base found.": "Aucune base de message trouvée.",
  "Is Active": "C'est actif",
  "All Posts": "Tous les messages",
  "Search your query in the FAQ items...": "Recherchez votre requête dans les éléments de la FAQ...",
  Register: Register$9,
  "Useful Links": "Liens utiles",
  Newsletter: Newsletter$9,
  "Your email address": "Votre adresse e-mail",
  "Join our newsletter service.": "Rejoignez notre service de newsletter."
};
const __vite_glob_1_5 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Active: Active$9,
  Address: Address$9,
  Admin: Admin$9,
  Average: Average$9,
  Blog: Blog$9,
  Bottom: Bottom$9,
  Browse: Browse$9,
  Cancel: Cancel$9,
  Categories: Categories$9,
  Category: Category$9,
  Chat: Chat$9,
  City: City$9,
  Company: Company$9,
  Contact: Contact$9,
  Contacts: Contacts$9,
  Country: Country$9,
  Create: Create$9,
  Created: Created$9,
  Customer: Customer$9,
  Customers: Customers$9,
  Dashboard: Dashboard$9,
  Day: Day$9,
  Days: Days$9,
  Delete: Delete$9,
  Department: Department$9,
  Departments: Departments$9,
  Details: Details$9,
  Development: Development$9,
  Email: Email$9,
  Event: Event$9,
  FAQ: FAQ$9,
  FAQs: FAQs$9,
  Faqs: Faqs$9,
  Filter: Filter$9,
  Global: Global$9,
  Hardware: Hardware$9,
  Home: Home$9,
  Hour: Hour$9,
  Hours: Hours$9,
  Icon: Icon$9,
  Inactive: Inactive$9,
  Key: Key$9,
  Knowledge: Knowledge$9,
  Languages: Languages$9,
  Location: Location$9,
  Login: Login$9,
  Logout: Logout$9,
  Management: Management$9,
  Minute: Minute$9,
  Minutes: Minutes$9,
  Month: Month$9,
  Months: Months$9,
  More: More$9,
  Name: Name$9,
  Newsletter: Newsletter$9,
  Note: Note$9,
  Notes: Notes$9,
  Organization: Organization$9,
  Organizations: Organizations$9,
  Password: Password$9,
  Phone: Phone$9,
  Photo: Photo$9,
  Priorities: Priorities$9,
  Priority: Priority$9,
  Privacy: Privacy$9,
  Province: Province$9,
  Pusher: Pusher$9,
  Register: Register$9,
  Reset: Reset$9,
  Role: Role$9,
  Save: Save$9,
  Seconds: Seconds$9,
  Service: Service$9,
  Services: Services$9,
  Settings: Settings$9,
  Slug: Slug$9,
  Software: Software$9,
  State: State$9,
  Status: Status$9,
  Statuses: Statuses$9,
  Subject: Subject$9,
  Submit: Submit$9,
  Subscribe: Subscribe$9,
  Tag: Tag$9,
  Technical: Technical$9,
  Ticket: Ticket$9,
  Tickets: Tickets$9,
  Title: Title$9,
  Trashed: Trashed$9,
  Type: Type$9,
  Types: Types$9,
  Update: Update$9,
  Updated: Updated$9,
  User: User$9,
  Users: Users$9,
  default: fr
}, Symbol.toStringTag, { value: "Module" }));
const Dashboard$8 = "לוּחַ מַחווָנִים";
const Logout$8 = "להתנתק";
const Tickets$8 = "כרטיסים";
const Chat$8 = "לְשׂוֹחֵחַ";
const FAQs$8 = "שאלות נפוצות";
const Blog$8 = "בלוג";
const More$8 = "יותר";
const Notes$8 = "הערות";
const Contacts$8 = "אנשי קשר";
const Organizations$8 = "ארגונים";
const Users$8 = "משתמשים";
const Customers$8 = "לקוחות";
const Settings$8 = "הגדרות";
const Global$8 = "גלוֹבָּלִי";
const Categories$8 = "קטגוריות";
const Status$8 = "סטָטוּס";
const Priorities$8 = "סדרי עדיפויות";
const Departments$8 = "מחלקות";
const Types$8 = "סוגים";
const Pusher$8 = "דוֹחֵף";
const Contact$8 = "איש קשר";
const Services$8 = "שירותים";
const Filter$8 = "לְסַנֵן";
const Trashed$8 = "אשפה";
const Reset$8 = "אִתחוּל";
const Name$8 = "שֵׁם";
const Email$8 = "אימייל";
const Phone$8 = "טלפון";
const Country$8 = "מדינה";
const City$8 = "עִיר";
const Address$8 = "כתובת";
const Password$8 = "סיסמה";
const Role$8 = "תַפְקִיד";
const Photo$8 = "תמונה";
const Technical$8 = "טֶכנִי";
const Hardware$8 = "חוּמרָה";
const Development$8 = "התפתחות";
const Management$8 = "הַנהָלָה";
const Admin$8 = "מנהל מערכת";
const Software$8 = "תוֹכנָה";
const Service$8 = "שֵׁרוּת";
const Event$8 = "מִקרֶה";
const Average$8 = "מְמוּצָע";
const Seconds$8 = "שניות";
const Month$8 = "חוֹדֶשׁ";
const Months$8 = "חודשים";
const Day$8 = "יְוֹם";
const Days$8 = "ימים";
const Hours$8 = "שעה (ות";
const Hour$8 = "שָׁעָה";
const Minutes$8 = "דקות";
const Minute$8 = "דַקָה";
const Key$8 = "מַפְתֵחַ";
const Subject$8 = "נושא";
const Priority$8 = "עדיפות";
const Updated$8 = "מְעוּדכָּן";
const Customer$8 = "צרכן";
const Department$8 = "מַחלָקָה";
const Category$8 = "קטגוריה";
const Created$8 = "נוצר";
const Save$8 = "להציל";
const Ticket$8 = "כַּרְטִיס";
const FAQ$8 = "שאלות נפוצות";
const Title$8 = "כותרת";
const Type$8 = "סוּג";
const Details$8 = "פרטים";
const Note$8 = "הערה";
const Submit$8 = "שלח";
const Cancel$8 = "לְבַטֵל";
const Organization$8 = "אִרגוּן";
const Province$8 = "מָחוֹז";
const State$8 = "מדינה";
const Delete$8 = "לִמְחוֹק";
const Update$8 = "עדכון";
const Create$8 = "לִיצוֹר";
const Statuses$8 = "סטטוסים";
const Slug$8 = "שבלול";
const Location$8 = "מקום";
const Icon$8 = "סמל";
const Tag$8 = "תָג";
const Privacy$8 = "פְּרָטִיוּת";
const Bottom$8 = "תַחתִית";
const Company$8 = "חֶברָה";
const Subscribe$8 = "הירשם";
const Login$8 = "התחברות";
const Faqs$8 = "שאלות נפוצות";
const Active$8 = "פָּעִיל";
const Inactive$8 = "לֹא פָּעִיל";
const Browse$8 = "לְדַפדֵף";
const Knowledge$8 = "יֶדַע";
const Languages$8 = "שפות";
const User$8 = "מִשׁתַמֵשׁ";
const Home$8 = "בית";
const Register$8 = "הירשם";
const Newsletter$8 = "ניוזלטר";
const he = {
  "Edit Profile": "ערוך פרופיל",
  Dashboard: Dashboard$8,
  Logout: Logout$8,
  Tickets: Tickets$8,
  Chat: Chat$8,
  FAQs: FAQs$8,
  Blog: Blog$8,
  "Knowledge Base": "בסיס ידע",
  More: More$8,
  Notes: Notes$8,
  Contacts: Contacts$8,
  Organizations: Organizations$8,
  Users: Users$8,
  Customers: Customers$8,
  Settings: Settings$8,
  Global: Global$8,
  Categories: Categories$8,
  Status: Status$8,
  Priorities: Priorities$8,
  Departments: Departments$8,
  Types: Types$8,
  "Email Templates": "תבניות אימייל",
  "SMTP Mail": "דואר SMTP",
  Pusher: Pusher$8,
  "Pusher Chat": "Pusher Chat",
  "Front Pages": "עמודים ראשונים",
  Contact: Contact$8,
  Services: Services$8,
  "Privacy Policy": "מדיניות הפרטיות",
  "Terms of Services": "תנאי השירות",
  Filter: Filter$8,
  Trashed: Trashed$8,
  "Trashed With": "זבל עם",
  "Only Trashed": "רק אשפה",
  "Search...": "לחפש...",
  Reset: Reset$8,
  Name: Name$8,
  Email: Email$8,
  Phone: Phone$8,
  Country: Country$8,
  "Create User": "צור משתמש",
  "First Name": "שם פרטי",
  "First name": "שם פרטי",
  "Last Name": "שם משפחה",
  "Last name": "שם משפחה",
  City: City$8,
  Address: Address$8,
  Password: Password$8,
  Role: Role$8,
  Photo: Photo$8,
  "New Tickets": "כרטיסים חדשים",
  "Open Tickets": "פתח כרטיסים",
  "Closed Tickets": "כרטיסים סגורים",
  "Unassigned Tickets": "כרטיסים לא מוקצים",
  "Ticket by department": "כרטיס לפי מחלקה",
  "Ticket by type": "כרטיס לפי סוג",
  "Top ticket creator": "יוצר כרטיסים מוביל",
  "Ticket history": "היסטוריית כרטיסים",
  "First Response Time": "זמן תגובה ראשון",
  "Last Response Time": "זמן תגובה אחרון",
  Technical: Technical$8,
  Hardware: Hardware$8,
  Development: Development$8,
  Management: Management$8,
  Admin: Admin$8,
  Software: Software$8,
  Service: Service$8,
  Event: Event$8,
  Average: Average$8,
  Seconds: Seconds$8,
  "this month": "החודש",
  "last month": "חודש שעבר",
  Month: Month$8,
  Months: Months$8,
  Day: Day$8,
  Days: Days$8,
  Hours: Hours$8,
  Hour: Hour$8,
  Minutes: Minutes$8,
  Minute: Minute$8,
  Key: Key$8,
  Subject: Subject$8,
  "Attach files": "צרף קבצים",
  Priority: Priority$8,
  "Date": "תַאֲרִיך",
  Updated: Updated$8,
  Customer: Customer$8,
  Department: Department$8,
  "Assigned to": "שהוקצה ל",
  "Ticket type": "סוג כרטיס",
  Category: Category$8,
  Created: Created$8,
  "Request Details": "בקש פרטים",
  "Attach File": "לצרף קובץ",
  "Delete Ticket": "מחק כרטיס",
  Save: Save$8,
  "Ticket discussion": "דיון בכרטיסים",
  "Comment histories for this ticket will be available here.": "היסטוריית הערות עבור כרטיס זה תהיה זמינה כאן.",
  Ticket: Ticket$8,
  "Comment histories": "היסטוריית הערות",
  "Comment history": "היסטוריית תגובות",
  "Write a comment and press enter to send...": "כתוב תגובה והקש אנטר כדי לשלוח...",
  "Click on a conversation from left to see the histories.": "לחץ על שיחה משמאל כדי לראות את ההיסטוריות.",
  "Type a message...": "הקלד הודעה...",
  FAQ: FAQ$8,
  "Create Ticket": "צור כרטיס",
  "New Ticket": "כרטיס חדש",
  "Create FAQ": "צור שאלות נפוצות",
  "Filter by priority": "סנן לפי עדיפות",
  "Filter by status": "סנן לפי סטטוס",
  "Filter by role": "סנן לפי תפקיד",
  "Delete FAQ": "מחק שאלות נפוצות",
  "Update FAQ": "עדכון שאלות נפוצות",
  "Create Knowledge Base": "צור מאגר ידע",
  Title: Title$8,
  Type: Type$8,
  Details: Details$8,
  "Delete knowledge base": "מחק מאגר ידע",
  "Update knowledge base": "עדכון בסיס ידע",
  Note: Note$8,
  "No ticket found.": "לא נמצא כרטיס.",
  "note details here...": "שימו לב לפרטים כאן...",
  Submit: Submit$8,
  Cancel: Cancel$8,
  "Delete note": "מחק הערה",
  "Create Contact": "צור איש קשר",
  Organization: Organization$8,
  "Delete Contact": "תמחק קשר",
  "Update Contact": "עדכן איש קשר",
  "Create Organization": "צור ארגון",
  Province: Province$8,
  State: State$8,
  "Postal code": "מיקוד",
  "Delete Organization": "מחק ארגון",
  "Update Organization": "עדכן את הארגון",
  Delete: Delete$8,
  Update: Update$8,
  Create: Create$8,
  "Create Customer": "צור לקוח",
  "Manage Users": "נהל משתמשים",
  "Delete User": "מחק משתמש",
  "Update User": "עדכן משתמש",
  "Are you sure you want to delete this user?": "האם אתה בטוח שברצונך למחוק משתמש זה?",
  "App Name": "שם האפליקציה",
  "Default Language": "שפת ברירת מחדל",
  "Email Notifications": "הודעות אימייל",
  "Create ticket by new customer": "צור כרטיס על ידי לקוח חדש",
  "Create ticket from dashboard": "צור כרטיס מלוח המחוונים",
  "Notification for the first comment": "הודעה על התגובה הראשונה",
  "User got assigned for a task": "משתמש הוקצה למשימה",
  "Status or priority changes": "שינויים בסטטוס או בעדיפות",
  "Create a new user": "צור משתמש חדש",
  "Cron Job Instruction": "הדרכת עבודה של קרון",
  "If you would like to send mail without delaying you need to set a cron job for that with once per minute.": "אם תרצה לשלוח דואר ללא עיכוב, עליך להגדיר עבור זה עבודת cron עם פעם בדקה.",
  "Create Category": "צור קטגוריה",
  "Create New": "צור חדש",
  Statuses: Statuses$8,
  "Create Status": "צור סטטוס",
  Slug: Slug$8,
  "Create Priority": "צור עדיפות",
  "Create Department": "צור מחלקה",
  "Create Type": "צור סוג",
  "Email Template": 'תבנית דוא"ל',
  "Email Html": 'דוא"ל HTML',
  "Update Template": "עדכון תבנית",
  "SMTP Host": "מארח SMTP",
  "SMTP Port": "יציאת SMTP",
  "SMTP Username": "שם משתמש SMTP",
  "SMTP Password": "סיסמת SMTP",
  "Mail Encryption": "הצפנת דואר",
  "From Address": "מכתובת",
  "From Name": "מהשם",
  "Pusher App ID": "מזהה אפליקציית Pusher",
  "Pusher App Key": "מפתח אפליקציית Pusher",
  "Pusher App Secret": "סוד אפליקציית Pusher",
  "Pusher App Cluster": "Pusher App Cluster",
  Location: Location$8,
  "Phone number": "מספר טלפון",
  "Email address": 'כתובת דוא"ל',
  "Email Address": 'כתובת דוא"ל',
  "Location address": "כתובת המיקום",
  "Email details": "פרטי מייל",
  "Location details": "פרטי מיקום",
  "Location map": "מפת מיקום",
  "Add New": "הוסף חדש",
  Icon: Icon$8,
  Tag: Tag$8,
  Privacy: Privacy$8,
  "List information": "רשימת מידע",
  Bottom: Bottom$8,
  "List items": "רשימת פריטים",
  "Page Content": "תוכן הדף",
  "Frequently Asked Questions": "שאלות נפוצות",
  "Contact us": "צור קשר",
  "Useful Link": "קישור שימושי",
  Company: Company$8,
  Subscribe: Subscribe$8,
  Login: Login$8,
  "Submit ticket": "שלח כרטיס",
  "Login HelpDesk": "התחברות HelpDesk",
  Faqs: Faqs$8,
  "Filter Ticket By": "סינון כרטיס לפי",
  "Assign To": "הקצה ל",
  "No conversation found.": "לא נמצאה שיחה.",
  "No faqs found.": "לא נמצאו שאלות נפוצות.",
  "Faq Description": "תיאור שאלות נפוצות",
  Active: Active$8,
  Inactive: Inactive$8,
  Browse: Browse$8,
  Knowledge: Knowledge$8,
  Languages: Languages$8,
  User: User$8,
  "No languages found.": "לא נמצאו שפות.",
  "User roles": "תפקידי משתמש",
  "No organizations found.": "לא נמצאו ארגונים.",
  Home: Home$8,
  "Create a ticket": "צור כרטיס",
  "Open a ticket": "פתח כרטיס",
  "Select a category": "בחר קטגוריה",
  "Select a type": "בחר סוג",
  "Select a department": "בחר מחלקה",
  "Start Chat": "התחל שיחה",
  "Confirm Password": "אשר סיסמה",
  "No customers found.": "לא נמצאו לקוחות.",
  "No knowledge base found.": "לא נמצא בסיס ידע.",
  "Create Post": "צור פוסט",
  "Feature image": "תמונה תכונה",
  "Select type": "בחר סוג",
  "Create a new post": "צור פוסט חדש",
  "No post base found.": "לא נמצא בסיס פוסטים.",
  "Is Active": "האם פעיל",
  "All Posts": "כל הפוסטים",
  "Search your query in the FAQ items...": "חפש את השאילתה שלך בפריטי השאלות הנפוצות...",
  Register: Register$8,
  "Useful Links": "קישורים שימושיים",
  Newsletter: Newsletter$8,
  "Your email address": 'כתובת הדוא"ל שלך',
  "Join our newsletter service.": "הצטרפו לשירות הניוזלטר שלנו."
};
const __vite_glob_1_6 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Active: Active$8,
  Address: Address$8,
  Admin: Admin$8,
  Average: Average$8,
  Blog: Blog$8,
  Bottom: Bottom$8,
  Browse: Browse$8,
  Cancel: Cancel$8,
  Categories: Categories$8,
  Category: Category$8,
  Chat: Chat$8,
  City: City$8,
  Company: Company$8,
  Contact: Contact$8,
  Contacts: Contacts$8,
  Country: Country$8,
  Create: Create$8,
  Created: Created$8,
  Customer: Customer$8,
  Customers: Customers$8,
  Dashboard: Dashboard$8,
  Day: Day$8,
  Days: Days$8,
  Delete: Delete$8,
  Department: Department$8,
  Departments: Departments$8,
  Details: Details$8,
  Development: Development$8,
  Email: Email$8,
  Event: Event$8,
  FAQ: FAQ$8,
  FAQs: FAQs$8,
  Faqs: Faqs$8,
  Filter: Filter$8,
  Global: Global$8,
  Hardware: Hardware$8,
  Home: Home$8,
  Hour: Hour$8,
  Hours: Hours$8,
  Icon: Icon$8,
  Inactive: Inactive$8,
  Key: Key$8,
  Knowledge: Knowledge$8,
  Languages: Languages$8,
  Location: Location$8,
  Login: Login$8,
  Logout: Logout$8,
  Management: Management$8,
  Minute: Minute$8,
  Minutes: Minutes$8,
  Month: Month$8,
  Months: Months$8,
  More: More$8,
  Name: Name$8,
  Newsletter: Newsletter$8,
  Note: Note$8,
  Notes: Notes$8,
  Organization: Organization$8,
  Organizations: Organizations$8,
  Password: Password$8,
  Phone: Phone$8,
  Photo: Photo$8,
  Priorities: Priorities$8,
  Priority: Priority$8,
  Privacy: Privacy$8,
  Province: Province$8,
  Pusher: Pusher$8,
  Register: Register$8,
  Reset: Reset$8,
  Role: Role$8,
  Save: Save$8,
  Seconds: Seconds$8,
  Service: Service$8,
  Services: Services$8,
  Settings: Settings$8,
  Slug: Slug$8,
  Software: Software$8,
  State: State$8,
  Status: Status$8,
  Statuses: Statuses$8,
  Subject: Subject$8,
  Submit: Submit$8,
  Subscribe: Subscribe$8,
  Tag: Tag$8,
  Technical: Technical$8,
  Ticket: Ticket$8,
  Tickets: Tickets$8,
  Title: Title$8,
  Trashed: Trashed$8,
  Type: Type$8,
  Types: Types$8,
  Update: Update$8,
  Updated: Updated$8,
  User: User$8,
  Users: Users$8,
  default: he
}, Symbol.toStringTag, { value: "Module" }));
const Dashboard$7 = "Pannello di controllo";
const Logout$7 = "Disconnettersi";
const Tickets$7 = "Biglietti";
const Chat$7 = "Chiacchierata";
const FAQs$7 = "Domande frequenti";
const Blog$7 = "Blog";
const More$7 = "Di più";
const Notes$7 = "Appunti";
const Contacts$7 = "Contatti";
const Organizations$7 = "Organizzazioni";
const Users$7 = "Utenti";
const Customers$7 = "Clienti";
const Settings$7 = "Impostazioni";
const Global$7 = "Globale";
const Categories$7 = "Categorie";
const Status$7 = "Stato";
const Priorities$7 = "Priorità";
const Departments$7 = "Dipartimenti";
const Types$7 = "Tipi";
const Pusher$7 = "Spintore";
const Contact$7 = "Contatto";
const Services$7 = "Servizi";
const Filter$7 = "Filtro";
const Trashed$7 = "Cestinati";
const Reset$7 = "Ripristina";
const Name$7 = "Nome";
const Email$7 = "E-mail";
const Phone$7 = "Telefono";
const Country$7 = "Paese";
const City$7 = "Città";
const Address$7 = "Indirizzo";
const Password$7 = "Parola d'ordine";
const Role$7 = "Ruolo";
const Photo$7 = "Foto";
const Technical$7 = "Tecnico";
const Hardware$7 = "Hardware";
const Development$7 = "Sviluppo";
const Management$7 = "Gestione";
const Admin$7 = "Ammin";
const Software$7 = "Software";
const Service$7 = "Servizio";
const Event$7 = "Evento";
const Average$7 = "Media";
const Seconds$7 = "Secondi";
const Month$7 = "Mese";
const Months$7 = "Mesi";
const Day$7 = "Giorno";
const Days$7 = "Giorni";
const Hours$7 = "Ore";
const Hour$7 = "Ora";
const Minutes$7 = "Minuti";
const Minute$7 = "Minuto";
const Key$7 = "Chiave";
const Subject$7 = "Soggetto";
const Priority$7 = "Priorità";
const Updated$7 = "Aggiornato";
const Customer$7 = "Cliente";
const Department$7 = "Dipartimento";
const Category$7 = "Categoria";
const Created$7 = "Creato";
const Save$7 = "Salva";
const Ticket$7 = "Biglietto";
const FAQ$7 = "FAQ";
const Title$7 = "Titolo";
const Type$7 = "Tipo";
const Details$7 = "Dettagli";
const Note$7 = "Nota";
const Submit$7 = "Invia";
const Cancel$7 = "Annulla";
const Organization$7 = "Organizzazione";
const Province$7 = "Provincia";
const State$7 = "Stato";
const Delete$7 = "Eliminare";
const Update$7 = "Aggiornamento";
const Create$7 = "Creare";
const Statuses$7 = "Stati";
const Slug$7 = "Lumaca";
const Location$7 = "Posizione";
const Icon$7 = "Icona";
const Tag$7 = "Etichetta";
const Privacy$7 = "Privacy";
const Bottom$7 = "Metter il fondo a";
const Company$7 = "Azienda";
const Subscribe$7 = "sottoscrivi";
const Login$7 = "Login";
const Faqs$7 = "Domande frequenti";
const Active$7 = "Attivo";
const Inactive$7 = "Inattivo";
const Browse$7 = "Navigare";
const Knowledge$7 = "Conoscenza";
const Languages$7 = "Le lingue";
const User$7 = "Utente";
const Home$7 = "Casa";
const Register$7 = "Registrati";
const Newsletter$7 = "Notiziario";
const it = {
  "Edit Profile": "Modifica Profilo",
  Dashboard: Dashboard$7,
  Logout: Logout$7,
  Tickets: Tickets$7,
  Chat: Chat$7,
  FAQs: FAQs$7,
  Blog: Blog$7,
  "Knowledge Base": "base di conoscenza",
  More: More$7,
  Notes: Notes$7,
  Contacts: Contacts$7,
  Organizations: Organizations$7,
  Users: Users$7,
  Customers: Customers$7,
  Settings: Settings$7,
  Global: Global$7,
  Categories: Categories$7,
  Status: Status$7,
  Priorities: Priorities$7,
  Departments: Departments$7,
  Types: Types$7,
  "Email Templates": "Modelli di posta elettronica",
  "SMTP Mail": "Posta SMTP",
  Pusher: Pusher$7,
  "Pusher Chat": "Chat dello spacciatore",
  "Front Pages": "Prime pagine",
  Contact: Contact$7,
  Services: Services$7,
  "Privacy Policy": "politica sulla riservatezza",
  "Terms of Services": "Termini di servizio",
  Filter: Filter$7,
  Trashed: Trashed$7,
  "Trashed With": "Cestinato con",
  "Only Trashed": "Solo cestinato",
  "Search...": "Ricerca...",
  Reset: Reset$7,
  Name: Name$7,
  Email: Email$7,
  Phone: Phone$7,
  Country: Country$7,
  "Create User": "Creare un utente",
  "First Name": "Nome di battesimo",
  "First name": "Nome di battesimo",
  "Last Name": "Cognome",
  "Last name": "Cognome",
  City: City$7,
  Address: Address$7,
  Password: Password$7,
  Role: Role$7,
  Photo: Photo$7,
  "New Tickets": "Nuovi biglietti",
  "Open Tickets": "Biglietti aperti",
  "Closed Tickets": "Biglietti chiusi",
  "Unassigned Tickets": "Biglietti non assegnati",
  "Ticket by department": "Biglietto per dipartimento",
  "Ticket by type": "Biglietto per tipologia",
  "Top ticket creator": "Il miglior creatore di biglietti",
  "Ticket history": "Cronologia dei biglietti",
  "First Response Time": "Tempo di prima risposta",
  "Last Response Time": "Tempo dell'ultima risposta",
  Technical: Technical$7,
  Hardware: Hardware$7,
  Development: Development$7,
  Management: Management$7,
  Admin: Admin$7,
  Software: Software$7,
  Service: Service$7,
  Event: Event$7,
  Average: Average$7,
  Seconds: Seconds$7,
  "this month": "questo mese",
  "last month": "lo scorso mese",
  Month: Month$7,
  Months: Months$7,
  Day: Day$7,
  Days: Days$7,
  Hours: Hours$7,
  Hour: Hour$7,
  Minutes: Minutes$7,
  Minute: Minute$7,
  Key: Key$7,
  Subject: Subject$7,
  "Attach files": "Allegati",
  Priority: Priority$7,
  "Date": "Data",
  Updated: Updated$7,
  Customer: Customer$7,
  Department: Department$7,
  "Assigned to": "Assegnato a",
  "Ticket type": "Tipo di biglietto",
  Category: Category$7,
  Created: Created$7,
  "Request Details": "Richiedi dettagli",
  "Attach File": "Allega file",
  "Delete Ticket": "Elimina biglietto",
  Save: Save$7,
  "Ticket discussion": "Discussione sui biglietti",
  "Comment histories for this ticket will be available here.": "La cronologia dei commenti per questo biglietto sarà disponibile qui.",
  Ticket: Ticket$7,
  "Comment histories": "Storie dei commenti",
  "Comment history": "Cronologia dei commenti",
  "Write a comment and press enter to send...": "Scrivi un commento e premi invio per inviare...",
  "Click on a conversation from left to see the histories.": "Fai clic su una conversazione da sinistra per vedere le cronologie.",
  "Type a message...": "Scrivi un messaggio...",
  FAQ: FAQ$7,
  "Create Ticket": "Crea biglietto",
  "New Ticket": "Nuovo biglietto",
  "Create FAQ": "Crea domande frequenti",
  "Filter by priority": "Filtra per priorità",
  "Filter by status": "Filtra per stato",
  "Filter by role": "Filtra per ruolo",
  "Delete FAQ": "Elimina le domande frequenti",
  "Update FAQ": "Aggiorna le domande frequenti",
  "Create Knowledge Base": "Creare una base di conoscenza",
  Title: Title$7,
  Type: Type$7,
  Details: Details$7,
  "Delete knowledge base": "Elimina la base di conoscenza",
  "Update knowledge base": "Aggiornare la base di conoscenza",
  Note: Note$7,
  "No ticket found.": "Nessun biglietto trovato.",
  "note details here...": "nota i dettagli qui...",
  Submit: Submit$7,
  Cancel: Cancel$7,
  "Delete note": "Elimina nota",
  "Create Contact": "Crea contatto",
  Organization: Organization$7,
  "Delete Contact": "Elimina contatto",
  "Update Contact": "Aggiorna contatto",
  "Create Organization": "Crea organizzazione",
  Province: Province$7,
  State: State$7,
  "Postal code": "Codice Postale",
  "Delete Organization": "Elimina organizzazione",
  "Update Organization": "Aggiorna organizzazione",
  Delete: Delete$7,
  Update: Update$7,
  Create: Create$7,
  "Create Customer": "Crea cliente",
  "Manage Users": "Gestisci utenti",
  "Delete User": "Elimina utente",
  "Update User": "Aggiorna utente",
  "Are you sure you want to delete this user?": "Sei sicuro di voler eliminare questo utente?",
  "App Name": "Nome dell'applicazione",
  "Default Language": "Lingua di default",
  "Email Notifications": "notifiche di posta elettronica",
  "Create ticket by new customer": "Crea ticket per nuovo cliente",
  "Create ticket from dashboard": "Crea ticket dalla dashboard",
  "Notification for the first comment": "Notifica per il primo commento",
  "User got assigned for a task": "All'utente è stata assegnata un'attività",
  "Status or priority changes": "Cambiamenti di stato o di priorità",
  "Create a new user": "Crea un nuovo utente",
  "Cron Job Instruction": "Istruzioni per il lavoro Cron",
  "If you would like to send mail without delaying you need to set a cron job for that with once per minute.": "Se desideri inviare posta senza ritardi, devi impostare un processo cron per questo con una volta al minuto.",
  "Create Category": "Crea categoria",
  "Create New": "Creare nuovo",
  Statuses: Statuses$7,
  "Create Status": "Crea stato",
  Slug: Slug$7,
  "Create Priority": "Crea priorità",
  "Create Department": "Crea dipartimento",
  "Create Type": "Crea tipo",
  "Email Template": "Modello di posta elettronica",
  "Email Html": "Invia un messaggio di posta elettronica all'HTML",
  "Update Template": "Aggiorna modello",
  "SMTP Host": "Host SMTP",
  "SMTP Port": "Porta SMTP",
  "SMTP Username": "Nome utente SMTP",
  "SMTP Password": "Password SMTP",
  "Mail Encryption": "Crittografia della posta",
  "From Address": "Dall'indirizzo",
  "From Name": "Dal nome",
  "Pusher App ID": "ID dell'app Pusher",
  "Pusher App Key": "Chiave dell'app Pusher",
  "Pusher App Secret": "Segreto dell'app Pusher",
  "Pusher App Cluster": "Cluster di app Pusher",
  Location: Location$7,
  "Phone number": "Numero di telefono",
  "Email address": "Indirizzo e-mail",
  "Email Address": "Indirizzo e-mail",
  "Location address": "Indirizzo della posizione",
  "Email details": "Dettagli e-mail",
  "Location details": "Dettagli sulla posizione",
  "Location map": "Mappa di localizzazione",
  "Add New": "Aggiungere nuova",
  Icon: Icon$7,
  Tag: Tag$7,
  Privacy: Privacy$7,
  "List information": "Elenca le informazioni",
  Bottom: Bottom$7,
  "List items": "Elementi della lista",
  "Page Content": "Contenuto della pagina",
  "Frequently Asked Questions": "Domande frequenti",
  "Contact us": "Contattaci",
  "Useful Link": "Collegamento utile",
  Company: Company$7,
  Subscribe: Subscribe$7,
  Login: Login$7,
  "Submit ticket": "Presentare il biglietto",
  "Login HelpDesk": "Accedi all'HelpDesk",
  Faqs: Faqs$7,
  "Filter Ticket By": "Filtra biglietto per",
  "Assign To": "Assegnato a",
  "No conversation found.": "Nessuna conversazione trovata.",
  "No faqs found.": "Nessuna domanda frequente trovata.",
  "Faq Description": "Descrizione delle domande frequenti",
  Active: Active$7,
  Inactive: Inactive$7,
  Browse: Browse$7,
  Knowledge: Knowledge$7,
  Languages: Languages$7,
  User: User$7,
  "No languages found.": "Nessuna lingua trovata.",
  "User roles": "Ruoli utente",
  "No organizations found.": "Nessuna organizzazione trovata.",
  Home: Home$7,
  "Create a ticket": "Crea un biglietto",
  "Open a ticket": "Apri un ticket",
  "Select a category": "Seleziona una categoria",
  "Select a type": "Seleziona un tipo",
  "Select a department": "Seleziona un dipartimento",
  "Start Chat": "Inizia chat",
  "Confirm Password": "Conferma password",
  "No customers found.": "Nessun cliente trovato.",
  "No knowledge base found.": "Nessuna base di conoscenza trovata.",
  "Create Post": "Crea messaggio",
  "Feature image": "Immagine in evidenza",
  "Select type": "Seleziona il tipo",
  "Create a new post": "Crea un nuovo articolo",
  "No post base found.": "Nessuna base di posta trovata.",
  "Is Active": "È attivo",
  "All Posts": "Tutti i post",
  "Search your query in the FAQ items...": "Cerca la tua query negli elementi FAQ...",
  Register: Register$7,
  "Useful Links": "link utili",
  Newsletter: Newsletter$7,
  "Your email address": "Il tuo indirizzo di posta elettronica",
  "Join our newsletter service.": "Iscriviti al nostro servizio di newsletter."
};
const __vite_glob_1_7 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Active: Active$7,
  Address: Address$7,
  Admin: Admin$7,
  Average: Average$7,
  Blog: Blog$7,
  Bottom: Bottom$7,
  Browse: Browse$7,
  Cancel: Cancel$7,
  Categories: Categories$7,
  Category: Category$7,
  Chat: Chat$7,
  City: City$7,
  Company: Company$7,
  Contact: Contact$7,
  Contacts: Contacts$7,
  Country: Country$7,
  Create: Create$7,
  Created: Created$7,
  Customer: Customer$7,
  Customers: Customers$7,
  Dashboard: Dashboard$7,
  Day: Day$7,
  Days: Days$7,
  Delete: Delete$7,
  Department: Department$7,
  Departments: Departments$7,
  Details: Details$7,
  Development: Development$7,
  Email: Email$7,
  Event: Event$7,
  FAQ: FAQ$7,
  FAQs: FAQs$7,
  Faqs: Faqs$7,
  Filter: Filter$7,
  Global: Global$7,
  Hardware: Hardware$7,
  Home: Home$7,
  Hour: Hour$7,
  Hours: Hours$7,
  Icon: Icon$7,
  Inactive: Inactive$7,
  Key: Key$7,
  Knowledge: Knowledge$7,
  Languages: Languages$7,
  Location: Location$7,
  Login: Login$7,
  Logout: Logout$7,
  Management: Management$7,
  Minute: Minute$7,
  Minutes: Minutes$7,
  Month: Month$7,
  Months: Months$7,
  More: More$7,
  Name: Name$7,
  Newsletter: Newsletter$7,
  Note: Note$7,
  Notes: Notes$7,
  Organization: Organization$7,
  Organizations: Organizations$7,
  Password: Password$7,
  Phone: Phone$7,
  Photo: Photo$7,
  Priorities: Priorities$7,
  Priority: Priority$7,
  Privacy: Privacy$7,
  Province: Province$7,
  Pusher: Pusher$7,
  Register: Register$7,
  Reset: Reset$7,
  Role: Role$7,
  Save: Save$7,
  Seconds: Seconds$7,
  Service: Service$7,
  Services: Services$7,
  Settings: Settings$7,
  Slug: Slug$7,
  Software: Software$7,
  State: State$7,
  Status: Status$7,
  Statuses: Statuses$7,
  Subject: Subject$7,
  Submit: Submit$7,
  Subscribe: Subscribe$7,
  Tag: Tag$7,
  Technical: Technical$7,
  Ticket: Ticket$7,
  Tickets: Tickets$7,
  Title: Title$7,
  Trashed: Trashed$7,
  Type: Type$7,
  Types: Types$7,
  Update: Update$7,
  Updated: Updated$7,
  User: User$7,
  Users: Users$7,
  default: it
}, Symbol.toStringTag, { value: "Module" }));
const Dashboard$6 = "Prietaisų skydelis";
const Logout$6 = "Atsijungti";
const Tickets$6 = "Bilietai";
const Chat$6 = "Pokalbis";
const FAQs$6 = "DUK";
const Blog$6 = "Dienoraštis";
const More$6 = "Daugiau";
const Notes$6 = "Pastabos";
const Contacts$6 = "Kontaktai";
const Organizations$6 = "Organizacijos";
const Users$6 = "Vartotojai";
const Customers$6 = "Klientai";
const Settings$6 = "Nustatymai";
const Global$6 = "Pasaulinis";
const Categories$6 = "Kategorijos";
const Status$6 = "Būsena";
const Priorities$6 = "Prioritetai";
const Departments$6 = "Skyriai";
const Types$6 = "Tipai";
const Pusher$6 = "Stūmiklis";
const Contact$6 = "kontaktas";
const Services$6 = "Paslaugos";
const Filter$6 = "Filtras";
const Trashed$6 = "Išmesta į šiukšlių dėžę";
const Reset$6 = "Nustatyti iš naujo";
const Name$6 = "vardas";
const Email$6 = "El. paštas";
const Phone$6 = "Telefonas";
const Country$6 = "Šalis";
const City$6 = "Miestas";
const Address$6 = "Adresas";
const Password$6 = "Slaptažodis";
const Role$6 = "Vaidmuo";
const Photo$6 = "Nuotrauka";
const Technical$6 = "Techninė";
const Hardware$6 = "Aparatūra";
const Development$6 = "Plėtra";
const Management$6 = "Valdymas";
const Admin$6 = "Admin";
const Software$6 = "Programinė įranga";
const Service$6 = "Aptarnavimas";
const Event$6 = "Renginys";
const Average$6 = "Vidutinis";
const Seconds$6 = "sekundės";
const Month$6 = "Mėnuo";
const Months$6 = "Mėnesių";
const Day$6 = "Diena";
const Days$6 = "Dienos";
const Hours$6 = "Valandos";
const Hour$6 = "Valanda";
const Minutes$6 = "Minutės";
const Minute$6 = "Minutė";
const Key$6 = "Raktas";
const Subject$6 = "Tema";
const Priority$6 = "Pirmenybė";
const Updated$6 = "Atnaujinta";
const Customer$6 = "Klientas";
const Department$6 = "skyrius";
const Category$6 = "Kategorija";
const Created$6 = "Sukurta";
const Save$6 = "Sutaupyti";
const Ticket$6 = "Bilietas";
const FAQ$6 = "DUK";
const Title$6 = "Pavadinimas";
const Type$6 = "Tipas";
const Details$6 = "Detalės";
const Note$6 = "Pastaba";
const Submit$6 = "Pateikti";
const Cancel$6 = "Atšaukti";
const Organization$6 = "Organizacija";
const Province$6 = "Provincija";
const State$6 = "valstybė";
const Delete$6 = "Ištrinti";
const Update$6 = "Atnaujinti";
const Create$6 = "Sukurti";
const Statuses$6 = "Būsenos";
const Slug$6 = "Šliužas";
const Location$6 = "Vieta";
const Icon$6 = "Piktograma";
const Tag$6 = "Žyma";
const Privacy$6 = "Privatumas";
const Bottom$6 = "Apačia";
const Company$6 = "Bendrovė";
const Subscribe$6 = "Prenumeruoti";
const Login$6 = "Prisijungti";
const Faqs$6 = "DUK";
const Active$6 = "Aktyvus";
const Inactive$6 = "Neaktyvus";
const Browse$6 = "Naršyti";
const Knowledge$6 = "Žinios";
const Languages$6 = "Kalbos";
const User$6 = "Vartotojas";
const Home$6 = "Namai";
const Register$6 = "Registruotis";
const Newsletter$6 = "Naujienlaiškis";
const lt = {
  "Edit Profile": "Redaguoti profilį",
  Dashboard: Dashboard$6,
  Logout: Logout$6,
  Tickets: Tickets$6,
  Chat: Chat$6,
  FAQs: FAQs$6,
  Blog: Blog$6,
  "Knowledge Base": "Žinių bazė",
  More: More$6,
  Notes: Notes$6,
  Contacts: Contacts$6,
  Organizations: Organizations$6,
  Users: Users$6,
  Customers: Customers$6,
  Settings: Settings$6,
  Global: Global$6,
  Categories: Categories$6,
  Status: Status$6,
  Priorities: Priorities$6,
  Departments: Departments$6,
  Types: Types$6,
  "Email Templates": "El. pašto šablonai",
  "SMTP Mail": "SMTP paštas",
  Pusher: Pusher$6,
  "Pusher Chat": "Pusher Chat",
  "Front Pages": "Priekiniai puslapiai",
  Contact: Contact$6,
  Services: Services$6,
  "Privacy Policy": "Privatumo politika",
  "Terms of Services": "Paslaugų sąlygos",
  Filter: Filter$6,
  Trashed: Trashed$6,
  "Trashed With": "Išmestas į šiukšlių dėžę",
  "Only Trashed": "Tik į šiukšliadėžę",
  "Search...": "Paieška...",
  Reset: Reset$6,
  Name: Name$6,
  Email: Email$6,
  Phone: Phone$6,
  Country: Country$6,
  "Create User": "Sukurti vartotoją",
  "First Name": "Pirmas vardas",
  "First name": "Pirmas vardas",
  "Last Name": "Pavardė",
  "Last name": "Pavardė",
  City: City$6,
  Address: Address$6,
  Password: Password$6,
  Role: Role$6,
  Photo: Photo$6,
  "New Tickets": "Nauji bilietai",
  "Open Tickets": "Atidaryti Bilietai",
  "Closed Tickets": "Uždaryti bilietai",
  "Unassigned Tickets": "Nepriskirti bilietai",
  "Ticket by department": "Bilietas pagal skyrių",
  "Ticket by type": "Bilietas pagal tipą",
  "Top ticket creator": "Geriausias bilietų kūrėjas",
  "Ticket history": "Bilietų istorija",
  "First Response Time": "Pirmojo atsakymo laikas",
  "Last Response Time": "Paskutinio atsakymo laikas",
  Technical: Technical$6,
  Hardware: Hardware$6,
  Development: Development$6,
  Management: Management$6,
  Admin: Admin$6,
  Software: Software$6,
  Service: Service$6,
  Event: Event$6,
  Average: Average$6,
  Seconds: Seconds$6,
  "this month": "šį mėnesį",
  "last month": "praeitą mėnesį",
  Month: Month$6,
  Months: Months$6,
  Day: Day$6,
  Days: Days$6,
  Hours: Hours$6,
  Hour: Hour$6,
  Minutes: Minutes$6,
  Minute: Minute$6,
  Key: Key$6,
  Subject: Subject$6,
  "Attach files": "Prisegti failus",
  Priority: Priority$6,
  "Date": "Data",
  Updated: Updated$6,
  Customer: Customer$6,
  Department: Department$6,
  "Assigned to": "Priskirtas",
  "Ticket type": "Bilieto tipas",
  Category: Category$6,
  Created: Created$6,
  "Request Details": "Prašyti išsamios informacijos",
  "Attach File": "Pridėti failą",
  "Delete Ticket": "Ištrinti bilietą",
  Save: Save$6,
  "Ticket discussion": "Diskusija dėl bilietų",
  "Comment histories for this ticket will be available here.": "Šio bilieto komentarų istoriją rasite čia.",
  Ticket: Ticket$6,
  "Comment histories": "Komentarų istorijos",
  "Comment history": "Komentarų istorija",
  "Write a comment and press enter to send...": "Parašykite komentarą ir paspauskite Enter, kad išsiųstumėte...",
  "Click on a conversation from left to see the histories.": "Spustelėkite pokalbį iš kairės, kad pamatytumėte istorijas.",
  "Type a message...": "Įveskite žinutę...",
  FAQ: FAQ$6,
  "Create Ticket": "Sukurti bilietą",
  "New Ticket": "Naujas bilietas",
  "Create FAQ": "Sukurti DUK",
  "Filter by priority": "Filtruoti pagal prioritetą",
  "Filter by status": "Filtruoti pagal būseną",
  "Filter by role": "Filtruoti pagal vaidmenį",
  "Delete FAQ": "Ištrinti DUK",
  "Update FAQ": "Atnaujinti DUK",
  "Create Knowledge Base": "Sukurkite žinių bazę",
  Title: Title$6,
  Type: Type$6,
  Details: Details$6,
  "Delete knowledge base": "Ištrinkite žinių bazę",
  "Update knowledge base": "Atnaujinkite žinių bazę",
  Note: Note$6,
  "No ticket found.": "Bilietas nerastas.",
  "note details here...": "atkreipkite dėmesį čia...",
  Submit: Submit$6,
  Cancel: Cancel$6,
  "Delete note": "Ištrinti pastabą",
  "Create Contact": "Sukurti kontaktą",
  Organization: Organization$6,
  "Delete Contact": "Ištrinti kontaktą",
  "Update Contact": "Atnaujinti kontaktą",
  "Create Organization": "Sukurti organizaciją",
  Province: Province$6,
  State: State$6,
  "Postal code": "Pašto kodas",
  "Delete Organization": "Ištrinti organizaciją",
  "Update Organization": "Atnaujinti organizaciją",
  Delete: Delete$6,
  Update: Update$6,
  Create: Create$6,
  "Create Customer": "Sukurti Klientą",
  "Manage Users": "Tvarkyti vartotojus",
  "Delete User": "Ištrinti vartotoją",
  "Update User": "Atnaujinti vartotoją",
  "Are you sure you want to delete this user?": "Ar tikrai norite ištrinti šį naudotoją?",
  "App Name": "Programos pavadinimas",
  "Default Language": "Numatytoji kalba",
  "Email Notifications": "El. pašto pranešimai",
  "Create ticket by new customer": "Sukurkite naujo kliento bilietą",
  "Create ticket from dashboard": "Sukurkite bilietą iš prietaisų skydelio",
  "Notification for the first comment": "Pranešimas už pirmąjį komentarą",
  "User got assigned for a task": "Vartotojas buvo paskirtas atlikti užduotį",
  "Status or priority changes": "Būsenos arba prioriteto pasikeitimai",
  "Create a new user": "Sukurti naują vartotoją",
  "Cron Job Instruction": "„Cron“ darbo instrukcija",
  "If you would like to send mail without delaying you need to set a cron job for that with once per minute.": "Jei norite išsiųsti laišką nedelsdami, turite nustatyti cron užduotį kartą per minutę.",
  "Create Category": "Sukurti kategoriją",
  "Create New": "Sukurk naują",
  Statuses: Statuses$6,
  "Create Status": "Sukurti būseną",
  Slug: Slug$6,
  "Create Priority": "Sukurti prioritetą",
  "Create Department": "Sukurti skyrių",
  "Create Type": "Sukurti tipą",
  "Email Template": "El. pašto šablonas",
  "Email Html": "Pašto HTML",
  "Update Template": "Atnaujinti šabloną",
  "SMTP Host": "SMTP priegloba",
  "SMTP Port": "SMTP prievadas",
  "SMTP Username": "SMTP vartotojo vardas",
  "SMTP Password": "SMTP slaptažodis",
  "Mail Encryption": "Pašto šifravimas",
  "From Address": "Iš Adreso",
  "From Name": "Iš Vardo",
  "Pusher App ID": "„Pusher“ programos ID",
  "Pusher App Key": "„Pusher“ programos raktas",
  "Pusher App Secret": "Pusher App Secret",
  "Pusher App Cluster": "Pusher App Cluster",
  Location: Location$6,
  "Phone number": "Telefono numeris",
  "Email address": "Elektroninio pašto adresas",
  "Email Address": "Elektroninio pašto adresas",
  "Location address": "Vietos adresas",
  "Email details": "El. pašto informacija",
  "Location details": "Vietovės informacija",
  "Location map": "Vietos žemėlapis",
  "Add New": "Pridėti naują",
  Icon: Icon$6,
  Tag: Tag$6,
  Privacy: Privacy$6,
  "List information": "Išvardykite informaciją",
  Bottom: Bottom$6,
  "List items": "Išvardykite elementus",
  "Page Content": "Puslapio turinys",
  "Frequently Asked Questions": "Dažnai užduodami klausimai",
  "Contact us": "Susisiekite su mumis",
  "Useful Link": "Naudinga nuoroda",
  Company: Company$6,
  Subscribe: Subscribe$6,
  Login: Login$6,
  "Submit ticket": "Pateikite bilietą",
  "Login HelpDesk": "Prisijunkite prie pagalbos tarnybos",
  Faqs: Faqs$6,
  "Filter Ticket By": "Filtruoti bilietą pagal",
  "Assign To": "Priskirti",
  "No conversation found.": "Pokalbis nerastas.",
  "No faqs found.": "DUK nerasta.",
  "Faq Description": "DUK aprašymas",
  Active: Active$6,
  Inactive: Inactive$6,
  Browse: Browse$6,
  Knowledge: Knowledge$6,
  Languages: Languages$6,
  User: User$6,
  "No languages found.": "Kalbų nerasta.",
  "User roles": "Vartotojų vaidmenys",
  "No organizations found.": "Organizacijų nerasta.",
  Home: Home$6,
  "Create a ticket": "Sukurkite bilietą",
  "Open a ticket": "Atidarykite bilietą",
  "Select a category": "Pasirinkite kategoriją",
  "Select a type": "Pasirinkite tipą",
  "Select a department": "Pasirinkite skyrių",
  "Start Chat": "Pradėti pokalbį",
  "Confirm Password": "Patvirtinti slaptažodį",
  "No customers found.": "Klientų nerasta.",
  "No knowledge base found.": "Nerasta žinių bazės.",
  "Create Post": "Sukurti įrašą",
  "Feature image": "Funkcijos vaizdas",
  "Select type": "Pasirinkite tipą",
  "Create a new post": "Sukurti naują įrašą",
  "No post base found.": "Nerasta pranešimų bazės.",
  "Is Active": "Yra Aktyvus",
  "All Posts": "Visi pranešimai",
  "Search your query in the FAQ items...": "Ieškokite savo užklausos DUK elementuose...",
  Register: Register$6,
  "Useful Links": "Naudingos nuorodos",
  Newsletter: Newsletter$6,
  "Your email address": "Jūsų elektroninio pašto adresas",
  "Join our newsletter service.": "Prisijunkite prie mūsų naujienlaiškių paslaugos."
};
const __vite_glob_1_8 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Active: Active$6,
  Address: Address$6,
  Admin: Admin$6,
  Average: Average$6,
  Blog: Blog$6,
  Bottom: Bottom$6,
  Browse: Browse$6,
  Cancel: Cancel$6,
  Categories: Categories$6,
  Category: Category$6,
  Chat: Chat$6,
  City: City$6,
  Company: Company$6,
  Contact: Contact$6,
  Contacts: Contacts$6,
  Country: Country$6,
  Create: Create$6,
  Created: Created$6,
  Customer: Customer$6,
  Customers: Customers$6,
  Dashboard: Dashboard$6,
  Day: Day$6,
  Days: Days$6,
  Delete: Delete$6,
  Department: Department$6,
  Departments: Departments$6,
  Details: Details$6,
  Development: Development$6,
  Email: Email$6,
  Event: Event$6,
  FAQ: FAQ$6,
  FAQs: FAQs$6,
  Faqs: Faqs$6,
  Filter: Filter$6,
  Global: Global$6,
  Hardware: Hardware$6,
  Home: Home$6,
  Hour: Hour$6,
  Hours: Hours$6,
  Icon: Icon$6,
  Inactive: Inactive$6,
  Key: Key$6,
  Knowledge: Knowledge$6,
  Languages: Languages$6,
  Location: Location$6,
  Login: Login$6,
  Logout: Logout$6,
  Management: Management$6,
  Minute: Minute$6,
  Minutes: Minutes$6,
  Month: Month$6,
  Months: Months$6,
  More: More$6,
  Name: Name$6,
  Newsletter: Newsletter$6,
  Note: Note$6,
  Notes: Notes$6,
  Organization: Organization$6,
  Organizations: Organizations$6,
  Password: Password$6,
  Phone: Phone$6,
  Photo: Photo$6,
  Priorities: Priorities$6,
  Priority: Priority$6,
  Privacy: Privacy$6,
  Province: Province$6,
  Pusher: Pusher$6,
  Register: Register$6,
  Reset: Reset$6,
  Role: Role$6,
  Save: Save$6,
  Seconds: Seconds$6,
  Service: Service$6,
  Services: Services$6,
  Settings: Settings$6,
  Slug: Slug$6,
  Software: Software$6,
  State: State$6,
  Status: Status$6,
  Statuses: Statuses$6,
  Subject: Subject$6,
  Submit: Submit$6,
  Subscribe: Subscribe$6,
  Tag: Tag$6,
  Technical: Technical$6,
  Ticket: Ticket$6,
  Tickets: Tickets$6,
  Title: Title$6,
  Trashed: Trashed$6,
  Type: Type$6,
  Types: Types$6,
  Update: Update$6,
  Updated: Updated$6,
  User: User$6,
  Users: Users$6,
  default: lt
}, Symbol.toStringTag, { value: "Module" }));
const Dashboard$5 = "Dashboard";
const Logout$5 = "Uitloggen";
const Tickets$5 = "Kaartjes";
const Chat$5 = "Chatten";
const FAQs$5 = "Veelgestelde vragen";
const Blog$5 = "Bloggen";
const More$5 = "Meer";
const Notes$5 = "Opmerkingen";
const Contacts$5 = "Contacten";
const Organizations$5 = "Organisaties";
const Users$5 = "Gebruikers";
const Customers$5 = "Klanten";
const Settings$5 = "Instellingen";
const Global$5 = "Globaal";
const Categories$5 = "Categorieën";
const Status$5 = "Toestand";
const Priorities$5 = "Prioriteiten";
const Departments$5 = "Afdelingen";
const Types$5 = "Soorten";
const Pusher$5 = "Opdringer";
const Contact$5 = "Contact";
const Services$5 = "Diensten";
const Filter$5 = "Filter";
const Trashed$5 = "Vernield";
const Reset$5 = "Opnieuw instellen";
const Name$5 = "Naam";
const Email$5 = "E-mail";
const Phone$5 = "Telefoon";
const Country$5 = "Land";
const City$5 = "Stad";
const Address$5 = "Adres";
const Password$5 = "Wachtwoord";
const Role$5 = "Rol";
const Photo$5 = "Foto";
const Technical$5 = "Technisch";
const Hardware$5 = "Hardware";
const Development$5 = "Ontwikkeling";
const Management$5 = "Beheer";
const Admin$5 = "beheerder";
const Software$5 = "Software";
const Service$5 = "Dienst";
const Event$5 = "Evenement";
const Average$5 = "Gemiddeld";
const Seconds$5 = "Seconden";
const Month$5 = "Maand";
const Months$5 = "Maanden";
const Day$5 = "Dag";
const Days$5 = "Dagen";
const Hours$5 = "Uur";
const Hour$5 = "Uur";
const Minutes$5 = "Minuten";
const Minute$5 = "Minuut";
const Key$5 = "Sleutel";
const Subject$5 = "Onderwerp";
const Priority$5 = "Prioriteit";
const Updated$5 = "Bijgewerkt";
const Customer$5 = "Klant";
const Department$5 = "Afdeling";
const Category$5 = "Categorie";
const Created$5 = "Gemaakt";
const Save$5 = "Redden";
const Ticket$5 = "Ticket";
const FAQ$5 = "FAQ";
const Title$5 = "Titel";
const Type$5 = "Type";
const Details$5 = "Details";
const Note$5 = "Opmerking";
const Submit$5 = "Indienen";
const Cancel$5 = "Annuleren";
const Organization$5 = "Organisatie";
const Province$5 = "Provincie";
const State$5 = "Staat";
const Delete$5 = "Verwijderen";
const Update$5 = "Update";
const Create$5 = "Creëren";
const Statuses$5 = "Statussen";
const Slug$5 = "Naaktslak";
const Location$5 = "Plaats";
const Icon$5 = "Icoon";
const Tag$5 = "Label";
const Privacy$5 = "Privacy";
const Bottom$5 = "Onderkant";
const Company$5 = "Bedrijf";
const Subscribe$5 = "Abonneren";
const Login$5 = "Log in";
const Faqs$5 = "Veelgestelde vragen";
const Active$5 = "Actief";
const Inactive$5 = "Inactief";
const Browse$5 = "Blader";
const Knowledge$5 = "Kennis";
const Languages$5 = "Talen";
const User$5 = "Gebruiker";
const Home$5 = "Thuis";
const Register$5 = "Register";
const Newsletter$5 = "Nieuwsbrief";
const nl = {
  "Edit Profile": "Bewerk profiel",
  Dashboard: Dashboard$5,
  Logout: Logout$5,
  Tickets: Tickets$5,
  Chat: Chat$5,
  FAQs: FAQs$5,
  Blog: Blog$5,
  "Knowledge Base": "Kennis basis",
  More: More$5,
  Notes: Notes$5,
  Contacts: Contacts$5,
  Organizations: Organizations$5,
  Users: Users$5,
  Customers: Customers$5,
  Settings: Settings$5,
  Global: Global$5,
  Categories: Categories$5,
  Status: Status$5,
  Priorities: Priorities$5,
  Departments: Departments$5,
  Types: Types$5,
  "Email Templates": "E-mailsjablonen",
  "SMTP Mail": "SMTP-mail",
  Pusher: Pusher$5,
  "Pusher Chat": "Pusher-chat",
  "Front Pages": "Voorpagina's",
  Contact: Contact$5,
  Services: Services$5,
  "Privacy Policy": "Privacybeleid",
  "Terms of Services": "Servicevoorwaarden",
  Filter: Filter$5,
  Trashed: Trashed$5,
  "Trashed With": "Weggegooid met",
  "Only Trashed": "Alleen weggegooid",
  "Search...": "Zoekopdracht...",
  Reset: Reset$5,
  Name: Name$5,
  Email: Email$5,
  Phone: Phone$5,
  Country: Country$5,
  "Create User": "Gebruiker aanmaken",
  "First Name": "Voornaam",
  "First name": "Voornaam",
  "Last Name": "Achternaam",
  "Last name": "Achternaam",
  City: City$5,
  Address: Address$5,
  Password: Password$5,
  Role: Role$5,
  Photo: Photo$5,
  "New Tickets": "Nieuwe kaartjes",
  "Open Tickets": "Kaartjes openen",
  "Closed Tickets": "Gesloten kaartjes",
  "Unassigned Tickets": "Niet-toegewezen tickets",
  "Ticket by department": "Ticket per afdeling",
  "Ticket by type": "Ticket per type",
  "Top ticket creator": "Top ticketmaker",
  "Ticket history": "Ticketgeschiedenis",
  "First Response Time": "Eerste responstijd",
  "Last Response Time": "Laatste responstijd",
  Technical: Technical$5,
  Hardware: Hardware$5,
  Development: Development$5,
  Management: Management$5,
  Admin: Admin$5,
  Software: Software$5,
  Service: Service$5,
  Event: Event$5,
  Average: Average$5,
  Seconds: Seconds$5,
  "this month": "deze maand",
  "last month": "vorige maand",
  Month: Month$5,
  Months: Months$5,
  Day: Day$5,
  Days: Days$5,
  Hours: Hours$5,
  Hour: Hour$5,
  Minutes: Minutes$5,
  Minute: Minute$5,
  Key: Key$5,
  Subject: Subject$5,
  "Attach files": "Voeg bestanden toe",
  Priority: Priority$5,
  "Date": "Datum",
  Updated: Updated$5,
  Customer: Customer$5,
  Department: Department$5,
  "Assigned to": "Toegewezen aan",
  "Ticket type": "Tickettype",
  Category: Category$5,
  Created: Created$5,
  "Request Details": "Vraag details aan",
  "Attach File": "Bijlage",
  "Delete Ticket": "Ticket verwijderen",
  Save: Save$5,
  "Ticket discussion": "Ticket discussie",
  "Comment histories for this ticket will be available here.": "Commentaargeschiedenis voor dit ticket is hier beschikbaar.",
  Ticket: Ticket$5,
  "Comment histories": "Commentaargeschiedenis",
  "Comment history": "Commentaargeschiedenis",
  "Write a comment and press enter to send...": "Schrijf een opmerking en druk op Enter om te verzenden...",
  "Click on a conversation from left to see the histories.": "Klik op een gesprek aan de linkerkant om de geschiedenis te bekijken.",
  "Type a message...": "Type een bericht...",
  FAQ: FAQ$5,
  "Create Ticket": "Ticket aanmaken",
  "New Ticket": "Nieuw kaartje",
  "Create FAQ": "Veelgestelde vragen maken",
  "Filter by priority": "Filter op prioriteit",
  "Filter by status": "Filter op status",
  "Filter by role": "Filter op rol",
  "Delete FAQ": "Veelgestelde vragen verwijderen",
  "Update FAQ": "Veelgestelde vragen bijwerken",
  "Create Knowledge Base": "Kennisbank creëren",
  Title: Title$5,
  Type: Type$5,
  Details: Details$5,
  "Delete knowledge base": "Kennisbank verwijderen",
  "Update knowledge base": "Kennisbank bijwerken",
  Note: Note$5,
  "No ticket found.": "Geen kaartje gevonden.",
  "note details here...": "noteer hier de details...",
  Submit: Submit$5,
  Cancel: Cancel$5,
  "Delete note": "Notitie verwijderen",
  "Create Contact": "Contact maken",
  Organization: Organization$5,
  "Delete Contact": "Verwijder contact",
  "Update Contact": "Contactpersoon bijwerken",
  "Create Organization": "Organisatie creëren",
  Province: Province$5,
  State: State$5,
  "Postal code": "Postcode",
  "Delete Organization": "Organisatie verwijderen",
  "Update Organization": "Organisatie bijwerken",
  Delete: Delete$5,
  Update: Update$5,
  Create: Create$5,
  "Create Customer": "Klant aanmaken",
  "Manage Users": "Gebruikers beheren",
  "Delete User": "Verwijder gebruiker",
  "Update User": "Gebruiker bijwerken",
  "Are you sure you want to delete this user?": "Weet u zeker dat u deze gebruiker wilt verwijderen?",
  "App Name": "Applicatie naam",
  "Default Language": "Standaard taal",
  "Email Notifications": "E-mail notificaties",
  "Create ticket by new customer": "Ticket aanmaken door nieuwe klant",
  "Create ticket from dashboard": "Maak een ticket vanaf het dashboard",
  "Notification for the first comment": "Melding voor de eerste reactie",
  "User got assigned for a task": "Gebruiker is toegewezen aan een taak",
  "Status or priority changes": "Status- of prioriteitswijzigingen",
  "Create a new user": "Maak een nieuwe gebruiker aan",
  "Cron Job Instruction": "Cron-jobinstructie",
  "If you would like to send mail without delaying you need to set a cron job for that with once per minute.": "Als u e-mail zonder vertraging wilt verzenden, moet u daarvoor een cronjob instellen met één keer per minuut.",
  "Create Category": "Categorie maken",
  "Create New": "Maak nieuw",
  Statuses: Statuses$5,
  "Create Status": "Status creëren",
  Slug: Slug$5,
  "Create Priority": "Creëer prioriteit",
  "Create Department": "Afdeling aanmaken",
  "Create Type": "Type aanmaken",
  "Email Template": "Email sjabloon",
  "Email Html": "E-mail-html",
  "Update Template": "Sjabloon bijwerken",
  "SMTP Host": "SMTP-host",
  "SMTP Port": "SMTP-poort",
  "SMTP Username": "SMTP-gebruikersnaam",
  "SMTP Password": "SMTP-wachtwoord",
  "Mail Encryption": "E-mailcodering",
  "From Address": "Van adres",
  "From Name": "Van naam",
  "Pusher App ID": "Pusher-app-ID",
  "Pusher App Key": "Pusher-app-sleutel",
  "Pusher App Secret": "Pusher-appgeheim",
  "Pusher App Cluster": "Pusher-appcluster",
  Location: Location$5,
  "Phone number": "Telefoonnummer",
  "Email address": "E-mailadres",
  "Email Address": "E-mailadres",
  "Location address": "Locatie adres",
  "Email details": "E-mailgegevens",
  "Location details": "Locatiegegevens",
  "Location map": "Locatie kaart",
  "Add New": "Nieuw toevoegen",
  Icon: Icon$5,
  Tag: Tag$5,
  Privacy: Privacy$5,
  "List information": "Lijstinformatie",
  Bottom: Bottom$5,
  "List items": "Lijstitems",
  "Page Content": "Pagina inhoud",
  "Frequently Asked Questions": "Veel Gestelde Vragen",
  "Contact us": "Neem contact met ons op",
  "Useful Link": "Handige link",
  Company: Company$5,
  Subscribe: Subscribe$5,
  Login: Login$5,
  "Submit ticket": "Ticket indienen",
  "Login HelpDesk": "Inloggen helpdesk",
  Faqs: Faqs$5,
  "Filter Ticket By": "Ticket filteren op",
  "Assign To": "Toewijzen",
  "No conversation found.": "Geen gesprek gevonden.",
  "No faqs found.": "Geen veelgestelde vragen gevonden.",
  "Faq Description": "Veelgestelde vragen Beschrijving",
  Active: Active$5,
  Inactive: Inactive$5,
  Browse: Browse$5,
  Knowledge: Knowledge$5,
  Languages: Languages$5,
  User: User$5,
  "No languages found.": "Geen talen gevonden.",
  "User roles": "Gebruikersrollen",
  "No organizations found.": "Geen organisaties gevonden.",
  Home: Home$5,
  "Create a ticket": "Maak een kaartje",
  "Open a ticket": "Open een kaartje",
  "Select a category": "Kies een categorie",
  "Select a type": "Selecteer een type",
  "Select a department": "Selecteer een afdeling",
  "Start Chat": "Begin chat",
  "Confirm Password": "bevestig wachtwoord",
  "No customers found.": "Geen klanten gevonden.",
  "No knowledge base found.": "Geen kennisbank gevonden.",
  "Create Post": "Bericht maken",
  "Feature image": "Functieafbeelding",
  "Select type": "Selecteer type",
  "Create a new post": "Maak een nieuw bericht",
  "No post base found.": "Geen berichtbasis gevonden.",
  "Is Active": "Is actief",
  "All Posts": "Alle berichten",
  "Search your query in the FAQ items...": "Zoek uw vraag in de FAQ-items...",
  Register: Register$5,
  "Useful Links": "handige links",
  Newsletter: Newsletter$5,
  "Your email address": "jouw e-mailadres",
  "Join our newsletter service.": "Sluit u aan bij onze nieuwsbriefservice."
};
const __vite_glob_1_9 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Active: Active$5,
  Address: Address$5,
  Admin: Admin$5,
  Average: Average$5,
  Blog: Blog$5,
  Bottom: Bottom$5,
  Browse: Browse$5,
  Cancel: Cancel$5,
  Categories: Categories$5,
  Category: Category$5,
  Chat: Chat$5,
  City: City$5,
  Company: Company$5,
  Contact: Contact$5,
  Contacts: Contacts$5,
  Country: Country$5,
  Create: Create$5,
  Created: Created$5,
  Customer: Customer$5,
  Customers: Customers$5,
  Dashboard: Dashboard$5,
  Day: Day$5,
  Days: Days$5,
  Delete: Delete$5,
  Department: Department$5,
  Departments: Departments$5,
  Details: Details$5,
  Development: Development$5,
  Email: Email$5,
  Event: Event$5,
  FAQ: FAQ$5,
  FAQs: FAQs$5,
  Faqs: Faqs$5,
  Filter: Filter$5,
  Global: Global$5,
  Hardware: Hardware$5,
  Home: Home$5,
  Hour: Hour$5,
  Hours: Hours$5,
  Icon: Icon$5,
  Inactive: Inactive$5,
  Key: Key$5,
  Knowledge: Knowledge$5,
  Languages: Languages$5,
  Location: Location$5,
  Login: Login$5,
  Logout: Logout$5,
  Management: Management$5,
  Minute: Minute$5,
  Minutes: Minutes$5,
  Month: Month$5,
  Months: Months$5,
  More: More$5,
  Name: Name$5,
  Newsletter: Newsletter$5,
  Note: Note$5,
  Notes: Notes$5,
  Organization: Organization$5,
  Organizations: Organizations$5,
  Password: Password$5,
  Phone: Phone$5,
  Photo: Photo$5,
  Priorities: Priorities$5,
  Priority: Priority$5,
  Privacy: Privacy$5,
  Province: Province$5,
  Pusher: Pusher$5,
  Register: Register$5,
  Reset: Reset$5,
  Role: Role$5,
  Save: Save$5,
  Seconds: Seconds$5,
  Service: Service$5,
  Services: Services$5,
  Settings: Settings$5,
  Slug: Slug$5,
  Software: Software$5,
  State: State$5,
  Status: Status$5,
  Statuses: Statuses$5,
  Subject: Subject$5,
  Submit: Submit$5,
  Subscribe: Subscribe$5,
  Tag: Tag$5,
  Technical: Technical$5,
  Ticket: Ticket$5,
  Tickets: Tickets$5,
  Title: Title$5,
  Trashed: Trashed$5,
  Type: Type$5,
  Types: Types$5,
  Update: Update$5,
  Updated: Updated$5,
  User: User$5,
  Users: Users$5,
  default: nl
}, Symbol.toStringTag, { value: "Module" }));
const php_en = {
  "auth.failed": "These credentials do not match our records.",
  "auth.password": "The provided password is incorrect.",
  "auth.throttle": "Too many login attempts. Please try again in :seconds seconds.",
  "pagination.previous": "&laquo; Previous",
  "pagination.next": "Next &raquo;",
  "passwords.reset": "Your password has been reset.",
  "passwords.sent": "We have emailed your password reset link.",
  "passwords.throttled": "Please wait before retrying.",
  "passwords.token": "This password reset token is invalid.",
  "passwords.user": "We can't find a user with that email address.",
  "validation.accepted": "The :attribute field must be accepted.",
  "validation.accepted_if": "The :attribute field must be accepted when :other is :value.",
  "validation.active_url": "The :attribute field must be a valid URL.",
  "validation.after": "The :attribute field must be a date after :date.",
  "validation.after_or_equal": "The :attribute field must be a date after or equal to :date.",
  "validation.alpha": "The :attribute field must only contain letters.",
  "validation.alpha_dash": "The :attribute field must only contain letters, numbers, dashes, and underscores.",
  "validation.alpha_num": "The :attribute field must only contain letters and numbers.",
  "validation.array": "The :attribute field must be an array.",
  "validation.ascii": "The :attribute field must only contain single-byte alphanumeric characters and symbols.",
  "validation.before": "The :attribute field must be a date before :date.",
  "validation.before_or_equal": "The :attribute field must be a date before or equal to :date.",
  "validation.between.array": "The :attribute field must have between :min and :max items.",
  "validation.between.file": "The :attribute field must be between :min and :max kilobytes.",
  "validation.between.numeric": "The :attribute field must be between :min and :max.",
  "validation.between.string": "The :attribute field must be between :min and :max characters.",
  "validation.boolean": "The :attribute field must be true or false.",
  "validation.can": "The :attribute field contains an unauthorized value.",
  "validation.confirmed": "The :attribute field confirmation does not match.",
  "validation.current_password": "The password is incorrect.",
  "validation.date": "The :attribute field must be a valid date.",
  "validation.date_equals": "The :attribute field must be a date equal to :date.",
  "validation.date_format": "The :attribute field must match the format :format.",
  "validation.decimal": "The :attribute field must have :decimal decimal places.",
  "validation.declined": "The :attribute field must be declined.",
  "validation.declined_if": "The :attribute field must be declined when :other is :value.",
  "validation.different": "The :attribute field and :other must be different.",
  "validation.digits": "The :attribute field must be :digits digits.",
  "validation.digits_between": "The :attribute field must be between :min and :max digits.",
  "validation.dimensions": "The :attribute field has invalid image dimensions.",
  "validation.distinct": "The :attribute field has a duplicate value.",
  "validation.doesnt_end_with": "The :attribute field must not end with one of the following: :values.",
  "validation.doesnt_start_with": "The :attribute field must not start with one of the following: :values.",
  "validation.email": "The :attribute field must be a valid email address.",
  "validation.ends_with": "The :attribute field must end with one of the following: :values.",
  "validation.enum": "The selected :attribute is invalid.",
  "validation.exists": "The selected :attribute is invalid.",
  "validation.extensions": "The :attribute field must have one of the following extensions: :values.",
  "validation.file": "The :attribute field must be a file.",
  "validation.filled": "The :attribute field must have a value.",
  "validation.gt.array": "The :attribute field must have more than :value items.",
  "validation.gt.file": "The :attribute field must be greater than :value kilobytes.",
  "validation.gt.numeric": "The :attribute field must be greater than :value.",
  "validation.gt.string": "The :attribute field must be greater than :value characters.",
  "validation.gte.array": "The :attribute field must have :value items or more.",
  "validation.gte.file": "The :attribute field must be greater than or equal to :value kilobytes.",
  "validation.gte.numeric": "The :attribute field must be greater than or equal to :value.",
  "validation.gte.string": "The :attribute field must be greater than or equal to :value characters.",
  "validation.hex_color": "The :attribute field must be a valid hexadecimal color.",
  "validation.image": "The :attribute field must be an image.",
  "validation.in": "The selected :attribute is invalid.",
  "validation.in_array": "The :attribute field must exist in :other.",
  "validation.integer": "The :attribute field must be an integer.",
  "validation.ip": "The :attribute field must be a valid IP address.",
  "validation.ipv4": "The :attribute field must be a valid IPv4 address.",
  "validation.ipv6": "The :attribute field must be a valid IPv6 address.",
  "validation.json": "The :attribute field must be a valid JSON string.",
  "validation.lowercase": "The :attribute field must be lowercase.",
  "validation.lt.array": "The :attribute field must have less than :value items.",
  "validation.lt.file": "The :attribute field must be less than :value kilobytes.",
  "validation.lt.numeric": "The :attribute field must be less than :value.",
  "validation.lt.string": "The :attribute field must be less than :value characters.",
  "validation.lte.array": "The :attribute field must not have more than :value items.",
  "validation.lte.file": "The :attribute field must be less than or equal to :value kilobytes.",
  "validation.lte.numeric": "The :attribute field must be less than or equal to :value.",
  "validation.lte.string": "The :attribute field must be less than or equal to :value characters.",
  "validation.mac_address": "The :attribute field must be a valid MAC address.",
  "validation.max.array": "The :attribute field must not have more than :max items.",
  "validation.max.file": "The :attribute field must not be greater than :max kilobytes.",
  "validation.max.numeric": "The :attribute field must not be greater than :max.",
  "validation.max.string": "The :attribute field must not be greater than :max characters.",
  "validation.max_digits": "The :attribute field must not have more than :max digits.",
  "validation.mimes": "The :attribute field must be a file of type: :values.",
  "validation.mimetypes": "The :attribute field must be a file of type: :values.",
  "validation.min.array": "The :attribute field must have at least :min items.",
  "validation.min.file": "The :attribute field must be at least :min kilobytes.",
  "validation.min.numeric": "The :attribute field must be at least :min.",
  "validation.min.string": "The :attribute field must be at least :min characters.",
  "validation.min_digits": "The :attribute field must have at least :min digits.",
  "validation.missing": "The :attribute field must be missing.",
  "validation.missing_if": "The :attribute field must be missing when :other is :value.",
  "validation.missing_unless": "The :attribute field must be missing unless :other is :value.",
  "validation.missing_with": "The :attribute field must be missing when :values is present.",
  "validation.missing_with_all": "The :attribute field must be missing when :values are present.",
  "validation.multiple_of": "The :attribute field must be a multiple of :value.",
  "validation.not_in": "The selected :attribute is invalid.",
  "validation.not_regex": "The :attribute field format is invalid.",
  "validation.numeric": "The :attribute field must be a number.",
  "validation.password.letters": "The :attribute field must contain at least one letter.",
  "validation.password.mixed": "The :attribute field must contain at least one uppercase and one lowercase letter.",
  "validation.password.numbers": "The :attribute field must contain at least one number.",
  "validation.password.symbols": "The :attribute field must contain at least one symbol.",
  "validation.password.uncompromised": "The given :attribute has appeared in a data leak. Please choose a different :attribute.",
  "validation.present": "The :attribute field must be present.",
  "validation.present_if": "The :attribute field must be present when :other is :value.",
  "validation.present_unless": "The :attribute field must be present unless :other is :value.",
  "validation.present_with": "The :attribute field must be present when :values is present.",
  "validation.present_with_all": "The :attribute field must be present when :values are present.",
  "validation.prohibited": "The :attribute field is prohibited.",
  "validation.prohibited_if": "The :attribute field is prohibited when :other is :value.",
  "validation.prohibited_unless": "The :attribute field is prohibited unless :other is in :values.",
  "validation.prohibits": "The :attribute field prohibits :other from being present.",
  "validation.regex": "The :attribute field format is invalid.",
  "validation.required": "The :attribute field is required.",
  "validation.required_array_keys": "The :attribute field must contain entries for: :values.",
  "validation.required_if": "The :attribute field is required when :other is :value.",
  "validation.required_if_accepted": "The :attribute field is required when :other is accepted.",
  "validation.required_unless": "The :attribute field is required unless :other is in :values.",
  "validation.required_with": "The :attribute field is required when :values is present.",
  "validation.required_with_all": "The :attribute field is required when :values are present.",
  "validation.required_without": "The :attribute field is required when :values is not present.",
  "validation.required_without_all": "The :attribute field is required when none of :values are present.",
  "validation.same": "The :attribute field must match :other.",
  "validation.size.array": "The :attribute field must contain :size items.",
  "validation.size.file": "The :attribute field must be :size kilobytes.",
  "validation.size.numeric": "The :attribute field must be :size.",
  "validation.size.string": "The :attribute field must be :size characters.",
  "validation.starts_with": "The :attribute field must start with one of the following: :values.",
  "validation.string": "The :attribute field must be a string.",
  "validation.timezone": "The :attribute field must be a valid timezone.",
  "validation.unique": "The :attribute has already been taken.",
  "validation.uploaded": "The :attribute failed to upload.",
  "validation.uppercase": "The :attribute field must be uppercase.",
  "validation.url": "The :attribute field must be a valid URL.",
  "validation.ulid": "The :attribute field must be a valid ULID.",
  "validation.uuid": "The :attribute field must be a valid UUID.",
  "validation.custom.attribute-name.rule-name": "custom-message"
};
const __vite_glob_1_10 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: php_en
}, Symbol.toStringTag, { value: "Module" }));
const Dashboard$4 = "Panel";
const Logout$4 = "Wyloguj";
const Tickets$4 = "Bilety";
const Chat$4 = "Czat";
const FAQs$4 = "Często zadawane pytania";
const Blog$4 = "Bloga";
const More$4 = "Więcej";
const Notes$4 = "Notatki";
const Contacts$4 = "Łączność";
const Organizations$4 = "Organizacje";
const Users$4 = "Użytkownicy";
const Customers$4 = "Klienci";
const Settings$4 = "Ustawienia";
const Global$4 = "Światowy";
const Categories$4 = "Kategorie";
const Status$4 = "Status";
const Priorities$4 = "Priorytety";
const Departments$4 = "Działy";
const Types$4 = "Typy";
const Pusher$4 = "Popychacz";
const Contact$4 = "Kontakt";
const Services$4 = "Usługi";
const Filter$4 = "Filtr";
const Trashed$4 = "Zniszczone";
const Reset$4 = "Resetowanie";
const Name$4 = "Nazwa";
const Email$4 = "E-mail";
const Phone$4 = "Telefon";
const Country$4 = "Kraj";
const City$4 = "Miasto";
const Address$4 = "Adres";
const Password$4 = "Hasło";
const Role$4 = "Rola";
const Photo$4 = "Zdjęcie";
const Technical$4 = "Techniczny";
const Hardware$4 = "Sprzęt komputerowy";
const Development$4 = "Rozwój";
const Management$4 = "Kierownictwo";
const Admin$4 = "Admin";
const Software$4 = "Oprogramowanie";
const Service$4 = "Praca";
const Event$4 = "Wydarzenie";
const Average$4 = "Przeciętny";
const Seconds$4 = "sekundy";
const Month$4 = "Miesiąc";
const Months$4 = "Miesiące";
const Day$4 = "Dzień";
const Days$4 = "Dni";
const Hours$4 = "godziny";
const Hour$4 = "Godzina";
const Minutes$4 = "Minuty";
const Minute$4 = "Minuta";
const Key$4 = "Klucz";
const Subject$4 = "Temat";
const Priority$4 = "Priorytet";
const Updated$4 = "Zaktualizowano";
const Customer$4 = "Klient";
const Department$4 = "Dział";
const Category$4 = "Kategoria";
const Created$4 = "Utworzony";
const Save$4 = "Ratować";
const Ticket$4 = "Bilet";
const FAQ$4 = "Często zadawane pytania";
const Title$4 = "Tytuł";
const Type$4 = "Typ";
const Details$4 = "Detale";
const Note$4 = "Notatka";
const Submit$4 = "Składać";
const Cancel$4 = "Anulować";
const Organization$4 = "Organizacja";
const Province$4 = "Województwo";
const State$4 = "Państwo";
const Delete$4 = "Usuwać";
const Update$4 = "Aktualizacja";
const Create$4 = "Tworzyć";
const Statuses$4 = "Statusy";
const Slug$4 = "Ślimak";
const Location$4 = "Lokalizacja";
const Icon$4 = "Ikona";
const Tag$4 = "Etykietka";
const Privacy$4 = "Prywatność";
const Bottom$4 = "Spód";
const Company$4 = "Firma";
const Subscribe$4 = "Subskrybuj";
const Login$4 = "Zaloguj sie";
const Faqs$4 = "Często zadawane pytania";
const Active$4 = "Aktywny";
const Inactive$4 = "Nieaktywny";
const Browse$4 = "Przeglądać";
const Knowledge$4 = "Wiedza";
const Languages$4 = "Języki";
const User$4 = "Użytkownik";
const Home$4 = "Dom";
const Register$4 = "Register";
const Newsletter$4 = "Newsletter";
const pl = {
  "Edit Profile": "Edytuj profil",
  Dashboard: Dashboard$4,
  Logout: Logout$4,
  Tickets: Tickets$4,
  Chat: Chat$4,
  FAQs: FAQs$4,
  Blog: Blog$4,
  "Knowledge Base": "Baza wiedzy",
  More: More$4,
  Notes: Notes$4,
  Contacts: Contacts$4,
  Organizations: Organizations$4,
  Users: Users$4,
  Customers: Customers$4,
  Settings: Settings$4,
  Global: Global$4,
  Categories: Categories$4,
  Status: Status$4,
  Priorities: Priorities$4,
  Departments: Departments$4,
  Types: Types$4,
  "Email Templates": "Szablony wiadomości",
  "SMTP Mail": "Poczta SMTP",
  Pusher: Pusher$4,
  "Pusher Chat": "Czat Pushera",
  "Front Pages": "Pierwsze strony",
  Contact: Contact$4,
  Services: Services$4,
  "Privacy Policy": "Polityka prywatności",
  "Terms of Services": "Warunki korzystania z usług",
  Filter: Filter$4,
  Trashed: Trashed$4,
  "Trashed With": "Zniszczone z",
  "Only Trashed": "Tylko do kosza",
  "Search...": "Szukaj...",
  Reset: Reset$4,
  Name: Name$4,
  Email: Email$4,
  Phone: Phone$4,
  Country: Country$4,
  "Create User": "Stwórz użytkownika",
  "First Name": "Imię",
  "First name": "Imię",
  "Last Name": "Nazwisko",
  "Last name": "Nazwisko",
  City: City$4,
  Address: Address$4,
  Password: Password$4,
  Role: Role$4,
  Photo: Photo$4,
  "New Tickets": "Nowe bilety",
  "Open Tickets": "Bilety otwarte",
  "Closed Tickets": "Zamknięte bilety",
  "Unassigned Tickets": "Nieprzypisane bilety",
  "Ticket by department": "Bilet według działu",
  "Ticket by type": "Bilet według rodzaju",
  "Top ticket creator": "Najlepszy twórca biletów",
  "Ticket history": "Historia biletów",
  "First Response Time": "Czas pierwszej reakcji",
  "Last Response Time": "Czas ostatniej odpowiedzi",
  Technical: Technical$4,
  Hardware: Hardware$4,
  Development: Development$4,
  Management: Management$4,
  Admin: Admin$4,
  Software: Software$4,
  Service: Service$4,
  Event: Event$4,
  Average: Average$4,
  Seconds: Seconds$4,
  "this month": "ten miesiąc",
  "last month": "w zeszłym miesiącu",
  Month: Month$4,
  Months: Months$4,
  Day: Day$4,
  Days: Days$4,
  Hours: Hours$4,
  Hour: Hour$4,
  Minutes: Minutes$4,
  Minute: Minute$4,
  Key: Key$4,
  Subject: Subject$4,
  "Attach files": "Dołącz pliki",
  Priority: Priority$4,
  "Date": "Data",
  Updated: Updated$4,
  Customer: Customer$4,
  Department: Department$4,
  "Assigned to": "Przypisane do",
  "Ticket type": "Typ biletu",
  Category: Category$4,
  Created: Created$4,
  "Request Details": "Szczegóły żądania",
  "Attach File": "Załącz plik",
  "Delete Ticket": "Usuń bilet",
  Save: Save$4,
  "Ticket discussion": "Dyskusja na temat biletów",
  "Comment histories for this ticket will be available here.": "Historie komentarzy do tego zgłoszenia będą dostępne tutaj.",
  Ticket: Ticket$4,
  "Comment histories": "Historie komentarzy",
  "Comment history": "Historia komentarzy",
  "Write a comment and press enter to send...": "Napisz komentarz i naciśnij Enter, aby wysłać...",
  "Click on a conversation from left to see the histories.": "Kliknij rozmowę po lewej stronie, aby zobaczyć jej historię.",
  "Type a message...": "Wpisz wiadomość...",
  FAQ: FAQ$4,
  "Create Ticket": "Utwórz bilet",
  "New Ticket": "Nowy bilet",
  "Create FAQ": "Utwórz często zadawane pytania",
  "Filter by priority": "Filtruj według priorytetu",
  "Filter by status": "Filtruj według stanu",
  "Filter by role": "Filtruj według roli",
  "Delete FAQ": "Usuń często zadawane pytania",
  "Update FAQ": "Aktualizuj często zadawane pytania",
  "Create Knowledge Base": "Utwórz bazę wiedzy",
  Title: Title$4,
  Type: Type$4,
  Details: Details$4,
  "Delete knowledge base": "Usuń bazę wiedzy",
  "Update knowledge base": "Zaktualizuj bazę wiedzy",
  Note: Note$4,
  "No ticket found.": "Nie znaleziono biletu.",
  "note details here...": "zanotuj szczegóły tutaj...",
  Submit: Submit$4,
  Cancel: Cancel$4,
  "Delete note": "Usuń notatkę",
  "Create Contact": "Stworzyć kontakt",
  Organization: Organization$4,
  "Delete Contact": "Usuń kontakt",
  "Update Contact": "Aktualizuj kontakt",
  "Create Organization": "Utwórz organizację",
  Province: Province$4,
  State: State$4,
  "Postal code": "Kod pocztowy",
  "Delete Organization": "Usuń organizację",
  "Update Organization": "Aktualizuj organizację",
  Delete: Delete$4,
  Update: Update$4,
  Create: Create$4,
  "Create Customer": "Utwórz Klienta",
  "Manage Users": "Zarządzaj użytkownikami",
  "Delete User": "Usuń użytkownika",
  "Update User": "Aktualizuj użytkownika",
  "Are you sure you want to delete this user?": "Czy na pewno chcesz usunąć tego użytkownika?",
  "App Name": "Nazwa aplikacji",
  "Default Language": "Domyślny język",
  "Email Notifications": "powiadomienia e-mailowe",
  "Create ticket by new customer": "Utwórz zgłoszenie przez nowego klienta",
  "Create ticket from dashboard": "Utwórz bilet z poziomu pulpitu nawigacyjnego",
  "Notification for the first comment": "Powiadomienie o pierwszym komentarzu",
  "User got assigned for a task": "Użytkownik został przydzielony do zadania",
  "Status or priority changes": "Zmiany statusu lub priorytetu",
  "Create a new user": "Utwórz nowego użytkownika",
  "Cron Job Instruction": "Instrukcja pracy Cron",
  "If you would like to send mail without delaying you need to set a cron job for that with once per minute.": "Jeśli chcesz wysyłać pocztę bez opóźnień, musisz ustawić do tego zadanie cron z częstotliwością raz na minutę.",
  "Create Category": "Utwórz kategorię",
  "Create New": "Tworzyć nowe",
  Statuses: Statuses$4,
  "Create Status": "Utwórz status",
  Slug: Slug$4,
  "Create Priority": "Utwórz priorytet",
  "Create Department": "Utwórz dział",
  "Create Type": "Utwórz typ",
  "Email Template": "Szablon e-maila",
  "Email Html": "Wyślij e-mailem HTML",
  "Update Template": "Aktualizuj szablon",
  "SMTP Host": "Host SMTP",
  "SMTP Port": "Port SMTP",
  "SMTP Username": "Nazwa użytkownika SMTP",
  "SMTP Password": "Hasło SMTP",
  "Mail Encryption": "Szyfrowanie poczty",
  "From Address": "Z adresu",
  "From Name": "Z nazwy",
  "Pusher App ID": "Identyfikator aplikacji Pusher",
  "Pusher App Key": "Klucz aplikacji Pusher",
  "Pusher App Secret": "Sekret aplikacji Pusher",
  "Pusher App Cluster": "Klaster aplikacji Pusher",
  Location: Location$4,
  "Phone number": "Numer telefonu",
  "Email address": "Adres e-mail",
  "Email Address": "Adres e-mail",
  "Location address": "Adres lokalizacji",
  "Email details": "Szczegóły e-mailem",
  "Location details": "Szczegóły lokalizacji",
  "Location map": "Mapa lokalizacji",
  "Add New": "Dodaj nowe",
  Icon: Icon$4,
  Tag: Tag$4,
  Privacy: Privacy$4,
  "List information": "Informacje o liście",
  Bottom: Bottom$4,
  "List items": "Lista przedmiotów",
  "Page Content": "Zawartość strony",
  "Frequently Asked Questions": "Często Zadawane Pytania",
  "Contact us": "Skontaktuj się z nami",
  "Useful Link": "Przydatne łącze",
  Company: Company$4,
  Subscribe: Subscribe$4,
  Login: Login$4,
  "Submit ticket": "Przedstawić bilet",
  "Login HelpDesk": "Zaloguj się do HelpDesku",
  Faqs: Faqs$4,
  "Filter Ticket By": "Filtruj bilety według",
  "Assign To": "Przypisać do",
  "No conversation found.": "Nie znaleziono rozmowy.",
  "No faqs found.": "Nie znaleziono najczęściej zadawanych pytań.",
  "Faq Description": "Opis często zadawanych pytań",
  Active: Active$4,
  Inactive: Inactive$4,
  Browse: Browse$4,
  Knowledge: Knowledge$4,
  Languages: Languages$4,
  User: User$4,
  "No languages found.": "Nie znaleziono języków.",
  "User roles": "Role użytkowników",
  "No organizations found.": "Nie znaleziono organizacji.",
  Home: Home$4,
  "Create a ticket": "Utwórz bilet",
  "Open a ticket": "Otwórz bilet",
  "Select a category": "Wybierz kategorię",
  "Select a type": "Wybierz typ",
  "Select a department": "Wybierz dział",
  "Start Chat": "Rozpocznij czat",
  "Confirm Password": "Potwierdź hasło",
  "No customers found.": "Nie znaleziono żadnych klientów.",
  "No knowledge base found.": "Nie znaleziono bazy wiedzy.",
  "Create Post": "Utwórz post",
  "Feature image": "Obraz funkcji",
  "Select type": "Wybierz rodzaj",
  "Create a new post": "Utwórz nowy post",
  "No post base found.": "Nie znaleziono bazy postów.",
  "Is Active": "Jest aktywny",
  "All Posts": "Wszystkie posty",
  "Search your query in the FAQ items...": "Wyszukaj swoje zapytanie w często zadawanych pytaniach...",
  Register: Register$4,
  "Useful Links": "Useful Links",
  Newsletter: Newsletter$4,
  "Your email address": "Your email address",
  "Join our newsletter service.": "Join our newsletter service."
};
const __vite_glob_1_11 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Active: Active$4,
  Address: Address$4,
  Admin: Admin$4,
  Average: Average$4,
  Blog: Blog$4,
  Bottom: Bottom$4,
  Browse: Browse$4,
  Cancel: Cancel$4,
  Categories: Categories$4,
  Category: Category$4,
  Chat: Chat$4,
  City: City$4,
  Company: Company$4,
  Contact: Contact$4,
  Contacts: Contacts$4,
  Country: Country$4,
  Create: Create$4,
  Created: Created$4,
  Customer: Customer$4,
  Customers: Customers$4,
  Dashboard: Dashboard$4,
  Day: Day$4,
  Days: Days$4,
  Delete: Delete$4,
  Department: Department$4,
  Departments: Departments$4,
  Details: Details$4,
  Development: Development$4,
  Email: Email$4,
  Event: Event$4,
  FAQ: FAQ$4,
  FAQs: FAQs$4,
  Faqs: Faqs$4,
  Filter: Filter$4,
  Global: Global$4,
  Hardware: Hardware$4,
  Home: Home$4,
  Hour: Hour$4,
  Hours: Hours$4,
  Icon: Icon$4,
  Inactive: Inactive$4,
  Key: Key$4,
  Knowledge: Knowledge$4,
  Languages: Languages$4,
  Location: Location$4,
  Login: Login$4,
  Logout: Logout$4,
  Management: Management$4,
  Minute: Minute$4,
  Minutes: Minutes$4,
  Month: Month$4,
  Months: Months$4,
  More: More$4,
  Name: Name$4,
  Newsletter: Newsletter$4,
  Note: Note$4,
  Notes: Notes$4,
  Organization: Organization$4,
  Organizations: Organizations$4,
  Password: Password$4,
  Phone: Phone$4,
  Photo: Photo$4,
  Priorities: Priorities$4,
  Priority: Priority$4,
  Privacy: Privacy$4,
  Province: Province$4,
  Pusher: Pusher$4,
  Register: Register$4,
  Reset: Reset$4,
  Role: Role$4,
  Save: Save$4,
  Seconds: Seconds$4,
  Service: Service$4,
  Services: Services$4,
  Settings: Settings$4,
  Slug: Slug$4,
  Software: Software$4,
  State: State$4,
  Status: Status$4,
  Statuses: Statuses$4,
  Subject: Subject$4,
  Submit: Submit$4,
  Subscribe: Subscribe$4,
  Tag: Tag$4,
  Technical: Technical$4,
  Ticket: Ticket$4,
  Tickets: Tickets$4,
  Title: Title$4,
  Trashed: Trashed$4,
  Type: Type$4,
  Types: Types$4,
  Update: Update$4,
  Updated: Updated$4,
  User: User$4,
  Users: Users$4,
  default: pl
}, Symbol.toStringTag, { value: "Module" }));
const Dashboard$3 = "Painel";
const Logout$3 = "Sair";
const Tickets$3 = "Ingressos";
const Chat$3 = "Bater papo";
const FAQs$3 = "Perguntas frequentes";
const Blog$3 = "Blogue";
const More$3 = "Mais";
const Notes$3 = "Notas";
const Contacts$3 = "Contatos";
const Organizations$3 = "Organizações";
const Users$3 = "Usuários";
const Customers$3 = "Clientes";
const Settings$3 = "Configurações";
const Global$3 = "Global";
const Categories$3 = "Categorias";
const Status$3 = "Status";
const Priorities$3 = "Prioridades";
const Departments$3 = "Departamentos";
const Types$3 = "Tipos";
const Pusher$3 = "Empurrador";
const Contact$3 = "Contato";
const Services$3 = "Serviços";
const Filter$3 = "Filtro";
const Trashed$3 = "Destruído";
const Reset$3 = "Reiniciar";
const Name$3 = "Nome";
const Email$3 = "E-mail";
const Phone$3 = "Telefone";
const Country$3 = "País";
const City$3 = "Cidade";
const Address$3 = "Endereço";
const Password$3 = "Senha";
const Role$3 = "Papel";
const Photo$3 = "foto";
const Technical$3 = "Técnico";
const Hardware$3 = "Hardware";
const Development$3 = "Desenvolvimento";
const Management$3 = "Gerenciamento";
const Admin$3 = "Administrador";
const Software$3 = "Programas";
const Service$3 = "Serviço";
const Event$3 = "Evento";
const Average$3 = "Média";
const Seconds$3 = "Segundos";
const Month$3 = "Mês";
const Months$3 = "Meses";
const Day$3 = "Dia";
const Days$3 = "Dias";
const Hours$3 = "Horas";
const Hour$3 = "Hora";
const Minutes$3 = "Minutos";
const Minute$3 = "Minuto";
const Key$3 = "Chave";
const Subject$3 = "Assunto";
const Priority$3 = "Prioridade";
const Updated$3 = "Atualizada";
const Customer$3 = "Cliente";
const Department$3 = "Departamento";
const Category$3 = "Categoria";
const Created$3 = "Criada";
const Save$3 = "Salvar";
const Ticket$3 = "Bilhete";
const FAQ$3 = "Perguntas frequentes";
const Title$3 = "Título";
const Type$3 = "Tipo";
const Details$3 = "Detalhes";
const Note$3 = "Observação";
const Submit$3 = "Enviar";
const Cancel$3 = "Cancelar";
const Organization$3 = "Organização";
const Province$3 = "Província";
const State$3 = "Estado";
const Delete$3 = "Excluir";
const Update$3 = "Atualizar";
const Create$3 = "Criar";
const Statuses$3 = "Status";
const Slug$3 = "Lesma";
const Location$3 = "Localização";
const Icon$3 = "Ícone";
const Tag$3 = "Marcação";
const Privacy$3 = "Privacidade";
const Bottom$3 = "Fundo";
const Company$3 = "Empresa";
const Subscribe$3 = "Se inscrever";
const Login$3 = "Conecte-se";
const Faqs$3 = "Perguntas frequentes";
const Active$3 = "Ativo";
const Inactive$3 = "Inativo";
const Browse$3 = "Navegar";
const Knowledge$3 = "Conhecimento";
const Languages$3 = "línguas";
const User$3 = "Do utilizador";
const Home$3 = "Lar";
const Register$3 = "Register";
const Newsletter$3 = "Newsletter";
const pt = {
  "Edit Profile": "Editar Perfil",
  Dashboard: Dashboard$3,
  Logout: Logout$3,
  Tickets: Tickets$3,
  Chat: Chat$3,
  FAQs: FAQs$3,
  Blog: Blog$3,
  "Knowledge Base": "Base de conhecimento",
  More: More$3,
  Notes: Notes$3,
  Contacts: Contacts$3,
  Organizations: Organizations$3,
  Users: Users$3,
  Customers: Customers$3,
  Settings: Settings$3,
  Global: Global$3,
  Categories: Categories$3,
  Status: Status$3,
  Priorities: Priorities$3,
  Departments: Departments$3,
  Types: Types$3,
  "Email Templates": "Modelos de e-mail",
  "SMTP Mail": "Correio SMTP",
  Pusher: Pusher$3,
  "Pusher Chat": "Bate-papo empurrador",
  "Front Pages": "Primeiras páginas",
  Contact: Contact$3,
  Services: Services$3,
  "Privacy Policy": "política de Privacidade",
  "Terms of Services": "Termos de serviços",
  Filter: Filter$3,
  Trashed: Trashed$3,
  "Trashed With": "Lixeira com",
  "Only Trashed": "Somente Lixeira",
  "Search...": "Procurar...",
  Reset: Reset$3,
  Name: Name$3,
  Email: Email$3,
  Phone: Phone$3,
  Country: Country$3,
  "Create User": "Criar usuário",
  "First Name": "Primeiro nome",
  "First name": "Primeiro nome",
  "Last Name": "Sobrenome",
  "Last name": "Sobrenome",
  City: City$3,
  Address: Address$3,
  Password: Password$3,
  Role: Role$3,
  Photo: Photo$3,
  "New Tickets": "Novos ingressos",
  "Open Tickets": "Ingressos abertos",
  "Closed Tickets": "Ingressos Fechados",
  "Unassigned Tickets": "Bilhetes não atribuídos",
  "Ticket by department": "Bilhete por departamento",
  "Ticket by type": "Bilhete por tipo",
  "Top ticket creator": "Melhor criador de ingressos",
  "Ticket history": "Histórico de ingressos",
  "First Response Time": "Tempo de primeira resposta",
  "Last Response Time": "Tempo da última resposta",
  Technical: Technical$3,
  Hardware: Hardware$3,
  Development: Development$3,
  Management: Management$3,
  Admin: Admin$3,
  Software: Software$3,
  Service: Service$3,
  Event: Event$3,
  Average: Average$3,
  Seconds: Seconds$3,
  "this month": "este mês",
  "last month": "mês passado",
  Month: Month$3,
  Months: Months$3,
  Day: Day$3,
  Days: Days$3,
  Hours: Hours$3,
  Hour: Hour$3,
  Minutes: Minutes$3,
  Minute: Minute$3,
  Key: Key$3,
  Subject: Subject$3,
  "Attach files": "Anexar arquivos",
  Priority: Priority$3,
  "Date": "Data",
  Updated: Updated$3,
  Customer: Customer$3,
  Department: Department$3,
  "Assigned to": "Atribuído a",
  "Ticket type": "Tipo de bilhete",
  Category: Category$3,
  Created: Created$3,
  "Request Details": "Pedir detalhes",
  "Attach File": "Anexar arquivo",
  "Delete Ticket": "Excluir tíquete",
  Save: Save$3,
  "Ticket discussion": "Discussão de ingressos",
  "Comment histories for this ticket will be available here.": "Os históricos de comentários para este ticket estarão disponíveis aqui.",
  Ticket: Ticket$3,
  "Comment histories": "Históricos de comentários",
  "Comment history": "Histórico de comentários",
  "Write a comment and press enter to send...": "Escreva um comentário e pressione Enter para enviar...",
  "Click on a conversation from left to see the histories.": "Clique em uma conversa à esquerda para ver os históricos.",
  "Type a message...": "Digite uma mensagem...",
  FAQ: FAQ$3,
  "Create Ticket": "Criar ingresso",
  "New Ticket": "Novo ingresso",
  "Create FAQ": "Criar perguntas frequentes",
  "Filter by priority": "Filtrar por prioridade",
  "Filter by status": "Filtrar por status",
  "Filter by role": "Filtrar por função",
  "Delete FAQ": "Excluir perguntas frequentes",
  "Update FAQ": "Perguntas frequentes sobre atualização",
  "Create Knowledge Base": "Criar base de conhecimento",
  Title: Title$3,
  Type: Type$3,
  Details: Details$3,
  "Delete knowledge base": "Excluir base de conhecimento",
  "Update knowledge base": "Atualizar base de conhecimento",
  Note: Note$3,
  "No ticket found.": "Nenhum ingresso encontrado.",
  "note details here...": "observe detalhes aqui...",
  Submit: Submit$3,
  Cancel: Cancel$3,
  "Delete note": "Excluir nota",
  "Create Contact": "Criar contato",
  Organization: Organization$3,
  "Delete Contact": "Excluir contato",
  "Update Contact": "Atualizar contato",
  "Create Organization": "Criar organização",
  Province: Province$3,
  State: State$3,
  "Postal code": "Código postal",
  "Delete Organization": "Excluir organização",
  "Update Organization": "Atualizar organização",
  Delete: Delete$3,
  Update: Update$3,
  Create: Create$3,
  "Create Customer": "Criar cliente",
  "Manage Users": "Gerenciar usuários",
  "Delete User": "Deletar usuário",
  "Update User": "Atualizar usuário",
  "Are you sure you want to delete this user?": "Tem certeza de que deseja excluir este usuário?",
  "App Name": "Nome do aplicativo",
  "Default Language": "Idioma padrão",
  "Email Notifications": "Notificações por e-mail",
  "Create ticket by new customer": "Criar ticket por novo cliente",
  "Create ticket from dashboard": "Criar ticket no painel",
  "Notification for the first comment": "Notificação para o primeiro comentário",
  "User got assigned for a task": "O usuário foi designado para uma tarefa",
  "Status or priority changes": "Mudanças de status ou prioridade",
  "Create a new user": "Crie um novo usuário",
  "Cron Job Instruction": "Instrução do Cron Job",
  "If you would like to send mail without delaying you need to set a cron job for that with once per minute.": "Se você deseja enviar e-mails sem demora, você precisa definir um cron job para isso uma vez por minuto.",
  "Create Category": "Criar categoria",
  "Create New": "Crie um novo",
  Statuses: Statuses$3,
  "Create Status": "Criar status",
  Slug: Slug$3,
  "Create Priority": "Criar prioridade",
  "Create Department": "Criar Departamento",
  "Create Type": "Criar tipo",
  "Email Template": "Modelo de e-mail",
  "Email Html": "E-mail HTML",
  "Update Template": "Atualizar modelo",
  "SMTP Host": "Anfitrião SMTP",
  "SMTP Port": "Porta SMTP",
  "SMTP Username": "Nome de usuário SMTP",
  "SMTP Password": "Senha SMTP",
  "Mail Encryption": "Criptografia de correio",
  "From Address": "A partir do endereço",
  "From Name": "De nome",
  "Pusher App ID": "ID do aplicativo empurrador",
  "Pusher App Key": "Chave do aplicativo Pusher",
  "Pusher App Secret": "Segredo do aplicativo Pusher",
  "Pusher App Cluster": "Cluster de aplicativos Pusher",
  Location: Location$3,
  "Phone number": "Número de telefone",
  "Email address": "Endereço de email",
  "Email Address": "Endereço de email",
  "Location address": "Endereço de localização",
  "Email details": "Detalhes do e-mail",
  "Location details": "Detalhes do local",
  "Location map": "Mapa de localização",
  "Add New": "Adicionar novo",
  Icon: Icon$3,
  Tag: Tag$3,
  Privacy: Privacy$3,
  "List information": "Listar informações",
  Bottom: Bottom$3,
  "List items": "Lista de itens",
  "Page Content": "Conteúdo da página",
  "Frequently Asked Questions": "perguntas frequentes",
  "Contact us": "Contate-nos",
  "Useful Link": "Link útil",
  Company: Company$3,
  Subscribe: Subscribe$3,
  Login: Login$3,
  "Submit ticket": "Enviar tíquete",
  "Login HelpDesk": "Entrar no HelpDesk",
  Faqs: Faqs$3,
  "Filter Ticket By": "Filtrar ticket por",
  "Assign To": "Atribuir a",
  "No conversation found.": "Nenhuma conversa encontrada.",
  "No faqs found.": "Nenhuma pergunta frequente encontrada.",
  "Faq Description": "Descrição das perguntas frequentes",
  Active: Active$3,
  Inactive: Inactive$3,
  Browse: Browse$3,
  Knowledge: Knowledge$3,
  Languages: Languages$3,
  User: User$3,
  "No languages found.": "Nenhum idioma encontrado.",
  "User roles": "Funções do usuário",
  "No organizations found.": "Nenhuma organização encontrada.",
  Home: Home$3,
  "Create a ticket": "Crie um tíquete",
  "Open a ticket": "Abra um ticket",
  "Select a category": "Selecione uma categoria",
  "Select a type": "Selecione um tipo",
  "Select a department": "Selecione um departamento",
  "Start Chat": "Iniciar bate-papo",
  "Confirm Password": "Confirme sua senha",
  "No customers found.": "Nenhum cliente encontrado.",
  "No knowledge base found.": "Nenhuma base de conhecimento encontrada.",
  "Create Post": "Criar postagem",
  "Feature image": "Imagem de destaque",
  "Select type": "Selecione o tipo",
  "Create a new post": "Crie uma nova postagem",
  "No post base found.": "Nenhuma base de postagem encontrada.",
  "Is Active": "Está ativo",
  "All Posts": "Todas as publicações",
  "Search your query in the FAQ items...": "Pesquise sua consulta nos itens do FAQ...",
  Register: Register$3,
  "Useful Links": "Useful Links",
  Newsletter: Newsletter$3,
  "Your email address": "Your email address",
  "Join our newsletter service.": "Join our newsletter service."
};
const __vite_glob_1_12 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Active: Active$3,
  Address: Address$3,
  Admin: Admin$3,
  Average: Average$3,
  Blog: Blog$3,
  Bottom: Bottom$3,
  Browse: Browse$3,
  Cancel: Cancel$3,
  Categories: Categories$3,
  Category: Category$3,
  Chat: Chat$3,
  City: City$3,
  Company: Company$3,
  Contact: Contact$3,
  Contacts: Contacts$3,
  Country: Country$3,
  Create: Create$3,
  Created: Created$3,
  Customer: Customer$3,
  Customers: Customers$3,
  Dashboard: Dashboard$3,
  Day: Day$3,
  Days: Days$3,
  Delete: Delete$3,
  Department: Department$3,
  Departments: Departments$3,
  Details: Details$3,
  Development: Development$3,
  Email: Email$3,
  Event: Event$3,
  FAQ: FAQ$3,
  FAQs: FAQs$3,
  Faqs: Faqs$3,
  Filter: Filter$3,
  Global: Global$3,
  Hardware: Hardware$3,
  Home: Home$3,
  Hour: Hour$3,
  Hours: Hours$3,
  Icon: Icon$3,
  Inactive: Inactive$3,
  Key: Key$3,
  Knowledge: Knowledge$3,
  Languages: Languages$3,
  Location: Location$3,
  Login: Login$3,
  Logout: Logout$3,
  Management: Management$3,
  Minute: Minute$3,
  Minutes: Minutes$3,
  Month: Month$3,
  Months: Months$3,
  More: More$3,
  Name: Name$3,
  Newsletter: Newsletter$3,
  Note: Note$3,
  Notes: Notes$3,
  Organization: Organization$3,
  Organizations: Organizations$3,
  Password: Password$3,
  Phone: Phone$3,
  Photo: Photo$3,
  Priorities: Priorities$3,
  Priority: Priority$3,
  Privacy: Privacy$3,
  Province: Province$3,
  Pusher: Pusher$3,
  Register: Register$3,
  Reset: Reset$3,
  Role: Role$3,
  Save: Save$3,
  Seconds: Seconds$3,
  Service: Service$3,
  Services: Services$3,
  Settings: Settings$3,
  Slug: Slug$3,
  Software: Software$3,
  State: State$3,
  Status: Status$3,
  Statuses: Statuses$3,
  Subject: Subject$3,
  Submit: Submit$3,
  Subscribe: Subscribe$3,
  Tag: Tag$3,
  Technical: Technical$3,
  Ticket: Ticket$3,
  Tickets: Tickets$3,
  Title: Title$3,
  Trashed: Trashed$3,
  Type: Type$3,
  Types: Types$3,
  Update: Update$3,
  Updated: Updated$3,
  User: User$3,
  Users: Users$3,
  default: pt
}, Symbol.toStringTag, { value: "Module" }));
const Dashboard$2 = "لوحة القيادة";
const Logout$2 = "تسجيل خروج";
const Tickets$2 = "التذاكر";
const Chat$2 = "محادثة";
const FAQs$2 = "الأسئلة الشائعة";
const Blog$2 = "مدونة";
const More$2 = "أكثر";
const Notes$2 = "ملحوظات";
const Contacts$2 = "جهات الاتصال";
const Organizations$2 = "المنظمات";
const Users$2 = "المستخدمين";
const Customers$2 = "عملاء";
const Settings$2 = "إعدادات";
const Global$2 = "عالمي";
const Categories$2 = "فئات";
const Status$2 = "حالة";
const Priorities$2 = "الأولويات";
const Departments$2 = "الأقسام";
const Types$2 = "أنواع";
const Pusher$2 = "انتهازي";
const Contact$2 = "اتصال";
const Services$2 = "خدمات";
const Filter$2 = "منقي";
const Trashed$2 = "المهملات";
const Reset$2 = "إعادة ضبط";
const Name$2 = "اسم";
const Email$2 = "بريد إلكتروني";
const Phone$2 = "هاتف";
const Country$2 = "دولة";
const City$2 = "مدينة";
const Address$2 = "عنوان";
const Password$2 = "كلمة المرور";
const Role$2 = "دور";
const Photo$2 = "صورة";
const Technical$2 = "اِصطِلاحِيّ";
const Hardware$2 = "المعدات";
const Development$2 = "تطوير";
const Management$2 = "إدارة";
const Admin$2 = "مسؤل";
const Software$2 = "برمجة";
const Service$2 = "خدمة";
const Event$2 = "حدث";
const Average$2 = "متوسط";
const Seconds$2 = "ثواني";
const Month$2 = "شهر";
const Months$2 = "شهور";
const Day$2 = "يوم";
const Days$2 = "أيام";
const Hours$2 = "ساعات";
const Hour$2 = "ساعة";
const Minutes$2 = "دقائق";
const Minute$2 = "دقيقة";
const Key$2 = "مفتاح";
const Subject$2 = "موضوع";
const Priority$2 = "أولوية";
const Updated$2 = "محدث";
const Customer$2 = "عميل";
const Department$2 = "قسم";
const Category$2 = "فئة";
const Created$2 = "مخلوق";
const Save$2 = "يحفظ";
const Ticket$2 = "تذكرة";
const FAQ$2 = "التعليمات";
const Title$2 = "عنوان";
const Type$2 = "يكتب";
const Details$2 = "تفاصيل";
const Note$2 = "ملحوظة";
const Submit$2 = "يُقدِّم";
const Cancel$2 = "يلغي";
const Organization$2 = "منظمة";
const Province$2 = "مقاطعة";
const State$2 = "ولاية";
const Delete$2 = "يمسح";
const Update$2 = "تحديث";
const Create$2 = "يخلق";
const Statuses$2 = "الحالات";
const Slug$2 = "سبيكة";
const Location$2 = "موقع";
const Icon$2 = "أيقونة";
const Tag$2 = "بطاقة شعار";
const Privacy$2 = "خصوصية";
const Bottom$2 = "قاع";
const Company$2 = "شركة";
const Subscribe$2 = "يشترك";
const Login$2 = "تسجيل الدخول";
const Faqs$2 = "أسئلة وأجوبة";
const Active$2 = "نشيط";
const Inactive$2 = "غير نشط";
const Browse$2 = "تصفح";
const Knowledge$2 = "معرفة";
const Languages$2 = "اللغات";
const User$2 = "مستخدم";
const Home$2 = "بيت";
const Register$2 = "Register";
const Newsletter$2 = "Newsletter";
const sa = {
  "Edit Profile": "تعديل الملف الشخصي",
  Dashboard: Dashboard$2,
  Logout: Logout$2,
  Tickets: Tickets$2,
  Chat: Chat$2,
  FAQs: FAQs$2,
  Blog: Blog$2,
  "Knowledge Base": "قاعدة المعرفة",
  More: More$2,
  Notes: Notes$2,
  Contacts: Contacts$2,
  Organizations: Organizations$2,
  Users: Users$2,
  Customers: Customers$2,
  Settings: Settings$2,
  Global: Global$2,
  Categories: Categories$2,
  Status: Status$2,
  Priorities: Priorities$2,
  Departments: Departments$2,
  Types: Types$2,
  "Email Templates": "قوالب البريد الإلكتروني",
  "SMTP Mail": "بريد SMTP",
  Pusher: Pusher$2,
  "Pusher Chat": "دردشة دافع",
  "Front Pages": "الصفحات الأولى",
  Contact: Contact$2,
  Services: Services$2,
  "Privacy Policy": "سياسة الخصوصية",
  "Terms of Services": "شروط الخدمة",
  Filter: Filter$2,
  Trashed: Trashed$2,
  "Trashed With": "المهملات مع",
  "Only Trashed": "المهملات فقط",
  "Search...": "يبحث...",
  Reset: Reset$2,
  Name: Name$2,
  Email: Email$2,
  Phone: Phone$2,
  Country: Country$2,
  "Create User": "إنشاء مستخدم",
  "First Name": "الاسم الأول",
  "First name": "الاسم الأول",
  "Last Name": "اسم العائلة",
  "Last name": "اسم العائلة",
  City: City$2,
  Address: Address$2,
  Password: Password$2,
  Role: Role$2,
  Photo: Photo$2,
  "New Tickets": "تذاكر جديدة",
  "Open Tickets": "التذاكر المفتوحة",
  "Closed Tickets": "التذاكر المغلقة",
  "Unassigned Tickets": "التذاكر غير المخصصة",
  "Ticket by department": "تذكرة حسب القسم",
  "Ticket by type": "التذكرة حسب النوع",
  "Top ticket creator": "أعلى منشئ التذاكر",
  "Ticket history": "تاريخ التذاكر",
  "First Response Time": "وقت الاستجابة الأول",
  "Last Response Time": "وقت الاستجابة الأخير",
  Technical: Technical$2,
  Hardware: Hardware$2,
  Development: Development$2,
  Management: Management$2,
  Admin: Admin$2,
  Software: Software$2,
  Service: Service$2,
  Event: Event$2,
  Average: Average$2,
  Seconds: Seconds$2,
  "this month": "هذا الشهر",
  "last month": "الشهر الماضي",
  Month: Month$2,
  Months: Months$2,
  Day: Day$2,
  Days: Days$2,
  Hours: Hours$2,
  Hour: Hour$2,
  Minutes: Minutes$2,
  Minute: Minute$2,
  Key: Key$2,
  Subject: Subject$2,
  "Attach files": "إرفاق ملفات",
  Priority: Priority$2,
  "Date": "تاريخ",
  Updated: Updated$2,
  Customer: Customer$2,
  Department: Department$2,
  "Assigned to": "مخصص ل",
  "Ticket type": "نوع التذكرة",
  Category: Category$2,
  Created: Created$2,
  "Request Details": "طلب تفاصيل",
  "Attach File": "أرفق ملف",
  "Delete Ticket": "حذف التذكرة",
  Save: Save$2,
  "Ticket discussion": "مناقشة التذاكر",
  "Comment histories for this ticket will be available here.": "ستكون سجلات التعليقات لهذه التذكرة متاحة هنا.",
  Ticket: Ticket$2,
  "Comment histories": "تاريخ التعليق",
  "Comment history": "تاريخ التعليق",
  "Write a comment and press enter to send...": "اكتب تعليقاً ثم اضغط على زر الإدخال للإرسال...",
  "Click on a conversation from left to see the histories.": "انقر على المحادثة من اليسار لرؤية تاريخها.",
  "Type a message...": "اكتب رسالة...",
  FAQ: FAQ$2,
  "Create Ticket": "إنشاء تذكرة",
  "New Ticket": "تذكرة جديدة",
  "Create FAQ": "إنشاء الأسئلة الشائعة",
  "Filter by priority": "التصفية حسب الأولوية",
  "Filter by status": "التصفية حسب الحالة",
  "Filter by role": "التصفية حسب الدور",
  "Delete FAQ": "حذف الأسئلة الشائعة",
  "Update FAQ": "تحديث الأسئلة الشائعة",
  "Create Knowledge Base": "إنشاء قاعدة المعرفة",
  Title: Title$2,
  Type: Type$2,
  Details: Details$2,
  "Delete knowledge base": "حذف قاعدة المعرفة",
  "Update knowledge base": "تحديث قاعدة المعرفة",
  Note: Note$2,
  "No ticket found.": "لم يتم العثور على تذكرة.",
  "note details here...": "لاحظ التفاصيل هنا...",
  Submit: Submit$2,
  Cancel: Cancel$2,
  "Delete note": "حذف الملاحظة",
  "Create Contact": "إنشاء اتصال",
  Organization: Organization$2,
  "Delete Contact": "حذف اتصال",
  "Update Contact": "تحديث جهة الاتصال",
  "Create Organization": "إنشاء منظمة",
  Province: Province$2,
  State: State$2,
  "Postal code": "رمز بريدي",
  "Delete Organization": "حذف المنظمة",
  "Update Organization": "تحديث المنظمة",
  Delete: Delete$2,
  Update: Update$2,
  Create: Create$2,
  "Create Customer": "إنشاء عميل",
  "Manage Users": "ادارة المستخدمين",
  "Delete User": "مسح المستخدم",
  "Update User": "تحديث المستخدم",
  "Are you sure you want to delete this user?": "هل أنت متأكد أنك تريد حذف هذا المستخدم؟",
  "App Name": "اسم التطبيق",
  "Default Language": "اللغة الافتراضية",
  "Email Notifications": "اشعارات البريد الالكتروني",
  "Create ticket by new customer": "إنشاء تذكرة من قبل عميل جديد",
  "Create ticket from dashboard": "إنشاء تذكرة من لوحة القيادة",
  "Notification for the first comment": "إشعار للتعليق الأول",
  "User got assigned for a task": "تم تعيين المستخدم لمهمة",
  "Status or priority changes": "تغييرات الحالة أو الأولوية",
  "Create a new user": "إنشاء مستخدم جديد",
  "Cron Job Instruction": "تعليمات وظيفة كرون",
  "If you would like to send mail without delaying you need to set a cron job for that with once per minute.": "إذا كنت ترغب في إرسال البريد دون تأخير، فأنت بحاجة إلى تعيين مهمة cron للقيام بذلك مرة واحدة في الدقيقة.",
  "Create Category": "إنشاء فئة",
  "Create New": "خلق جديد إبداع جديد",
  Statuses: Statuses$2,
  "Create Status": "إنشاء الحالة",
  Slug: Slug$2,
  "Create Priority": "إنشاء الأولوية",
  "Create Department": "إنشاء قسم",
  "Create Type": "إنشاء النوع",
  "Email Template": "قالب البريد الإلكتروني",
  "Email Html": "البريد الإلكتروني هتمل",
  "Update Template": "تحديث القالب",
  "SMTP Host": "مضيف SMTP",
  "SMTP Port": "منفذ SMTP",
  "SMTP Username": "اسم مستخدم SMTP",
  "SMTP Password": "كلمة مرور SMTP",
  "Mail Encryption": "تشفير البريد",
  "From Address": "من العنوان",
  "From Name": "من الاسم",
  "Pusher App ID": "معرف التطبيق انتهازي",
  "Pusher App Key": "مفتاح التطبيق انتهازي",
  "Pusher App Secret": "سر التطبيق انتهازي",
  "Pusher App Cluster": "مجموعة التطبيقات الدافعة",
  Location: Location$2,
  "Phone number": "رقم التليفون",
  "Email address": "عنوان البريد الإلكتروني",
  "Email Address": "عنوان البريد الإلكتروني",
  "Location address": "عنوان المنطقة",
  "Email details": "تفاصيل البريد الإلكتروني",
  "Location details": "تفاصيل الموقع",
  "Location map": "خريطة الموقع",
  "Add New": "اضف جديد",
  Icon: Icon$2,
  Tag: Tag$2,
  Privacy: Privacy$2,
  "List information": "معلومات القائمة",
  Bottom: Bottom$2,
  "List items": "قائمة المواد",
  "Page Content": "محتوى الصفحة",
  "Frequently Asked Questions": "أسئلة مكررة",
  "Contact us": "اتصل بنا",
  "Useful Link": "رابط مفيد",
  Company: Company$2,
  Subscribe: Subscribe$2,
  Login: Login$2,
  "Submit ticket": "قدم التذكرة",
  "Login HelpDesk": "تسجيل الدخول مكتب المساعدة",
  Faqs: Faqs$2,
  "Filter Ticket By": "تصفية التذكرة حسب",
  "Assign To": "يسند إلى",
  "No conversation found.": "لم يتم العثور على محادثة.",
  "No faqs found.": "لم يتم العثور على أي أسئلة.",
  "Faq Description": "وصف الأسئلة الشائعة",
  Active: Active$2,
  Inactive: Inactive$2,
  Browse: Browse$2,
  Knowledge: Knowledge$2,
  Languages: Languages$2,
  User: User$2,
  "No languages found.": "لم يتم العثور على لغات.",
  "User roles": "أدوار المستخدمين",
  "No organizations found.": "لم يتم العثور على المنظمات.",
  Home: Home$2,
  "Create a ticket": "إنشاء تذكرة",
  "Open a ticket": "افتح تذكرة",
  "Select a category": "اختر تصنيف",
  "Select a type": "حدد النوع",
  "Select a department": "اختر قسمًا",
  "Start Chat": "ابدأ الدردشة",
  "Confirm Password": "تأكيد كلمة المرور",
  "No customers found.": "لم يتم العثور على عملاء.",
  "No knowledge base found.": "لم يتم العثور على قاعدة معرفية.",
  "Create Post": "إنشاء مشاركة",
  "Feature image": "صورة مميزة",
  "Select type": "اختر صنف",
  "Create a new post": "إنشاء مشاركة جديدة",
  "No post base found.": "لم يتم العثور على قاعدة النشر.",
  "Is Active": "نشط",
  "All Posts": "جميع المشاركات",
  "Search your query in the FAQ items...": "ابحث عن استفسارك في الأسئلة الشائعة...",
  Register: Register$2,
  "Useful Links": "Useful Links",
  Newsletter: Newsletter$2,
  "Your email address": "Your email address",
  "Join our newsletter service.": "Join our newsletter service."
};
const __vite_glob_1_13 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Active: Active$2,
  Address: Address$2,
  Admin: Admin$2,
  Average: Average$2,
  Blog: Blog$2,
  Bottom: Bottom$2,
  Browse: Browse$2,
  Cancel: Cancel$2,
  Categories: Categories$2,
  Category: Category$2,
  Chat: Chat$2,
  City: City$2,
  Company: Company$2,
  Contact: Contact$2,
  Contacts: Contacts$2,
  Country: Country$2,
  Create: Create$2,
  Created: Created$2,
  Customer: Customer$2,
  Customers: Customers$2,
  Dashboard: Dashboard$2,
  Day: Day$2,
  Days: Days$2,
  Delete: Delete$2,
  Department: Department$2,
  Departments: Departments$2,
  Details: Details$2,
  Development: Development$2,
  Email: Email$2,
  Event: Event$2,
  FAQ: FAQ$2,
  FAQs: FAQs$2,
  Faqs: Faqs$2,
  Filter: Filter$2,
  Global: Global$2,
  Hardware: Hardware$2,
  Home: Home$2,
  Hour: Hour$2,
  Hours: Hours$2,
  Icon: Icon$2,
  Inactive: Inactive$2,
  Key: Key$2,
  Knowledge: Knowledge$2,
  Languages: Languages$2,
  Location: Location$2,
  Login: Login$2,
  Logout: Logout$2,
  Management: Management$2,
  Minute: Minute$2,
  Minutes: Minutes$2,
  Month: Month$2,
  Months: Months$2,
  More: More$2,
  Name: Name$2,
  Newsletter: Newsletter$2,
  Note: Note$2,
  Notes: Notes$2,
  Organization: Organization$2,
  Organizations: Organizations$2,
  Password: Password$2,
  Phone: Phone$2,
  Photo: Photo$2,
  Priorities: Priorities$2,
  Priority: Priority$2,
  Privacy: Privacy$2,
  Province: Province$2,
  Pusher: Pusher$2,
  Register: Register$2,
  Reset: Reset$2,
  Role: Role$2,
  Save: Save$2,
  Seconds: Seconds$2,
  Service: Service$2,
  Services: Services$2,
  Settings: Settings$2,
  Slug: Slug$2,
  Software: Software$2,
  State: State$2,
  Status: Status$2,
  Statuses: Statuses$2,
  Subject: Subject$2,
  Submit: Submit$2,
  Subscribe: Subscribe$2,
  Tag: Tag$2,
  Technical: Technical$2,
  Ticket: Ticket$2,
  Tickets: Tickets$2,
  Title: Title$2,
  Trashed: Trashed$2,
  Type: Type$2,
  Types: Types$2,
  Update: Update$2,
  Updated: Updated$2,
  User: User$2,
  Users: Users$2,
  default: sa
}, Symbol.toStringTag, { value: "Module" }));
const Dashboard$1 = "instrumentbräda";
const Logout$1 = "Logga ut";
const Tickets$1 = "Biljetter";
const Chat$1 = "Chatt";
const FAQs$1 = "Vanliga frågor";
const Blog$1 = "Blogg";
const More$1 = "Mer";
const Notes$1 = "Anteckningar";
const Contacts$1 = "Kontakter";
const Organizations$1 = "Organisationer";
const Users$1 = "Användare";
const Customers$1 = "Kunder";
const Settings$1 = "inställningar";
const Global$1 = "Global";
const Categories$1 = "Kategorier";
const Status$1 = "Status";
const Priorities$1 = "Prioriteringar";
const Departments$1 = "Avdelningar";
const Types$1 = "Typer";
const Pusher$1 = "Påskjutare";
const Contact$1 = "Kontakt";
const Services$1 = "Tjänster";
const Filter$1 = "Filtrera";
const Trashed$1 = "Kastas i papperskorgen";
const Reset$1 = "Återställa";
const Name$1 = "namn";
const Email$1 = "E-post";
const Phone$1 = "Telefon";
const Country$1 = "Land";
const City$1 = "Stad";
const Address$1 = "Adress";
const Password$1 = "Lösenord";
const Role$1 = "Roll";
const Photo$1 = "Foto";
const Technical$1 = "Teknisk";
const Hardware$1 = "Hårdvara";
const Development$1 = "Utveckling";
const Management$1 = "Förvaltning";
const Admin$1 = "Administration";
const Software$1 = "programvara";
const Service$1 = "Service";
const Event$1 = "Händelse";
const Average$1 = "Genomsnitt";
const Seconds$1 = "Sekunder";
const Month$1 = "Månad";
const Months$1 = "månader";
const Day$1 = "Dag";
const Days$1 = "dagar";
const Hours$1 = "Timmar";
const Hour$1 = "Timme";
const Minutes$1 = "Minuter";
const Minute$1 = "Minut";
const Key$1 = "Nyckel";
const Subject$1 = "Ämne";
const Priority$1 = "Prioritet";
const Updated$1 = "Uppdaterad";
const Customer$1 = "Kund";
const Department$1 = "Avdelning";
const Category$1 = "Kategori";
const Created$1 = "Skapad";
const Save$1 = "Spara";
const Ticket$1 = "Biljett";
const FAQ$1 = "FAQ";
const Title$1 = "Titel";
const Type$1 = "Typ";
const Details$1 = "Detaljer";
const Note$1 = "Notera";
const Submit$1 = "Skicka in";
const Cancel$1 = "Annullera";
const Organization$1 = "Organisation";
const Province$1 = "Provins";
const State$1 = "stat";
const Delete$1 = "Radera";
const Update$1 = "Uppdatering";
const Create$1 = "Skapa";
const Statuses$1 = "Statuser";
const Slug$1 = "Snigel";
const Location$1 = "Plats";
const Icon$1 = "Ikon";
const Tag$1 = "Märka";
const Privacy$1 = "Integritet";
const Bottom$1 = "Botten";
const Company$1 = "Företag";
const Subscribe$1 = "Prenumerera";
const Login$1 = "Logga in";
const Faqs$1 = "Vanliga frågor";
const Active$1 = "Aktiva";
const Inactive$1 = "Inaktiv";
const Browse$1 = "Bläddra";
const Knowledge$1 = "Kunskap";
const Languages$1 = "språk";
const User$1 = "Användare";
const Home$1 = "Hem";
const Register$1 = "Register";
const Newsletter$1 = "Newsletter";
const se = {
  "Edit Profile": "Redigera profil",
  Dashboard: Dashboard$1,
  Logout: Logout$1,
  Tickets: Tickets$1,
  Chat: Chat$1,
  FAQs: FAQs$1,
  Blog: Blog$1,
  "Knowledge Base": "Kunskapsbas",
  More: More$1,
  Notes: Notes$1,
  Contacts: Contacts$1,
  Organizations: Organizations$1,
  Users: Users$1,
  Customers: Customers$1,
  Settings: Settings$1,
  Global: Global$1,
  Categories: Categories$1,
  Status: Status$1,
  Priorities: Priorities$1,
  Departments: Departments$1,
  Types: Types$1,
  "Email Templates": "E-postmallar",
  "SMTP Mail": "SMTP Mail",
  Pusher: Pusher$1,
  "Pusher Chat": "Pusher Chat",
  "Front Pages": "Framsidor",
  Contact: Contact$1,
  Services: Services$1,
  "Privacy Policy": "Integritetspolicy",
  "Terms of Services": "Användarvillkor",
  Filter: Filter$1,
  Trashed: Trashed$1,
  "Trashed With": "Kastas med",
  "Only Trashed": "Endast papperskorgen",
  "Search...": "Sök...",
  Reset: Reset$1,
  Name: Name$1,
  Email: Email$1,
  Phone: Phone$1,
  Country: Country$1,
  "Create User": "Skapa användare",
  "First Name": "Förnamn",
  "First name": "Förnamn",
  "Last Name": "Efternamn",
  "Last name": "Efternamn",
  City: City$1,
  Address: Address$1,
  Password: Password$1,
  Role: Role$1,
  Photo: Photo$1,
  "New Tickets": "Nya biljetter",
  "Open Tickets": "Öppna biljetter",
  "Closed Tickets": "Stängda biljetter",
  "Unassigned Tickets": "Ej tilldelade biljetter",
  "Ticket by department": "Biljett per avdelning",
  "Ticket by type": "Biljett efter typ",
  "Top ticket creator": "Bästa biljettskaparen",
  "Ticket history": "Biljetthistorik",
  "First Response Time": "Första svarstid",
  "Last Response Time": "Senaste svarstid",
  Technical: Technical$1,
  Hardware: Hardware$1,
  Development: Development$1,
  Management: Management$1,
  Admin: Admin$1,
  Software: Software$1,
  Service: Service$1,
  Event: Event$1,
  Average: Average$1,
  Seconds: Seconds$1,
  "this month": "den här månaden",
  "last month": "förra månaden",
  Month: Month$1,
  Months: Months$1,
  Day: Day$1,
  Days: Days$1,
  Hours: Hours$1,
  Hour: Hour$1,
  Minutes: Minutes$1,
  Minute: Minute$1,
  Key: Key$1,
  Subject: Subject$1,
  "Attach files": "Bifoga filer",
  Priority: Priority$1,
  "Date": "Datum",
  Updated: Updated$1,
  Customer: Customer$1,
  Department: Department$1,
  "Assigned to": "Tilldelats",
  "Ticket type": "Biljetttyp",
  Category: Category$1,
  Created: Created$1,
  "Request Details": "Begär detaljer",
  "Attach File": "Bifoga fil",
  "Delete Ticket": "Ta bort biljett",
  Save: Save$1,
  "Ticket discussion": "Biljettdiskussion",
  "Comment histories for this ticket will be available here.": "Kommentarshistorik för denna biljett kommer att finnas tillgänglig här.",
  Ticket: Ticket$1,
  "Comment histories": "Kommentarshistorik",
  "Comment history": "Kommentarshistorik",
  "Write a comment and press enter to send...": "Skriv en kommentar och tryck enter för att skicka...",
  "Click on a conversation from left to see the histories.": "Klicka på en konversation från vänster för att se historiken.",
  "Type a message...": "Skriv ett meddelande...",
  FAQ: FAQ$1,
  "Create Ticket": "Skapa biljett",
  "New Ticket": "Ny biljett",
  "Create FAQ": "Skapa FAQ",
  "Filter by priority": "Filtrera efter prioritet",
  "Filter by status": "Filtrera efter status",
  "Filter by role": "Filtrera efter roll",
  "Delete FAQ": "Ta bort FAQ",
  "Update FAQ": "Uppdatera vanliga frågor",
  "Create Knowledge Base": "Skapa kunskapsbas",
  Title: Title$1,
  Type: Type$1,
  Details: Details$1,
  "Delete knowledge base": "Ta bort kunskapsbas",
  "Update knowledge base": "Uppdatera kunskapsbasen",
  Note: Note$1,
  "No ticket found.": "Ingen biljett hittades.",
  "note details here...": "notera detaljer här...",
  Submit: Submit$1,
  Cancel: Cancel$1,
  "Delete note": "Ta bort anteckning",
  "Create Contact": "Skapa kontakt",
  Organization: Organization$1,
  "Delete Contact": "Ta bort kontakt",
  "Update Contact": "Uppdatera kontakt",
  "Create Organization": "Skapa organisation",
  Province: Province$1,
  State: State$1,
  "Postal code": "Postnummer",
  "Delete Organization": "Ta bort organisation",
  "Update Organization": "Uppdatera organisation",
  Delete: Delete$1,
  Update: Update$1,
  Create: Create$1,
  "Create Customer": "Skapa kund",
  "Manage Users": "Hantera användare",
  "Delete User": "Ta bort användare",
  "Update User": "Uppdatera användare",
  "Are you sure you want to delete this user?": "Är du säker på att du vill ta bort den här användaren?",
  "App Name": "App-namn",
  "Default Language": "Standardspråk",
  "Email Notifications": "E-postmeddelanden",
  "Create ticket by new customer": "Skapa biljett av ny kund",
  "Create ticket from dashboard": "Skapa biljett från instrumentpanelen",
  "Notification for the first comment": "Meddelande för den första kommentaren",
  "User got assigned for a task": "Användaren fick en uppgift",
  "Status or priority changes": "Status eller prioritetsändringar",
  "Create a new user": "Skapa en ny användare",
  "Cron Job Instruction": "Cron jobbinstruktion",
  "If you would like to send mail without delaying you need to set a cron job for that with once per minute.": "Om du vill skicka e-post utan fördröjning måste du ställa in ett cron-jobb för det med en gång per minut.",
  "Create Category": "Skapa kategori",
  "Create New": "Skapa ny",
  Statuses: Statuses$1,
  "Create Status": "Skapa status",
  Slug: Slug$1,
  "Create Priority": "Skapa prioritet",
  "Create Department": "Skapa avdelning",
  "Create Type": "Skapa typ",
  "Email Template": "E-postmall",
  "Email Html": "E-post HTML",
  "Update Template": "Uppdatera mall",
  "SMTP Host": "SMTP-värd",
  "SMTP Port": "SMTP-port",
  "SMTP Username": "SMTP-användarnamn",
  "SMTP Password": "SMTP-lösenord",
  "Mail Encryption": "E-postkryptering",
  "From Address": "Från Adress",
  "From Name": "Från namn",
  "Pusher App ID": "Pusher App ID",
  "Pusher App Key": "Tryckknapp för app",
  "Pusher App Secret": "Pusher App Secret",
  "Pusher App Cluster": "Pusher App Cluster",
  Location: Location$1,
  "Phone number": "Telefonnummer",
  "Email address": "E-postadress",
  "Email Address": "E-postadress",
  "Location address": "Platsadress",
  "Email details": "E-postinformation",
  "Location details": "Platsinformation",
  "Location map": "Platskarta",
  "Add New": "Lägg till ny",
  Icon: Icon$1,
  Tag: Tag$1,
  Privacy: Privacy$1,
  "List information": "Lista information",
  Bottom: Bottom$1,
  "List items": "Lista objekt",
  "Page Content": "Sidinnehåll",
  "Frequently Asked Questions": "Vanliga frågor",
  "Contact us": "Kontakta oss",
  "Useful Link": "Användbar länk",
  Company: Company$1,
  Subscribe: Subscribe$1,
  Login: Login$1,
  "Submit ticket": "Skicka biljett",
  "Login HelpDesk": "Logga in HelpDesk",
  Faqs: Faqs$1,
  "Filter Ticket By": "Filtrera biljett efter",
  "Assign To": "Tilldela till",
  "No conversation found.": "Ingen konversation hittades.",
  "No faqs found.": "Inga vanliga frågor hittades.",
  "Faq Description": "Faq Beskrivning",
  Active: Active$1,
  Inactive: Inactive$1,
  Browse: Browse$1,
  Knowledge: Knowledge$1,
  Languages: Languages$1,
  User: User$1,
  "No languages found.": "Inga språk hittades.",
  "User roles": "Användarroller",
  "No organizations found.": "Inga organisationer hittades.",
  Home: Home$1,
  "Create a ticket": "Skapa en biljett",
  "Open a ticket": "Öppna en biljett",
  "Select a category": "Välj en kategori",
  "Select a type": "Välj en typ",
  "Select a department": "Välj en avdelning",
  "Start Chat": "Starta chatt",
  "Confirm Password": "Bekräfta lösenord",
  "No customers found.": "Inga kunder hittades.",
  "No knowledge base found.": "Ingen kunskapsbas hittades.",
  "Create Post": "Skapa inlägg",
  "Feature image": "Funktionsbild",
  "Select type": "Välj typ",
  "Create a new post": "Skapa ett nytt inlägg",
  "No post base found.": "Ingen inläggsbas hittades.",
  "Is Active": "Är aktiv",
  "All Posts": "Alla inlägg",
  "Search your query in the FAQ items...": "Sök efter din fråga i FAQ-posterna...",
  Register: Register$1,
  "Useful Links": "Useful Links",
  Newsletter: Newsletter$1,
  "Your email address": "Your email address",
  "Join our newsletter service.": "Join our newsletter service."
};
const __vite_glob_1_14 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Active: Active$1,
  Address: Address$1,
  Admin: Admin$1,
  Average: Average$1,
  Blog: Blog$1,
  Bottom: Bottom$1,
  Browse: Browse$1,
  Cancel: Cancel$1,
  Categories: Categories$1,
  Category: Category$1,
  Chat: Chat$1,
  City: City$1,
  Company: Company$1,
  Contact: Contact$1,
  Contacts: Contacts$1,
  Country: Country$1,
  Create: Create$1,
  Created: Created$1,
  Customer: Customer$1,
  Customers: Customers$1,
  Dashboard: Dashboard$1,
  Day: Day$1,
  Days: Days$1,
  Delete: Delete$1,
  Department: Department$1,
  Departments: Departments$1,
  Details: Details$1,
  Development: Development$1,
  Email: Email$1,
  Event: Event$1,
  FAQ: FAQ$1,
  FAQs: FAQs$1,
  Faqs: Faqs$1,
  Filter: Filter$1,
  Global: Global$1,
  Hardware: Hardware$1,
  Home: Home$1,
  Hour: Hour$1,
  Hours: Hours$1,
  Icon: Icon$1,
  Inactive: Inactive$1,
  Key: Key$1,
  Knowledge: Knowledge$1,
  Languages: Languages$1,
  Location: Location$1,
  Login: Login$1,
  Logout: Logout$1,
  Management: Management$1,
  Minute: Minute$1,
  Minutes: Minutes$1,
  Month: Month$1,
  Months: Months$1,
  More: More$1,
  Name: Name$1,
  Newsletter: Newsletter$1,
  Note: Note$1,
  Notes: Notes$1,
  Organization: Organization$1,
  Organizations: Organizations$1,
  Password: Password$1,
  Phone: Phone$1,
  Photo: Photo$1,
  Priorities: Priorities$1,
  Priority: Priority$1,
  Privacy: Privacy$1,
  Province: Province$1,
  Pusher: Pusher$1,
  Register: Register$1,
  Reset: Reset$1,
  Role: Role$1,
  Save: Save$1,
  Seconds: Seconds$1,
  Service: Service$1,
  Services: Services$1,
  Settings: Settings$1,
  Slug: Slug$1,
  Software: Software$1,
  State: State$1,
  Status: Status$1,
  Statuses: Statuses$1,
  Subject: Subject$1,
  Submit: Submit$1,
  Subscribe: Subscribe$1,
  Tag: Tag$1,
  Technical: Technical$1,
  Ticket: Ticket$1,
  Tickets: Tickets$1,
  Title: Title$1,
  Trashed: Trashed$1,
  Type: Type$1,
  Types: Types$1,
  Update: Update$1,
  Updated: Updated$1,
  User: User$1,
  Users: Users$1,
  default: se
}, Symbol.toStringTag, { value: "Module" }));
const Dashboard = "Panel";
const Logout = "Çıkış Yap";
const Tickets = "Biletler";
const Chat = "Sohbet";
const FAQs = "SSS";
const Blog = "Blog";
const More = "Daha Fazla";
const Notes = "Notlar";
const Contacts = "Kişiler";
const Organizations = "Organizasyonlar";
const Users = "Kullanıcılar";
const Customers = "Müşteriler";
const Settings = "Ayarlar";
const Global = "Genel";
const Categories = "Kategoriler";
const Status = "Durum";
const Priorities = "Öncelikler";
const Departments = "Departmanlar";
const Types = "Türler";
const Pusher = "Pusher";
const Contact = "İletişim";
const Services = "Hizmetler";
const Filter = "Filtrele";
const Trashed = "Çöpe Atılanlar";
const Reset = "Sıfırla";
const Name = "Ad";
const Email = "E-posta";
const Phone = "Telefon";
const Country = "Ülke";
const City = "Şehir";
const Address = "Adres";
const Password = "Şifre";
const Role = "Rol";
const Photo = "Fotoğraf";
const Technical = "Teknik";
const Hardware = "Donanım";
const Development = "Geliştirme";
const Management = "Yönetim";
const Admin = "Yönetici";
const Software = "Yazılım";
const Service = "Hizmet";
const Event = "Etkinlik";
const Average = "Ortalama";
const Seconds = "Saniye";
const Month = "Ay";
const Months = "Aylar";
const Day = "Gün";
const Days = "Günler";
const Hours = "Saatler";
const Hour = "Saat";
const Minutes = "Dakikalar";
const Minute = "Dakika";
const Key = "Anahtar";
const Subject = "Konu";
const Priority = "Öncelik";
const Updated = "Güncellendi";
const Customer = "Müşteri";
const Department = "Departman";
const Category = "Kategori";
const Created = "Oluşturuldu";
const Save = "Kaydet";
const Ticket = "Bilet";
const FAQ = "SSS";
const Title = "Başlık";
const Type = "Tür";
const Details = "Detaylar";
const Note = "Not";
const Submit = "Gönder";
const Cancel = "İptal";
const Organization = "Organizasyon";
const Province = "İl";
const State = "Durum";
const Delete = "Sil";
const Update = "Güncelle";
const Create = "Oluştur";
const Statuses = "Durumlar";
const Slug = "Bağlantı";
const Location = "Konum";
const Icon = "Simge";
const Tag = "Etiket";
const Privacy = "Gizlilik";
const Bottom = "Alt";
const Company = "Şirket";
const Subscribe = "Abone Ol";
const Login = "Giriş";
const Faqs = "SSS'ler";
const Active = "Aktif";
const Inactive = "Pasif";
const Browse = "Göz at";
const Knowledge = "Bilgi";
const Languages = "Diller";
const User = "Kullanıcı";
const Home = "Ana Sayfa";
const Register = "Kayıt Ol";
const Newsletter = "Bülten";
const tr = {
  "Edit Profile": "Profili Düzenle",
  Dashboard,
  Logout,
  Tickets,
  Chat,
  FAQs,
  Blog,
  "Knowledge Base": "Bilgi Tabanı",
  More,
  Notes,
  Contacts,
  Organizations,
  Users,
  Customers,
  Settings,
  Global,
  Categories,
  Status,
  Priorities,
  Departments,
  Types,
  "Email Templates": "E-posta Şablonları",
  "SMTP Mail": "SMTP Posta",
  Pusher,
  "Pusher Chat": "Pusher Sohbet",
  "Front Pages": "Ön Sayfalar",
  Contact,
  Services,
  "Privacy Policy": "Gizlilik Politikası",
  "Terms of Services": "Hizmet Şartları",
  Filter,
  Trashed,
  "Trashed With": "Çöpe Atılanlarla",
  "Only Trashed": "Sadece Çöpe Atılanlar",
  "Search...": "Ara...",
  Reset,
  Name,
  Email,
  Phone,
  Country,
  "Create User": "Kullanıcı Oluştur",
  "First Name": "Ad",
  "First name": "Ad",
  "Last Name": "Soyad",
  "Last name": "Soyad",
  City,
  Address,
  Password,
  Role,
  Photo,
  "New Tickets": "Yeni Biletler",
  "Open Tickets": "Açık Biletler",
  "Closed Tickets": "Kapalı Biletler",
  "Unassigned Tickets": "Atanmamış Biletler",
  "Ticket by department": "Departman Bazında Biletler",
  "Ticket by type": "Türe Göre Biletler",
  "Top ticket creator": "En Çok Bilet Oluşturan",
  "Ticket history": "Bilet Geçmişi",
  "First Response Time": "İlk Yanıt Süresi",
  "Last Response Time": "Son Yanıt Süresi",
  Technical,
  Hardware,
  Development,
  Management,
  Admin,
  Software,
  Service,
  Event,
  Average,
  Seconds,
  "this month": "bu ay",
  "last month": "geçen ay",
  Month,
  Months,
  Day,
  Days,
  Hours,
  Hour,
  Minutes,
  Minute,
  Key,
  Subject,
  "Attach files": "Dosyaları Ekle",
  Priority,
  "Date": "Tarih",
  Updated,
  Customer,
  Department,
  "Assigned to": "Atanmış",
  "Ticket type": "Bilet Türü",
  Category,
  Created,
  "Request Details": "İstek Detayları",
  "Attach File": "Dosya Ekle",
  "Delete Ticket": "Bileti Sil",
  Save,
  "Ticket discussion": "Bilet Tartışması",
  "Comment histories for this ticket will be available here.": "Bu bilet için yorum geçmişleri burada bulunabilir.",
  Ticket,
  "Comment histories": "Yorum Geçmişleri",
  "Comment history": "Yorum Geçmişi",
  "Write a comment and press enter to send...": "Yorum yazın ve göndermek için enter tuşuna basın...",
  "Click on a conversation from left to see the histories.": "Geçmişleri görmek için soldan bir konuşmaya tıklayın.",
  "Type a message...": "Bir mesaj yazın...",
  FAQ,
  "Create Ticket": "Bilet Oluştur",
  "New Ticket": "Yeni Bilet",
  "Create FAQ": "SSS Oluştur",
  "Filter by priority": "Önceliğe göre filtrele",
  "Filter by status": "Duruma göre filtrele",
  "Filter by role": "Role göre filtrele",
  "Delete FAQ": "SSS'yi Sil",
  "Update FAQ": "SSS'yi Güncelle",
  "Create Knowledge Base": "Bilgi Tabanı Oluştur",
  Title,
  Type,
  Details,
  "Delete knowledge base": "Bilgi tabanını sil",
  "Update knowledge base": "Bilgi tabanını güncelle",
  Note,
  "No ticket found.": "Bilet bulunamadı.",
  "note details here...": "not detayları burada...",
  Submit,
  Cancel,
  "Delete note": "Notu Sil",
  "Create Contact": "Kişi Oluştur",
  Organization,
  "Delete Contact": "Kişiyi Sil",
  "Update Contact": "Kişiyi Güncelle",
  "Create Organization": "Organizasyon Oluştur",
  Province,
  State,
  "Postal code": "Posta kodu",
  "Delete Organization": "Organizasyonu Sil",
  "Update Organization": "Organizasyonu Güncelle",
  Delete,
  Update,
  Create,
  "Create Customer": "Müşteri Oluştur",
  "Manage Users": "Kullanıcıları Yönet",
  "Delete User": "Kullanıcıyı Sil",
  "Update User": "Kullanıcıyı Güncelle",
  "Are you sure you want to delete this user?": "Bu kullanıcıyı silmek istediğinizden emin misiniz?",
  "App Name": "Uygulama Adı",
  "Default Language": "Varsayılan Dil",
  "Email Notifications": "E-posta Bildirimleri",
  "Create ticket by new customer": "Yeni müşteri tarafından bilet oluştur",
  "Create ticket from dashboard": "Panel üzerinden bilet oluştur",
  "Notification for the first comment": "İlk yorum için bildirim",
  "User got assigned for a task": "Kullanıcı bir göreve atandı",
  "Status or priority changes": "Durum veya öncelik değişiklikleri",
  "Create a new user": "Yeni bir kullanıcı oluştur",
  "Cron Job Instruction": "Cron İşlem Talimatı",
  "If you would like to send mail without delaying you need to set a cron job for that with once per minute.": "Gecikmesiz posta göndermek istiyorsanız, bunun için dakikada bir kez bir cron işlemi ayarlamanız gerekir.",
  "Create Category": "Kategori Oluştur",
  "Create New": "Yeni Oluştur",
  Statuses,
  "Create Status": "Durum Oluştur",
  Slug,
  "Create Priority": "Öncelik Oluştur",
  "Create Department": "Departman Oluştur",
  "Create Type": "Tür Oluştur",
  "Email Template": "E-posta Şablonu",
  "Email Html": "E-posta Html'i",
  "Update Template": "Şablonu Güncelle",
  "SMTP Host": "SMTP Sunucusu",
  "SMTP Port": "SMTP Portu",
  "SMTP Username": "SMTP Kullanıcı Adı",
  "SMTP Password": "SMTP Şifresi",
  "Mail Encryption": "Posta Şifreleme",
  "From Address": "Gönderen Adresi",
  "From Name": "Gönderen Adı",
  "Pusher App ID": "Pusher Uygulama Kimliği",
  "Pusher App Key": "Pusher Uygulama Anahtarı",
  "Pusher App Secret": "Pusher Uygulama Sırrı",
  "Pusher App Cluster": "Pusher Uygulama Kümesi",
  Location,
  "Phone number": "Telefon numarası",
  "Email address": "E-posta adresi",
  "Email Address": "E-posta Adresi",
  "Location address": "Konum adresi",
  "Email details": "E-posta detayları",
  "Location details": "Konum detayları",
  "Location map": "Konum haritası",
  "Add New": "Yeni Ekle",
  Icon,
  Tag,
  Privacy,
  "List information": "Liste bilgisi",
  Bottom,
  "List items": "Liste öğeleri",
  "Page Content": "Sayfa İçeriği",
  "Frequently Asked Questions": "Sıkça Sorulan Sorular",
  "Contact us": "Bize Ulaşın",
  "Useful Link": "Faydalı Bağlantı",
  Company,
  Subscribe,
  Login,
  "Submit ticket": "Bilet gönder",
  "Login HelpDesk": "HelpDesk'e Giriş",
  Faqs,
  "Filter Ticket By": "Bileti Filtrele",
  "Assign To": "Ata",
  "No conversation found.": "Konuşma bulunamadı.",
  "No faqs found.": "SSS bulunamadı.",
  "Faq Description": "SSS Açıklaması",
  Active,
  Inactive,
  Browse,
  Knowledge,
  Languages,
  User,
  "No languages found.": "Dil bulunamadı.",
  "User roles": "Kullanıcı rolleri",
  "No organizations found.": "Organizasyon bulunamadı.",
  Home,
  "Create a ticket": "Bilet oluştur",
  "Open a ticket": "Bilet aç",
  "Select a category": "Bir kategori seçin",
  "Select a type": "Bir tür seçin",
  "Select a department": "Bir departman seçin",
  "Start Chat": "Sohbete Başla",
  "Confirm Password": "Şifreyi Onayla",
  "No customers found.": "Müşteri bulunamadı.",
  "No knowledge base found.": "Bilgi tabanı bulunamadı.",
  "Create Post": "Gönderi Oluştur",
  "Feature image": "Özellik Resmi",
  "Select type": "Türü Seç",
  "Create a new post": "Yeni bir gönderi oluştur",
  "No post base found.": "Gönderi tabanı bulunamadı.",
  "Is Active": "Aktif Mi",
  "All Posts": "Tüm Gönderiler",
  "Search your query in the FAQ items...": "SSS öğelerinde sorgunuzu arayın...",
  Register,
  "Useful Links": "Faydalı Bağlantılar",
  Newsletter,
  "Your email address": "E-posta adresiniz",
  "Join our newsletter service.": "Bültenimize katılın."
};
const __vite_glob_1_15 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Active,
  Address,
  Admin,
  Average,
  Blog,
  Bottom,
  Browse,
  Cancel,
  Categories,
  Category,
  Chat,
  City,
  Company,
  Contact,
  Contacts,
  Country,
  Create,
  Created,
  Customer,
  Customers,
  Dashboard,
  Day,
  Days,
  Delete,
  Department,
  Departments,
  Details,
  Development,
  Email,
  Event,
  FAQ,
  FAQs,
  Faqs,
  Filter,
  Global,
  Hardware,
  Home,
  Hour,
  Hours,
  Icon,
  Inactive,
  Key,
  Knowledge,
  Languages,
  Location,
  Login,
  Logout,
  Management,
  Minute,
  Minutes,
  Month,
  Months,
  More,
  Name,
  Newsletter,
  Note,
  Notes,
  Organization,
  Organizations,
  Password,
  Phone,
  Photo,
  Priorities,
  Priority,
  Privacy,
  Province,
  Pusher,
  Register,
  Reset,
  Role,
  Save,
  Seconds,
  Service,
  Services,
  Settings,
  Slug,
  Software,
  State,
  Status,
  Statuses,
  Subject,
  Submit,
  Subscribe,
  Tag,
  Technical,
  Ticket,
  Tickets,
  Title,
  Trashed,
  Type,
  Types,
  Update,
  Updated,
  User,
  Users,
  default: tr
}, Symbol.toStringTag, { value: "Module" }));
async function resolvePageComponent(path, pages) {
  for (const p2 of Array.isArray(path) ? path : [path]) {
    const page = pages[p2];
    if (typeof page === "undefined") {
      continue;
    }
    return typeof page === "function" ? page() : page;
  }
  throw new Error(`Page not found: ${path}`);
}
function t() {
  return t = Object.assign ? Object.assign.bind() : function(t4) {
    for (var e2 = 1; e2 < arguments.length; e2++) {
      var r2 = arguments[e2];
      for (var n2 in r2) ({}).hasOwnProperty.call(r2, n2) && (t4[n2] = r2[n2]);
    }
    return t4;
  }, t.apply(null, arguments);
}
var e = String.prototype.replace, r = /%20/g, n = "RFC3986", o = { default: n, formatters: { RFC1738: function(t4) {
  return e.call(t4, r, "+");
}, RFC3986: function(t4) {
  return String(t4);
} }, RFC1738: "RFC1738", RFC3986: n }, i = Object.prototype.hasOwnProperty, u = Array.isArray, a = function() {
  for (var t4 = [], e2 = 0; e2 < 256; ++e2) t4.push("%" + ((e2 < 16 ? "0" : "") + e2.toString(16)).toUpperCase());
  return t4;
}(), s = function(t4, e2) {
  for (var r2 = e2 && e2.plainObjects ? /* @__PURE__ */ Object.create(null) : {}, n2 = 0; n2 < t4.length; ++n2) void 0 !== t4[n2] && (r2[n2] = t4[n2]);
  return r2;
}, f = { arrayToObject: s, assign: function(t4, e2) {
  return Object.keys(e2).reduce(function(t5, r2) {
    return t5[r2] = e2[r2], t5;
  }, t4);
}, combine: function(t4, e2) {
  return [].concat(t4, e2);
}, compact: function(t4) {
  for (var e2 = [{ obj: { o: t4 }, prop: "o" }], r2 = [], n2 = 0; n2 < e2.length; ++n2) for (var o2 = e2[n2], i2 = o2.obj[o2.prop], a2 = Object.keys(i2), s2 = 0; s2 < a2.length; ++s2) {
    var f2 = a2[s2], c2 = i2[f2];
    "object" == typeof c2 && null !== c2 && -1 === r2.indexOf(c2) && (e2.push({ obj: i2, prop: f2 }), r2.push(c2));
  }
  return function(t5) {
    for (; t5.length > 1; ) {
      var e3 = t5.pop(), r3 = e3.obj[e3.prop];
      if (u(r3)) {
        for (var n3 = [], o3 = 0; o3 < r3.length; ++o3) void 0 !== r3[o3] && n3.push(r3[o3]);
        e3.obj[e3.prop] = n3;
      }
    }
  }(e2), t4;
}, decode: function(t4, e2, r2) {
  var n2 = t4.replace(/\+/g, " ");
  if ("iso-8859-1" === r2) return n2.replace(/%[0-9a-f]{2}/gi, unescape);
  try {
    return decodeURIComponent(n2);
  } catch (t5) {
    return n2;
  }
}, encode: function(t4, e2, r2, n2, i2) {
  if (0 === t4.length) return t4;
  var u2 = t4;
  if ("symbol" == typeof t4 ? u2 = Symbol.prototype.toString.call(t4) : "string" != typeof t4 && (u2 = String(t4)), "iso-8859-1" === r2) return escape(u2).replace(/%u[0-9a-f]{4}/gi, function(t5) {
    return "%26%23" + parseInt(t5.slice(2), 16) + "%3B";
  });
  for (var s2 = "", f2 = 0; f2 < u2.length; ++f2) {
    var c2 = u2.charCodeAt(f2);
    45 === c2 || 46 === c2 || 95 === c2 || 126 === c2 || c2 >= 48 && c2 <= 57 || c2 >= 65 && c2 <= 90 || c2 >= 97 && c2 <= 122 || i2 === o.RFC1738 && (40 === c2 || 41 === c2) ? s2 += u2.charAt(f2) : c2 < 128 ? s2 += a[c2] : c2 < 2048 ? s2 += a[192 | c2 >> 6] + a[128 | 63 & c2] : c2 < 55296 || c2 >= 57344 ? s2 += a[224 | c2 >> 12] + a[128 | c2 >> 6 & 63] + a[128 | 63 & c2] : (c2 = 65536 + ((1023 & c2) << 10 | 1023 & u2.charCodeAt(f2 += 1)), s2 += a[240 | c2 >> 18] + a[128 | c2 >> 12 & 63] + a[128 | c2 >> 6 & 63] + a[128 | 63 & c2]);
  }
  return s2;
}, isBuffer: function(t4) {
  return !(!t4 || "object" != typeof t4 || !(t4.constructor && t4.constructor.isBuffer && t4.constructor.isBuffer(t4)));
}, isRegExp: function(t4) {
  return "[object RegExp]" === Object.prototype.toString.call(t4);
}, maybeMap: function(t4, e2) {
  if (u(t4)) {
    for (var r2 = [], n2 = 0; n2 < t4.length; n2 += 1) r2.push(e2(t4[n2]));
    return r2;
  }
  return e2(t4);
}, merge: function t2(e2, r2, n2) {
  if (!r2) return e2;
  if ("object" != typeof r2) {
    if (u(e2)) e2.push(r2);
    else {
      if (!e2 || "object" != typeof e2) return [e2, r2];
      (n2 && (n2.plainObjects || n2.allowPrototypes) || !i.call(Object.prototype, r2)) && (e2[r2] = true);
    }
    return e2;
  }
  if (!e2 || "object" != typeof e2) return [e2].concat(r2);
  var o2 = e2;
  return u(e2) && !u(r2) && (o2 = s(e2, n2)), u(e2) && u(r2) ? (r2.forEach(function(r3, o3) {
    if (i.call(e2, o3)) {
      var u2 = e2[o3];
      u2 && "object" == typeof u2 && r3 && "object" == typeof r3 ? e2[o3] = t2(u2, r3, n2) : e2.push(r3);
    } else e2[o3] = r3;
  }), e2) : Object.keys(r2).reduce(function(e3, o3) {
    var u2 = r2[o3];
    return e3[o3] = i.call(e3, o3) ? t2(e3[o3], u2, n2) : u2, e3;
  }, o2);
} }, c = Object.prototype.hasOwnProperty, l = { brackets: function(t4) {
  return t4 + "[]";
}, comma: "comma", indices: function(t4, e2) {
  return t4 + "[" + e2 + "]";
}, repeat: function(t4) {
  return t4;
} }, p = Array.isArray, h = String.prototype.split, y = Array.prototype.push, d = function(t4, e2) {
  y.apply(t4, p(e2) ? e2 : [e2]);
}, g = Date.prototype.toISOString, b = o.default, v = { addQueryPrefix: false, allowDots: false, charset: "utf-8", charsetSentinel: false, delimiter: "&", encode: true, encoder: f.encode, encodeValuesOnly: false, format: b, formatter: o.formatters[b], indices: false, serializeDate: function(t4) {
  return g.call(t4);
}, skipNulls: false, strictNullHandling: false }, m = function t3(e2, r2, n2, o2, i2, u2, a2, s2, c2, l2, y2, g2, b2, m2) {
  var j2, w2 = e2;
  if ("function" == typeof a2 ? w2 = a2(r2, w2) : w2 instanceof Date ? w2 = l2(w2) : "comma" === n2 && p(w2) && (w2 = f.maybeMap(w2, function(t4) {
    return t4 instanceof Date ? l2(t4) : t4;
  })), null === w2) {
    if (o2) return u2 && !b2 ? u2(r2, v.encoder, m2, "key", y2) : r2;
    w2 = "";
  }
  if ("string" == typeof (j2 = w2) || "number" == typeof j2 || "boolean" == typeof j2 || "symbol" == typeof j2 || "bigint" == typeof j2 || f.isBuffer(w2)) {
    if (u2) {
      var $2 = b2 ? r2 : u2(r2, v.encoder, m2, "key", y2);
      if ("comma" === n2 && b2) {
        for (var O2 = h.call(String(w2), ","), E2 = "", R2 = 0; R2 < O2.length; ++R2) E2 += (0 === R2 ? "" : ",") + g2(u2(O2[R2], v.encoder, m2, "value", y2));
        return [g2($2) + "=" + E2];
      }
      return [g2($2) + "=" + g2(u2(w2, v.encoder, m2, "value", y2))];
    }
    return [g2(r2) + "=" + g2(String(w2))];
  }
  var S2, x2 = [];
  if (void 0 === w2) return x2;
  if ("comma" === n2 && p(w2)) S2 = [{ value: w2.length > 0 ? w2.join(",") || null : void 0 }];
  else if (p(a2)) S2 = a2;
  else {
    var N2 = Object.keys(w2);
    S2 = s2 ? N2.sort(s2) : N2;
  }
  for (var T2 = 0; T2 < S2.length; ++T2) {
    var k2 = S2[T2], C = "object" == typeof k2 && void 0 !== k2.value ? k2.value : w2[k2];
    if (!i2 || null !== C) {
      var _ = p(w2) ? "function" == typeof n2 ? n2(r2, k2) : r2 : r2 + (c2 ? "." + k2 : "[" + k2 + "]");
      d(x2, t3(C, _, n2, o2, i2, u2, a2, s2, c2, l2, y2, g2, b2, m2));
    }
  }
  return x2;
}, j = Object.prototype.hasOwnProperty, w = Array.isArray, $ = { allowDots: false, allowPrototypes: false, arrayLimit: 20, charset: "utf-8", charsetSentinel: false, comma: false, decoder: f.decode, delimiter: "&", depth: 5, ignoreQueryPrefix: false, interpretNumericEntities: false, parameterLimit: 1e3, parseArrays: true, plainObjects: false, strictNullHandling: false }, O = function(t4) {
  return t4.replace(/&#(\d+);/g, function(t5, e2) {
    return String.fromCharCode(parseInt(e2, 10));
  });
}, E = function(t4, e2) {
  return t4 && "string" == typeof t4 && e2.comma && t4.indexOf(",") > -1 ? t4.split(",") : t4;
}, R = function(t4, e2, r2, n2) {
  if (t4) {
    var o2 = r2.allowDots ? t4.replace(/\.([^.[]+)/g, "[$1]") : t4, i2 = /(\[[^[\]]*])/g, u2 = r2.depth > 0 && /(\[[^[\]]*])/.exec(o2), a2 = u2 ? o2.slice(0, u2.index) : o2, s2 = [];
    if (a2) {
      if (!r2.plainObjects && j.call(Object.prototype, a2) && !r2.allowPrototypes) return;
      s2.push(a2);
    }
    for (var f2 = 0; r2.depth > 0 && null !== (u2 = i2.exec(o2)) && f2 < r2.depth; ) {
      if (f2 += 1, !r2.plainObjects && j.call(Object.prototype, u2[1].slice(1, -1)) && !r2.allowPrototypes) return;
      s2.push(u2[1]);
    }
    return u2 && s2.push("[" + o2.slice(u2.index) + "]"), function(t5, e3, r3, n3) {
      for (var o3 = n3 ? e3 : E(e3, r3), i3 = t5.length - 1; i3 >= 0; --i3) {
        var u3, a3 = t5[i3];
        if ("[]" === a3 && r3.parseArrays) u3 = [].concat(o3);
        else {
          u3 = r3.plainObjects ? /* @__PURE__ */ Object.create(null) : {};
          var s3 = "[" === a3.charAt(0) && "]" === a3.charAt(a3.length - 1) ? a3.slice(1, -1) : a3, f3 = parseInt(s3, 10);
          r3.parseArrays || "" !== s3 ? !isNaN(f3) && a3 !== s3 && String(f3) === s3 && f3 >= 0 && r3.parseArrays && f3 <= r3.arrayLimit ? (u3 = [])[f3] = o3 : "__proto__" !== s3 && (u3[s3] = o3) : u3 = { 0: o3 };
        }
        o3 = u3;
      }
      return o3;
    }(s2, e2, r2, n2);
  }
}, S = function(t4, e2) {
  var r2 = /* @__PURE__ */ function(t5) {
    return $;
  }();
  if ("" === t4 || null == t4) return r2.plainObjects ? /* @__PURE__ */ Object.create(null) : {};
  for (var n2 = "string" == typeof t4 ? function(t5, e3) {
    var r3, n3 = {}, o3 = (e3.ignoreQueryPrefix ? t5.replace(/^\?/, "") : t5).split(e3.delimiter, Infinity === e3.parameterLimit ? void 0 : e3.parameterLimit), i3 = -1, u3 = e3.charset;
    if (e3.charsetSentinel) for (r3 = 0; r3 < o3.length; ++r3) 0 === o3[r3].indexOf("utf8=") && ("utf8=%E2%9C%93" === o3[r3] ? u3 = "utf-8" : "utf8=%26%2310003%3B" === o3[r3] && (u3 = "iso-8859-1"), i3 = r3, r3 = o3.length);
    for (r3 = 0; r3 < o3.length; ++r3) if (r3 !== i3) {
      var a3, s3, c2 = o3[r3], l2 = c2.indexOf("]="), p2 = -1 === l2 ? c2.indexOf("=") : l2 + 1;
      -1 === p2 ? (a3 = e3.decoder(c2, $.decoder, u3, "key"), s3 = e3.strictNullHandling ? null : "") : (a3 = e3.decoder(c2.slice(0, p2), $.decoder, u3, "key"), s3 = f.maybeMap(E(c2.slice(p2 + 1), e3), function(t6) {
        return e3.decoder(t6, $.decoder, u3, "value");
      })), s3 && e3.interpretNumericEntities && "iso-8859-1" === u3 && (s3 = O(s3)), c2.indexOf("[]=") > -1 && (s3 = w(s3) ? [s3] : s3), n3[a3] = j.call(n3, a3) ? f.combine(n3[a3], s3) : s3;
    }
    return n3;
  }(t4, r2) : t4, o2 = r2.plainObjects ? /* @__PURE__ */ Object.create(null) : {}, i2 = Object.keys(n2), u2 = 0; u2 < i2.length; ++u2) {
    var a2 = i2[u2], s2 = R(a2, n2[a2], r2, "string" == typeof t4);
    o2 = f.merge(o2, s2, r2);
  }
  return f.compact(o2);
};
class x {
  constructor(t4, e2, r2) {
    var n2, o2;
    this.name = t4, this.definition = e2, this.bindings = null != (n2 = e2.bindings) ? n2 : {}, this.wheres = null != (o2 = e2.wheres) ? o2 : {}, this.config = r2;
  }
  get template() {
    const t4 = `${this.origin}/${this.definition.uri}`.replace(/\/+$/, "");
    return "" === t4 ? "/" : t4;
  }
  get origin() {
    return this.config.absolute ? this.definition.domain ? `${this.config.url.match(/^\w+:\/\//)[0]}${this.definition.domain}${this.config.port ? `:${this.config.port}` : ""}` : this.config.url : "";
  }
  get parameterSegments() {
    var t4, e2;
    return null != (t4 = null == (e2 = this.template.match(/{[^}?]+\??}/g)) ? void 0 : e2.map((t5) => ({ name: t5.replace(/{|\??}/g, ""), required: !/\?}$/.test(t5) }))) ? t4 : [];
  }
  matchesUrl(t4) {
    var e2;
    if (!this.definition.methods.includes("GET")) return false;
    const r2 = this.template.replace(/[.*+$()[\]]/g, "\\$&").replace(/(\/?){([^}?]*)(\??)}/g, (t5, e3, r3, n3) => {
      var o3;
      const i3 = `(?<${r3}>${(null == (o3 = this.wheres[r3]) ? void 0 : o3.replace(/(^\^)|(\$$)/g, "")) || "[^/?]+"})`;
      return n3 ? `(${e3}${i3})?` : `${e3}${i3}`;
    }).replace(/^\w+:\/\//, ""), [n2, o2] = t4.replace(/^\w+:\/\//, "").split("?"), i2 = null != (e2 = new RegExp(`^${r2}/?$`).exec(n2)) ? e2 : new RegExp(`^${r2}/?$`).exec(decodeURI(n2));
    if (i2) {
      for (const t5 in i2.groups) i2.groups[t5] = "string" == typeof i2.groups[t5] ? decodeURIComponent(i2.groups[t5]) : i2.groups[t5];
      return { params: i2.groups, query: S(o2) };
    }
    return false;
  }
  compile(t4) {
    return this.parameterSegments.length ? this.template.replace(/{([^}?]+)(\??)}/g, (e2, r2, n2) => {
      var o2, i2;
      if (!n2 && [null, void 0].includes(t4[r2])) throw new Error(`Ziggy error: '${r2}' parameter is required for route '${this.name}'.`);
      if (this.wheres[r2] && !new RegExp(`^${n2 ? `(${this.wheres[r2]})?` : this.wheres[r2]}$`).test(null != (i2 = t4[r2]) ? i2 : "")) throw new Error(`Ziggy error: '${r2}' parameter '${t4[r2]}' does not match required format '${this.wheres[r2]}' for route '${this.name}'.`);
      return encodeURI(null != (o2 = t4[r2]) ? o2 : "").replace(/%7C/g, "|").replace(/%25/g, "%").replace(/\$/g, "%24");
    }).replace(this.config.absolute ? /(\.[^/]+?)(\/\/)/ : /(^)(\/\/)/, "$1/").replace(/\/+$/, "") : this.template;
  }
}
class N extends String {
  constructor(e2, r2, n2 = true, o2) {
    if (super(), this.t = null != o2 ? o2 : "undefined" != typeof Ziggy ? Ziggy : null == globalThis ? void 0 : globalThis.Ziggy, this.t = t({}, this.t, { absolute: n2 }), e2) {
      if (!this.t.routes[e2]) throw new Error(`Ziggy error: route '${e2}' is not in the route list.`);
      this.i = new x(e2, this.t.routes[e2], this.t), this.u = this.l(r2);
    }
  }
  toString() {
    const e2 = Object.keys(this.u).filter((t4) => !this.i.parameterSegments.some(({ name: e3 }) => e3 === t4)).filter((t4) => "_query" !== t4).reduce((e3, r2) => t({}, e3, { [r2]: this.u[r2] }), {});
    return this.i.compile(this.u) + function(t4, e3) {
      var r2, n2 = t4, i2 = function(t5) {
        if (!t5) return v;
        if (null != t5.encoder && "function" != typeof t5.encoder) throw new TypeError("Encoder has to be a function.");
        var e4 = t5.charset || v.charset;
        if (void 0 !== t5.charset && "utf-8" !== t5.charset && "iso-8859-1" !== t5.charset) throw new TypeError("The charset option must be either utf-8, iso-8859-1, or undefined");
        var r3 = o.default;
        if (void 0 !== t5.format) {
          if (!c.call(o.formatters, t5.format)) throw new TypeError("Unknown format option provided.");
          r3 = t5.format;
        }
        var n3 = o.formatters[r3], i3 = v.filter;
        return ("function" == typeof t5.filter || p(t5.filter)) && (i3 = t5.filter), { addQueryPrefix: "boolean" == typeof t5.addQueryPrefix ? t5.addQueryPrefix : v.addQueryPrefix, allowDots: void 0 === t5.allowDots ? v.allowDots : !!t5.allowDots, charset: e4, charsetSentinel: "boolean" == typeof t5.charsetSentinel ? t5.charsetSentinel : v.charsetSentinel, delimiter: void 0 === t5.delimiter ? v.delimiter : t5.delimiter, encode: "boolean" == typeof t5.encode ? t5.encode : v.encode, encoder: "function" == typeof t5.encoder ? t5.encoder : v.encoder, encodeValuesOnly: "boolean" == typeof t5.encodeValuesOnly ? t5.encodeValuesOnly : v.encodeValuesOnly, filter: i3, format: r3, formatter: n3, serializeDate: "function" == typeof t5.serializeDate ? t5.serializeDate : v.serializeDate, skipNulls: "boolean" == typeof t5.skipNulls ? t5.skipNulls : v.skipNulls, sort: "function" == typeof t5.sort ? t5.sort : null, strictNullHandling: "boolean" == typeof t5.strictNullHandling ? t5.strictNullHandling : v.strictNullHandling };
      }(e3);
      "function" == typeof i2.filter ? n2 = (0, i2.filter)("", n2) : p(i2.filter) && (r2 = i2.filter);
      var u2 = [];
      if ("object" != typeof n2 || null === n2) return "";
      var a2 = l[e3 && e3.arrayFormat in l ? e3.arrayFormat : e3 && "indices" in e3 ? e3.indices ? "indices" : "repeat" : "indices"];
      r2 || (r2 = Object.keys(n2)), i2.sort && r2.sort(i2.sort);
      for (var s2 = 0; s2 < r2.length; ++s2) {
        var f2 = r2[s2];
        i2.skipNulls && null === n2[f2] || d(u2, m(n2[f2], f2, a2, i2.strictNullHandling, i2.skipNulls, i2.encode ? i2.encoder : null, i2.filter, i2.sort, i2.allowDots, i2.serializeDate, i2.format, i2.formatter, i2.encodeValuesOnly, i2.charset));
      }
      var h2 = u2.join(i2.delimiter), y2 = true === i2.addQueryPrefix ? "?" : "";
      return i2.charsetSentinel && (y2 += "iso-8859-1" === i2.charset ? "utf8=%26%2310003%3B&" : "utf8=%E2%9C%93&"), h2.length > 0 ? y2 + h2 : "";
    }(t({}, e2, this.u._query), { addQueryPrefix: true, arrayFormat: "indices", encodeValuesOnly: true, skipNulls: true, encoder: (t4, e3) => "boolean" == typeof t4 ? Number(t4) : e3(t4) });
  }
  p(e2) {
    e2 ? this.t.absolute && e2.startsWith("/") && (e2 = this.h().host + e2) : e2 = this.v();
    let r2 = {};
    const [n2, o2] = Object.entries(this.t.routes).find(([t4, n3]) => r2 = new x(t4, n3, this.t).matchesUrl(e2)) || [void 0, void 0];
    return t({ name: n2 }, r2, { route: o2 });
  }
  v() {
    const { host: t4, pathname: e2, search: r2 } = this.h();
    return (this.t.absolute ? t4 + e2 : e2.replace(this.t.url.replace(/^\w*:\/\/[^/]+/, ""), "").replace(/^\/+/, "/")) + r2;
  }
  current(e2, r2) {
    const { name: n2, params: o2, query: i2, route: u2 } = this.p();
    if (!e2) return n2;
    const a2 = new RegExp(`^${e2.replace(/\./g, "\\.").replace(/\*/g, ".*")}$`).test(n2);
    if ([null, void 0].includes(r2) || !a2) return a2;
    const s2 = new x(n2, u2, this.t);
    r2 = this.l(r2, s2);
    const f2 = t({}, o2, i2);
    if (Object.values(r2).every((t4) => !t4) && !Object.values(f2).some((t4) => void 0 !== t4)) return true;
    const c2 = (t4, e3) => Object.entries(t4).every(([t5, r3]) => Array.isArray(r3) && Array.isArray(e3[t5]) ? r3.every((r4) => e3[t5].includes(r4)) : "object" == typeof r3 && "object" == typeof e3[t5] && null !== r3 && null !== e3[t5] ? c2(r3, e3[t5]) : e3[t5] == r3);
    return c2(r2, f2);
  }
  h() {
    var t4, e2, r2, n2, o2, i2;
    const { host: u2 = "", pathname: a2 = "", search: s2 = "" } = "undefined" != typeof window ? window.location : {};
    return { host: null != (t4 = null == (e2 = this.t.location) ? void 0 : e2.host) ? t4 : u2, pathname: null != (r2 = null == (n2 = this.t.location) ? void 0 : n2.pathname) ? r2 : a2, search: null != (o2 = null == (i2 = this.t.location) ? void 0 : i2.search) ? o2 : s2 };
  }
  get params() {
    const { params: e2, query: r2 } = this.p();
    return t({}, e2, r2);
  }
  get routeParams() {
    return this.p().params;
  }
  get queryParams() {
    return this.p().query;
  }
  has(t4) {
    return this.t.routes.hasOwnProperty(t4);
  }
  l(e2 = {}, r2 = this.i) {
    null != e2 || (e2 = {}), e2 = ["string", "number"].includes(typeof e2) ? [e2] : e2;
    const n2 = r2.parameterSegments.filter(({ name: t4 }) => !this.t.defaults[t4]);
    return Array.isArray(e2) ? e2 = e2.reduce((e3, r3, o2) => t({}, e3, n2[o2] ? { [n2[o2].name]: r3 } : "object" == typeof r3 ? r3 : { [r3]: "" }), {}) : 1 !== n2.length || e2[n2[0].name] || !e2.hasOwnProperty(Object.values(r2.bindings)[0]) && !e2.hasOwnProperty("id") || (e2 = { [n2[0].name]: e2 }), t({}, this.m(r2), this.j(e2, r2));
  }
  m(e2) {
    return e2.parameterSegments.filter(({ name: t4 }) => this.t.defaults[t4]).reduce((e3, { name: r2 }, n2) => t({}, e3, { [r2]: this.t.defaults[r2] }), {});
  }
  j(e2, { bindings: r2, parameterSegments: n2 }) {
    return Object.entries(e2).reduce((e3, [o2, i2]) => {
      if (!i2 || "object" != typeof i2 || Array.isArray(i2) || !n2.some(({ name: t4 }) => t4 === o2)) return t({}, e3, { [o2]: i2 });
      if (!i2.hasOwnProperty(r2[o2])) {
        if (!i2.hasOwnProperty("id")) throw new Error(`Ziggy error: object passed as '${o2}' parameter is missing route model binding key '${r2[o2]}'.`);
        r2[o2] = "id";
      }
      return t({}, e3, { [o2]: i2[r2[o2]] });
    }, {});
  }
  valueOf() {
    return this.toString();
  }
}
function T(t4, e2, r2, n2) {
  const o2 = new N(t4, e2, r2, n2);
  return t4 ? o2.toString() : o2;
}
const k = { install(t4, e2) {
  const r2 = (t5, r3, n2, o2 = e2) => T(t5, r3, n2, o2);
  parseInt(t4.version) > 2 ? (t4.config.globalProperties.route = r2, t4.provide("route", r2)) : t4.mixin({ methods: { route: r2 } });
} };
const appName = "HelpDesk";
createServer(
  (page) => createInertiaApp({
    page,
    render: renderToString,
    title: (title) => `${title} - ${appName}`,
    resolve: (name) => resolvePageComponent(`./Pages/${name}.vue`, /* @__PURE__ */ Object.assign({ "./Pages/Auth/ForgotPassword.vue": () => import("./assets/ForgotPassword-BuEX4fPs.js"), "./Pages/Auth/ForgotPasswordInput.vue": () => import("./assets/ForgotPasswordInput-BzN8L1t7.js"), "./Pages/Auth/Login.vue": () => import("./assets/Login-mHkJmueG.js"), "./Pages/Auth/Register.vue": () => import("./assets/Register-DjN6BBge.js"), "./Pages/Blank.vue": () => import("./assets/Blank-BNOgfM4V.js"), "./Pages/Blogs/ByCategory.vue": () => import("./assets/ByCategory-PmC_8sAM.js"), "./Pages/Blogs/Create.vue": () => import("./assets/Create-BhJJi02L.js"), "./Pages/Blogs/Edit.vue": () => import("./assets/Edit-BjRZ6AOG.js"), "./Pages/Blogs/Index.vue": () => import("./assets/Index-BzNIAeMy.js"), "./Pages/Categories/Create.vue": () => import("./assets/Create-CjoM24fV.js"), "./Pages/Categories/Edit.vue": () => import("./assets/Edit-CH0R_9zL.js"), "./Pages/Categories/Index.vue": () => import("./assets/Index-B-IscGza.js"), "./Pages/Chat/Index.vue": () => import("./assets/Index-BPP7QVXF.js"), "./Pages/Cities/Create.vue": () => import("./assets/Create-DEKacave.js"), "./Pages/Cities/Edit.vue": () => import("./assets/Edit-B_pqlQVa.js"), "./Pages/Cities/Index.vue": () => import("./assets/Index-Drh-E7RK.js"), "./Pages/Contacts/Create.vue": () => import("./assets/Create-DOlCXcOR.js"), "./Pages/Contacts/Edit.vue": () => import("./assets/Edit-B3c4Sg0y.js"), "./Pages/Contacts/Index.vue": () => import("./assets/Index-CE6x0g95.js"), "./Pages/Customers/Create.vue": () => import("./assets/Create-BU9FBTEP.js"), "./Pages/Customers/Edit.vue": () => import("./assets/Edit-CzlQT4_r.js"), "./Pages/Customers/Index.vue": () => import("./assets/Index-CaqbKLi6.js"), "./Pages/Dashboard/Index.vue": () => import("./assets/Index--Ngv9GCd.js"), "./Pages/Departments/Create.vue": () => import("./assets/Create-CZcGvSSG.js"), "./Pages/Departments/Edit.vue": () => import("./assets/Edit-Ca3cCLIy.js"), "./Pages/Departments/Index.vue": () => import("./assets/Index-B_N36rXX.js"), "./Pages/EmailTemplates/Edit.vue": () => import("./assets/Edit-BF3X2rlh.js"), "./Pages/EmailTemplates/Index.vue": () => import("./assets/Index-CkAV74-F.js"), "./Pages/Error.vue": () => import("./assets/Error-G3Wjmwhm.js"), "./Pages/Faqs/Create.vue": () => import("./assets/Create-AY-92pgb.js"), "./Pages/Faqs/Edit.vue": () => import("./assets/Edit-CSY1pknX.js"), "./Pages/Faqs/Index.vue": () => import("./assets/Index-Dc-qsup0.js"), "./Pages/Faqs/Site.vue": () => import("./assets/Site-D9WMeNrZ.js"), "./Pages/FrontPages/Contact.vue": () => import("./assets/Contact-CRbivqgJ.js"), "./Pages/FrontPages/Footer.vue": () => import("./assets/Footer-CVGi4Ad6.js"), "./Pages/FrontPages/Home.vue": () => import("./assets/Home-ZweBVgFZ.js"), "./Pages/FrontPages/PrivacyPolicy.vue": () => import("./assets/PrivacyPolicy-vGCS54Lr.js"), "./Pages/FrontPages/Services.vue": () => import("./assets/Services-DaTyOhge.js"), "./Pages/FrontPages/TermsOfServices.vue": () => import("./assets/TermsOfServices-DYp9IWqb.js"), "./Pages/KnowledgeBase/Create.vue": () => import("./assets/Create-gh3dgYes.js"), "./Pages/KnowledgeBase/Det.vue": () => import("./assets/Det-67kIc8Zb.js"), "./Pages/KnowledgeBase/Edit.vue": () => import("./assets/Edit-CE1VYryd.js"), "./Pages/KnowledgeBase/Index.vue": () => import("./assets/Index-B73_ALAc.js"), "./Pages/Landing/Blog/ByType.vue": () => import("./assets/ByType-BbBXFcjT.js"), "./Pages/Landing/Blog/Details.vue": () => import("./assets/Details-CNfVFRRN.js"), "./Pages/Landing/Blog/Index.vue": () => import("./assets/Index-gTFMawb0.js"), "./Pages/Landing/Contact.vue": () => import("./assets/Contact-LMwXgPJH.js"), "./Pages/Landing/FAQ.vue": () => import("./assets/FAQ-CpNdt0JD.js"), "./Pages/Landing/Home.vue": () => import("./assets/Home-Hb8kyAyQ.js"), "./Pages/Landing/KnowledgeBase/ByType.vue": () => import("./assets/ByType-XcV2AYl6.js"), "./Pages/Landing/KnowledgeBase/Details.vue": () => import("./assets/Details-OAe7wxiY.js"), "./Pages/Landing/KnowledgeBase/Index.vue": () => import("./assets/Index-BL3wIa4B.js"), "./Pages/Landing/OpenTicket.vue": () => import("./assets/OpenTicket-BwJxeeUf.js"), "./Pages/Landing/PrivacyPolicy.vue": () => import("./assets/PrivacyPolicy-CgwfP2BN.js"), "./Pages/Landing/Services.vue": () => import("./assets/Services-CMUAV5Cw.js"), "./Pages/Landing/TermsOfServices.vue": () => import("./assets/TermsOfServices-hfdjVpP6.js"), "./Pages/Languages/Create.vue": () => import("./assets/Create-DIloK1uT.js"), "./Pages/Languages/Edit.vue": () => import("./assets/Edit-CFvQBOcV.js"), "./Pages/Languages/Index.vue": () => import("./assets/Index-B6snsMsq.js"), "./Pages/Notes/Index.vue": () => import("./assets/Index-B8eYnJD7.js"), "./Pages/Organizations/Create.vue": () => import("./assets/Create-CdGBaiXr.js"), "./Pages/Organizations/Edit.vue": () => import("./assets/Edit-DVTNXUs3.js"), "./Pages/Organizations/Index.vue": () => import("./assets/Index-DvGLJq8h.js"), "./Pages/PendingUsers/Index.vue": () => import("./assets/Index-r3OiC681.js"), "./Pages/Priorities/Create.vue": () => import("./assets/Create-w8dTdfXo.js"), "./Pages/Priorities/Edit.vue": () => import("./assets/Edit-CjPc9jfT.js"), "./Pages/Priorities/Index.vue": () => import("./assets/Index-DdjeWAAU.js"), "./Pages/Reports/Index.vue": () => import("./assets/Index-DPK4yH4n.js"), "./Pages/Roles/Create.vue": () => import("./assets/Create-CgRuUbBH.js"), "./Pages/Roles/Edit.vue": () => import("./assets/Edit-CLahvjF7.js"), "./Pages/Roles/Index.vue": () => import("./assets/Index-CMmphyqK.js"), "./Pages/Settings/Index.vue": () => import("./assets/Index-CYBAhGuj.js"), "./Pages/Settings/Piping.vue": () => import("./assets/Piping-DHGs_5Xd.js"), "./Pages/Settings/Pusher.vue": () => import("./assets/Pusher-BeaHnH_G.js"), "./Pages/Settings/Smtp.vue": () => import("./assets/Smtp-Dr2UZVms.js"), "./Pages/Settings/Update.vue": () => import("./assets/Update-K9RHnOTh.js"), "./Pages/Statuses/Create.vue": () => import("./assets/Create-Kr8Wg2WL.js"), "./Pages/Statuses/Edit.vue": () => import("./assets/Edit-L-GZ5kTX.js"), "./Pages/Statuses/Index.vue": () => import("./assets/Index-gKDTxILG.js"), "./Pages/Tickets/Create.vue": () => import("./assets/Create-CORfoPah.js"), "./Pages/Tickets/Edit.vue": () => import("./assets/Edit-D5Sd7rx5.js"), "./Pages/Tickets/Index.vue": () => import("./assets/Index-D1bURYHW.js"), "./Pages/Tickets/builder.vue": () => import("./assets/builder-8ZgqSX4J.js"), "./Pages/Types/Create.vue": () => import("./assets/Create-BA_4JIkw.js"), "./Pages/Types/Edit.vue": () => import("./assets/Edit-QPVjZQcG.js"), "./Pages/Types/Index.vue": () => import("./assets/Index-BtbLfLy6.js"), "./Pages/Users/Create.vue": () => import("./assets/Create-CkUKA0ja.js"), "./Pages/Users/Edit.vue": () => import("./assets/Edit-DZMwUfWq.js"), "./Pages/Users/EditProfile.vue": () => import("./assets/EditProfile-_8219u_u.js"), "./Pages/Users/Index.vue": () => import("./assets/Index-DQg5nO26.js") })),
    setup({ App, props, plugin }) {
      return createSSRApp({ render: () => h$1(App, props) }).use(plugin).use(k, {
        ...page.props.ziggy,
        location: new URL(page.props.ziggy.location)
      }).use(i18nVue, {
        lang: "en",
        resolve: (lang) => {
          const langs = /* @__PURE__ */ Object.assign({ "../../lang/bd.json": __vite_glob_1_0, "../../lang/cn.json": __vite_glob_1_1, "../../lang/de.json": __vite_glob_1_2, "../../lang/en.json": __vite_glob_1_3, "../../lang/es.json": __vite_glob_1_4, "../../lang/fr.json": __vite_glob_1_5, "../../lang/he.json": __vite_glob_1_6, "../../lang/it.json": __vite_glob_1_7, "../../lang/lt.json": __vite_glob_1_8, "../../lang/nl.json": __vite_glob_1_9, "../../lang/php_en.json": __vite_glob_1_10, "../../lang/pl.json": __vite_glob_1_11, "../../lang/pt.json": __vite_glob_1_12, "../../lang/sa.json": __vite_glob_1_13, "../../lang/se.json": __vite_glob_1_14, "../../lang/tr.json": __vite_glob_1_15 });
          return langs[`../../lang/${lang}.json`].default;
        }
      });
    }
  })
);
